ShowX.Config

ShowX Class Library Documentation

ShowX.Config Namespace

Namespace hierarchy

Classes

Class | Description
Configuration | Configuration class provides access to global constants and current session object. It initialize showx system, by loading class-mapping, from configuration file .config, or from embedded XML resources.
ConfigurationException | ConfigurationException represent exceptions produced during configuation process.
ConfigurationSectionHandler | Summary description for ConfigurationSectionHandler.
ConfigurationSectionInfo | This class store configuration information, read from config files.
XmlConfigurationConst | XmlConfigurationTags define xml tags and constants used in configuration files.
XmlConfigurationReader | XmlConfigurationReader read the configuration from an Xml node.

Enumerations

Enumeration | Description
MappingModel | Define possible mapping models to bind object properties with presentation layer.


Configuration Class

Configuration class provides access to global constants and current session object. It initialize showx system, by loading class-mapping, from configuration file .config, or from embedded XML resources.

For a list of all members of this type, see Configuration Members.

System.Object
ShowX.Config.Configuration

public class Configuration

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Config

Assembly: ShowX (in ShowX.dll)

See Also

Configuration Members | ShowX.Config Namespace


Configuration Members

Configuration overview

Public Static Properties

MappingModel | Current mapping model being used by ShowX runtime.
Session | Property to retrieve current session.

Public Static Methods

Abandon | Abandon a certain session. After executing this method, a call to Configure is needed in order to use ShowX system.
Configure | Overloaded. Initialize ShowX mapping system by loading configuration from application .config file.
createSession | Create a session according to parameters specified in showx config section.
Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.
RegisterClass | Register a certain type on the XML Session runtime. On the contrary of Attribute session (in wich mapping information is obtaining taking as starting point the class itself), ShowX types mapped by using XML mapping files need to be registered, in order to be usable. This registration should be done only once in the application lifetime. Nevetheless, already registered types are ignored by registerClass.

Private Static Constructor

Configuration Constructor Initializes the static fields of the Configuration class.

Private Static Fields

log |
mappingModel |
session | ISession instance to keep track of showX session.

Public Instance Constructors

Configuration Constructor Initializes a new instance of the Configuration class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Configuration Class | ShowX.Config Namespace


Configuration Constructor

Initializes a new instance of the Configuration class.

public Configuration();

See Also

Configuration Class | ShowX.Config Namespace


Configuration Static Constructor

Initializes the static fields of the Configuration class.

static Configuration();

See Also

Configuration Class | ShowX.Config Namespace


Configuration Fields

The fields of the Configuration class are listed below. For a complete list of Configuration class members, see the Configuration Members topic.

Private Static Fields

log |
mappingModel |
session | ISession instance to keep track of showX session.

See Also

Configuration Class | ShowX.Config Namespace


Configuration.log Field

private static readonly ILog log;

See Also

Configuration Class | ShowX.Config Namespace


Configuration.MappingModel Property

Current mapping model being used by ShowX runtime.

public static MappingModel MappingModel {get;}

See Also

Configuration Class | ShowX.Config Namespace


Configuration.Session Property

Property to retrieve current session.

public static ShowX.Session.ISession Session {get;}

See Also

Configuration Class | ShowX.Config Namespace


Configuration Properties

The properties of the Configuration class are listed below. For a complete list of Configuration class members, see the Configuration Members topic.

Public Static Properties

MappingModel | Current mapping model being used by ShowX runtime.
Session | Property to retrieve current session.

See Also

Configuration Class | ShowX.Config Namespace


Configuration Methods

The methods of the Configuration class are listed below. For a complete list of Configuration class members, see the Configuration Members topic.

Public Static Methods

Abandon | Abandon a certain session. After executing this method, a call to Configure is needed in order to use ShowX system.
Configure | Overloaded. Initialize ShowX mapping system by loading configuration from application .config file.
createSession | Create a session according to parameters specified in showx config section.
Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.
RegisterClass | Register a certain type on the XML Session runtime. On the contrary of Attribute session (in wich mapping information is obtaining taking as starting point the class itself), ShowX types mapped by using XML mapping files need to be registered, in order to be usable. This registration should be done only once in the application lifetime. Nevetheless, already registered types are ignored by registerClass.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Configuration Class | ShowX.Config Namespace


Configuration.Abandon Method

Abandon a certain session. After executing this method, a call to Configure is needed in order to use ShowX system.

public static void Abandon();

See Also

Configuration Class | ShowX.Config Namespace


Configure Method

ShowX Class Library Documentation

Configuration.Configure Method

Initialize ShowX mapping system by loading configuration from application .config file.

Overload List

Initialize ShowX mapping system by loading configuration from application .config file.

public static void Configure();

Initialize ShowX mapping system by loading configuration from a separate ShowX configuration file.

public static void Configure(string);

See Also

Configuration Class | ShowX.Config Namespace


Configuration.Configure Method ()

Initialize ShowX mapping system by loading configuration from application .config file.

public static void Configure();

See Also

Configuration Class | ShowX.Config Namespace | Configuration.Configure Overload List


Configuration.Configure Method (String)

Initialize ShowX mapping system by loading configuration from a separate ShowX configuration file.

public static void Configure(
string configFileName
);

See Also

Configuration Class | ShowX.Config Namespace | Configuration.Configure Overload List


Configuration.createSession Method

Create a session according to parameters specified in showx config section.

public static void createSession(
ConfigurationSectionInfo settings
);

Parameters

settings
Showx config section info.

See Also

Configuration Class | ShowX.Config Namespace


Configuration.RegisterClass Method

Register a certain type on the XML Session runtime.

On the contrary of Attribute session (in wich mapping information is obtaining taking as starting point the class itself), ShowX types mapped by using XML mapping files need to be registered, in order to be usable. This registration should be done only once in the application lifetime. Nevetheless, already registered types are ignored by registerClass.

public static void RegisterClass(
Type t
);

Parameters

t
Type to register on XML Session runtime.

See Also

Configuration Class | ShowX.Config Namespace


ConfigurationException Class

ConfigurationException represent exceptions produced during configuation process.

For a list of all members of this type, see ConfigurationException Members.

System.Object
System.Exception
ShowX.Config.ConfigurationException

public class ConfigurationException : Exception

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Config

Assembly: ShowX (in ShowX.dll)

See Also

ConfigurationException Members | ShowX.Config Namespace


ConfigurationException Members

ConfigurationException overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

ConfigurationException Overloaded. Initializes a new instance of the ConfigurationException class.

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

Protected Instance Properties

HResult (inherited from Exception) Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Internal Instance Fields

_HResult (inherited from Exception)
_message (inherited from Exception)

Internal Instance Methods

InternalToString (inherited from Exception)

See Also

ConfigurationException Class | ShowX.Config Namespace


ConfigurationException Constructor

Constructor. Builds exception with an error message and an inner exception.

Overload List

Constructor. Builds exception with an error message.

public ConfigurationException(string);

Constructor. Builds exception with an error message and an inner exception.

public ConfigurationException(string,Exception);

See Also

ConfigurationException Class | ShowX.Config Namespace


ConfigurationException Constructor (String, Exception)

Constructor. Builds exception with an error message and an inner exception.

public ConfigurationException(
string msg,
Exception inner
);

Parameters

msg
Exception message.
inner
Inner exception.

See Also

ConfigurationException Class | ShowX.Config Namespace | ConfigurationException Constructor Overload List


ConfigurationException Constructor (String)

Constructor. Builds exception with an error message.

public ConfigurationException(
string msg
);

Parameters

msg
Exception message.

See Also

ConfigurationException Class | ShowX.Config Namespace | ConfigurationException Constructor Overload List


ConfigurationSectionHandler Class

Summary description for ConfigurationSectionHandler.

For a list of all members of this type, see ConfigurationSectionHandler Members.

System.Object
ShowX.Config.ConfigurationSectionHandler

public class ConfigurationSectionHandler : IConfigurationSectionHandler

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Config

Assembly: ShowX (in ShowX.dll)

See Also

ConfigurationSectionHandler Members | ShowX.Config Namespace


ConfigurationSectionHandler Members

ConfigurationSectionHandler overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

ConfigurationSectionHandler Constructor Initializes the static fields of the ConfigurationSectionHandler class.

Private Static Fields

log

Public Instance Constructors

ConfigurationSectionHandler Constructor Initializes a new instance of the ConfigurationSectionHandler class.

Public Instance Methods

Create | Creates a configuration session handler object.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ConfigurationSectionHandler Class | ShowX.Config Namespace


ConfigurationSectionHandler Constructor

Initializes a new instance of the ConfigurationSectionHandler class.

public ConfigurationSectionHandler();

See Also

ConfigurationSectionHandler Class | ShowX.Config Namespace


ConfigurationSectionHandler Static Constructor

Initializes the static fields of the ConfigurationSectionHandler class.

static ConfigurationSectionHandler();

See Also

ConfigurationSectionHandler Class | ShowX.Config Namespace


ConfigurationSectionHandler Fields

The fields of the ConfigurationSectionHandler class are listed below. For a complete list of ConfigurationSectionHandler class members, see the ConfigurationSectionHandler Members topic.

Private Static Fields

log

See Also

ConfigurationSectionHandler Class | ShowX.Config Namespace


ConfigurationSectionHandler.log Field

private static readonly ILog log;

See Also

ConfigurationSectionHandler Class | ShowX.Config Namespace


ConfigurationSectionHandler Methods

The methods of the ConfigurationSectionHandler class are listed below. For a complete list of ConfigurationSectionHandler class members, see the ConfigurationSectionHandler Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Create | Creates a configuration session handler object.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ConfigurationSectionHandler Class | ShowX.Config Namespace


ConfigurationSectionHandler.Create Method

Creates a configuration session handler object.

public object Create(
object parent,
object configContext,
XmlNode section
);

Parameters

parent
Parent configuration context.
configContext
Current configuration context.
section
Xml section to parse.

Return Value

Implements

IConfigurationSectionHandler.Create

See Also

ConfigurationSectionHandler Class | ShowX.Config Namespace


ConfigurationSectionInfo Class

This class store configuration information, read from config files.

For a list of all members of this type, see ConfigurationSectionInfo Members.

System.Object
ShowX.Config.ConfigurationSectionInfo

public class ConfigurationSectionInfo

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Config

Assembly: ShowX (in ShowX.dll)

See Also

ConfigurationSectionInfo Members | ShowX.Config Namespace


ConfigurationSectionInfo Members

ConfigurationSectionInfo overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

ConfigurationSectionInfo Constructor Constructor.

Public Instance Properties

MappingModel | Reflex the mapping model specified y configuration.
XmlMappingFiles | Reflex hard-coded Xml mapping files paths for ShowX types, as especified in configuration.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

mappingModel | Mapping model especified in configuration.
xmlMappingFiles | Hard-coded Xml mapping files paths for ShowX types, as especified in configuration.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ConfigurationSectionInfo Class | ShowX.Config Namespace


ConfigurationSectionInfo Constructor

Constructor.

public ConfigurationSectionInfo();

See Also

ConfigurationSectionInfo Class | ShowX.Config Namespace


ConfigurationSectionInfo Fields

The fields of the ConfigurationSectionInfo class are listed below. For a complete list of ConfigurationSectionInfo class members, see the ConfigurationSectionInfo Members topic.

Protected Instance Fields

mappingModel | Mapping model especified in configuration.
xmlMappingFiles | Hard-coded Xml mapping files paths for ShowX types, as especified in configuration.

See Also

ConfigurationSectionInfo Class | ShowX.Config Namespace


ConfigurationSectionInfo.MappingModel Property

Reflex the mapping model specified y configuration.

public MappingModel MappingModel {get; set;}

See Also

ConfigurationSectionInfo Class | ShowX.Config Namespace


ConfigurationSectionInfo.XmlMappingFiles Property

Reflex hard-coded Xml mapping files paths for ShowX types, as especified in configuration.

public System.Collections.Hashtable XmlMappingFiles {get;}

See Also

ConfigurationSectionInfo Class | ShowX.Config Namespace


ConfigurationSectionInfo Properties

The properties of the ConfigurationSectionInfo class are listed below. For a complete list of ConfigurationSectionInfo class members, see the ConfigurationSectionInfo Members topic.

Public Instance Properties

MappingModel | Reflex the mapping model specified y configuration.
XmlMappingFiles | Reflex hard-coded Xml mapping files paths for ShowX types, as especified in configuration.

See Also

ConfigurationSectionInfo Class | ShowX.Config Namespace


MappingModel Enumeration

Define possible mapping models to bind object properties with presentation layer.

public enum MappingModel

Members

Member Name | Description
Attribute | Attribute mapping model.
Xml | Xmk mapping model.

Requirements

Namespace: ShowX.Config

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Config Namespace


XmlConfigurationConst Class

XmlConfigurationTags define xml tags and constants used in configuration files.

For a list of all members of this type, see XmlConfigurationConst Members.

System.Object
ShowX.Config.XmlConfigurationConst

public class XmlConfigurationConst

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Config

Assembly: ShowX (in ShowX.dll)

See Also

XmlConfigurationConst Members | ShowX.Config Namespace


XmlConfigurationConst Members

XmlConfigurationConst overview

Public Static Fields

classMappingsTag | Class mappings tag.
mappingClassNameAttr | Class Name tag.
mappingMappingFileAttr | Mapping file tag.
mappingModeAttr | Mapping mode tag.
mappingTag | Mapping tag.
modelAttrStr | Attribute model constant.
modelXMLStr | XML model constant.
rootTag | Root tag.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

XmlConfigurationConst Constructor Initializes the static fields of the XmlConfigurationConst class.

Public Instance Constructors

XmlConfigurationConst Constructor Initializes a new instance of the XmlConfigurationConst class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst Constructor

Initializes a new instance of the XmlConfigurationConst class.

public XmlConfigurationConst();

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst Static Constructor

Initializes the static fields of the XmlConfigurationConst class.

static XmlConfigurationConst();

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst Fields

The fields of the XmlConfigurationConst class are listed below. For a complete list of XmlConfigurationConst class members, see the XmlConfigurationConst Members topic.

Public Static Fields

classMappingsTag | Class mappings tag.
mappingClassNameAttr | Class Name tag.
mappingMappingFileAttr | Mapping file tag.
mappingModeAttr | Mapping mode tag.
mappingTag | Mapping tag.
modelAttrStr | Attribute model constant.
modelXMLStr | XML model constant.
rootTag | Root tag.

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst.classMappingsTag Field

Class mappings tag.

public static string classMappingsTag;

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst.mappingClassNameAttr Field

Class Name tag.

public static string mappingClassNameAttr;

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst.mappingMappingFileAttr Field

Mapping file tag.

public static string mappingMappingFileAttr;

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst.mappingModeAttr Field

Mapping mode tag.

public static string mappingModeAttr;

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst.mappingTag Field

Mapping tag.

public static string mappingTag;

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst.modelAttrStr Field

Attribute model constant.

public static string modelAttrStr;

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst.modelXMLStr Field

XML model constant.

public static string modelXMLStr;

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationConst.rootTag Field

Root tag.

public static string rootTag;

See Also

XmlConfigurationConst Class | ShowX.Config Namespace


XmlConfigurationReader Class

XmlConfigurationReader read the configuration from an Xml node.

For a list of all members of this type, see XmlConfigurationReader Members.

System.Object
ShowX.Config.XmlConfigurationReader

public class XmlConfigurationReader

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Config

Assembly: ShowX (in ShowX.dll)

See Also

XmlConfigurationReader Members | ShowX.Config Namespace


XmlConfigurationReader Members

XmlConfigurationReader overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
Read | Read configuration data from an XmlNode.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Protected Static Fields

configSchemeEmbeddedPath Define the path to the embedded resource showx-config.xsd, wich is used to validate configuration section.

Protected Static Methods

validate Validate a certain Xml structure, against the showx configuration definition.

Private Static Constructor

XmlConfigurationReader Constructor Initializes the static fields of the XmlConfigurationReader class.

Private Static Fields

log

Public Instance Constructors

XmlConfigurationReader Constructor Initializes a new instance of the XmlConfigurationReader class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


XmlConfigurationReader Constructor

Initializes a new instance of the XmlConfigurationReader class.

public XmlConfigurationReader();

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


XmlConfigurationReader Static Constructor

Initializes the static fields of the XmlConfigurationReader class.

static XmlConfigurationReader();

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


XmlConfigurationReader Fields

The fields of the XmlConfigurationReader class are listed below. For a complete list of XmlConfigurationReader class members, see the XmlConfigurationReader Members topic.

Protected Static Fields

configSchemeEmbeddedPath Define the path to the embedded resource showx-config.xsd, wich is used to validate configuration section.

Private Static Fields

log

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


XmlConfigurationReader.configSchemeEmbeddedPath Field

Define the path to the embedded resource showx-config.xsd, wich is used to validate configuration section.

protected static string configSchemeEmbeddedPath;

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


XmlConfigurationReader.log Field

private static readonly ILog log;

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


XmlConfigurationReader Methods

The methods of the XmlConfigurationReader class are listed below. For a complete list of XmlConfigurationReader class members, see the XmlConfigurationReader Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
Read | Read configuration data from an XmlNode.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Protected Static Methods

validate Validate a certain Xml structure, against the showx configuration definition.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


XmlConfigurationReader.Read Method

Read configuration data from an XmlNode.

public static ConfigurationSectionInfo Read(
XmlNode section
);

Parameters

section
XmlNode to read configuration from.

Return Value

An instance of ConfigurationSectionInfo class.

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


XmlConfigurationReader.validate Method

Validate a certain Xml structure, against the showx configuration definition.

protected static bool validate(
XmlNode section
);

Parameters

section
XmlNode to validate.

Return Value

True if the section is validated, false otherwise.

See Also

XmlConfigurationReader Class | ShowX.Config Namespace


ShowX.Helper

ShowX Class Library Documentation

ShowX.Helper Namespace

Namespace hierarchy

Classes

Class | Description
ResourceHelper | ResourceHelper ease working with embedded ShowX resources.


ResourceHelper Class

ResourceHelper ease working with embedded ShowX resources.

For a list of all members of this type, see ResourceHelper Members.

System.Object
ShowX.Helper.ResourceHelper

public class ResourceHelper

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Helper

Assembly: ShowX (in ShowX.dll)

See Also

ResourceHelper Members | ShowX.Helper Namespace


ResourceHelper Members

ResourceHelper overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.
WriteResourceToFile | Write a certain resource to the target file.

Private Static Constructor

ResourceHelper Constructor Initializes the static fields of the ResourceHelper class.

Private Static Fields

log

Public Instance Constructors

ResourceHelper Constructor Initializes a new instance of the ResourceHelper class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ResourceHelper Class | ShowX.Helper Namespace


ResourceHelper Constructor

Initializes a new instance of the ResourceHelper class.

public ResourceHelper();

See Also

ResourceHelper Class | ShowX.Helper Namespace


ResourceHelper Static Constructor

Initializes the static fields of the ResourceHelper class.

static ResourceHelper();

See Also

ResourceHelper Class | ShowX.Helper Namespace


ResourceHelper Fields

The fields of the ResourceHelper class are listed below. For a complete list of ResourceHelper class members, see the ResourceHelper Members topic.

Private Static Fields

log

See Also

ResourceHelper Class | ShowX.Helper Namespace


ResourceHelper.log Field

private static readonly ILog log;

See Also

ResourceHelper Class | ShowX.Helper Namespace


ResourceHelper Methods

The methods of the ResourceHelper class are listed below. For a complete list of ResourceHelper class members, see the ResourceHelper Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.
WriteResourceToFile | Write a certain resource to the target file.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ResourceHelper Class | ShowX.Helper Namespace


ResourceHelper.WriteResourceToFile Method

Write a certain resource to the target file.

public static void WriteResourceToFile(
Assembly assembly,
string resource,
string filename
);

Parameters

assembly
Assemble where to look for resource.
resource
Resource to write to.
filename
File where to save resource.

See Also

ResourceHelper Class | ShowX.Helper Namespace


ShowX.Model

ShowX Class Library Documentation

ShowX.Model Namespace

Namespace hierarchy

Classes

Class | Description
AttributeObjectHandlerMethodCaller | AttributeObjectHandlerProxy implements mapping to IObjectHandlerMethodCaller methods based on the attribute mapping model.
InternalPropertyValidator |
ModelException | ModelException represent exceptions produced on showx model layer. process.
ObjectHandlerMethodCaller | ObjectHandlerProxy implements mapping to IObjectHandlerMethodCaller methods abstracting the construction of the handler.

Interfaces

Interface | Description
ICollectionMap | ICollectionMap represent the interface of collection property mappers.
IForeignIdentifierMap | IIdentifierMap represent the interface of identifiers mappers. Useful to detect foreign identifiers mappers.
IIdentifierMap | IIdentifierMap represent the interface of identifiers mappers.
IMappingHandler | Expose a common interface to handle mapping between types and ShowX attributes. Mapping can be achieved in two ways: by Custom attributes or by mapping files. Custom attributes brings a rigid mapping, since they not support views.
IObjectHandler | IObjectHandler brings a common interface to handle instance operations needed by showX controls, such as list all the elements of a certain type, add a new element, and more.
IObjectHandlerInfo | IObjectHandlerInfo brings a common interface to keep track info about Object Handlers.
IObjectHandlerMethodCaller | IObjectHandlerProxy presents a common interface to objects that implements access to IObjectHandler methods, accordingly to the defined mapping.
IPropertyMap | IPropertyMap provide a common interface to information stored when we are mapping a ShowX property.
ITranslator | Summary description for ITranslator.
IValidationMap | Define the type that should conform any validation map.
IView | Define the interface of a view.
IViewCollection | IViewCollection brings a common interface to handle View collections.
IXPercentMap | IXPercentMap represent the interface of properties who show himself as a percent of another value.

Enumerations

Enumeration | Description
ItemStyle | ItemStyle define the possible styles or kinds of controls used to show elements in the presentation layer.
ValidateFor | Define the possible types of validation we want to do over an input value.


AttributeObjectHandlerMethodCaller Class

AttributeObjectHandlerProxy implements mapping to IObjectHandlerMethodCaller methods based on the attribute mapping model.

For a list of all members of this type, see AttributeObjectHandlerMethodCaller Members.

System.Object
ShowX.Model.ObjectHandlerMethodCaller
ShowX.Model.AttributeObjectHandlerMethodCaller

public class AttributeObjectHandlerMethodCaller : ObjectHandlerMethodCaller

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

AttributeObjectHandlerMethodCaller Members | ShowX.Model Namespace


AttributeObjectHandlerMethodCaller Members

AttributeObjectHandlerMethodCaller overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

AttributeObjectHandlerMethodCaller Constructor Initializes the static fields of the AttributeObjectHandlerMethodCaller class.

Private Static Fields

log

Public Instance Constructors

AttributeObjectHandlerMethodCaller Constructor Initializes a new instance of the AttributeObjectHandlerMethodCaller class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InvokeMethodAddX (inherited from ObjectHandlerMethodCaller) | Invoque the method AddX, for Type t, by using its Object Handler (OH).
InvokeMethodDelX (inherited from ObjectHandlerMethodCaller) | Invoque the method DelX, for Type t, by using its Object Handler (OH).
InvokeMethodGetAllX (inherited from ObjectHandlerMethodCaller) | Invoque the method GetAllX, for Type t, by using its Object Handler (OH).
InvokeMethodGetUpdateX (inherited from ObjectHandlerMethodCaller) | Invoque the method UpdateX, for Type t, by using its Object Handler (OH).
InvokeMethodGetXByID (inherited from ObjectHandlerMethodCaller) | Invoque the method GetXByID, for Type t, by using its Object Handler (OH).
InvokeMethodNewX (inherited from ObjectHandlerMethodCaller) | Invoque the method NewX, for Type t, by using its Object Handler (OH).
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

BuildObjectHandlerFromType | Helper method to retrieve and build the Object Handler attached to a certain type.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

AttributeObjectHandlerMethodCaller Class | ShowX.Model Namespace


AttributeObjectHandlerMethodCaller Constructor

Initializes a new instance of the AttributeObjectHandlerMethodCaller class.

public AttributeObjectHandlerMethodCaller();

See Also

AttributeObjectHandlerMethodCaller Class | ShowX.Model Namespace


AttributeObjectHandlerMethodCaller Static Constructor

Initializes the static fields of the AttributeObjectHandlerMethodCaller class.

static AttributeObjectHandlerMethodCaller();

See Also

AttributeObjectHandlerMethodCaller Class | ShowX.Model Namespace


AttributeObjectHandlerMethodCaller Fields

The fields of the AttributeObjectHandlerMethodCaller class are listed below. For a complete list of AttributeObjectHandlerMethodCaller class members, see the AttributeObjectHandlerMethodCaller Members topic.

Private Static Fields

log

See Also

AttributeObjectHandlerMethodCaller Class | ShowX.Model Namespace


AttributeObjectHandlerMethodCaller.log Field

private static readonly ILog log;

See Also

AttributeObjectHandlerMethodCaller Class | ShowX.Model Namespace


AttributeObjectHandlerMethodCaller Methods

The methods of the AttributeObjectHandlerMethodCaller class are listed below. For a complete list of AttributeObjectHandlerMethodCaller class members, see the AttributeObjectHandlerMethodCaller Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InvokeMethodAddX (inherited from ObjectHandlerMethodCaller) | Invoque the method AddX, for Type t, by using its Object Handler (OH).
InvokeMethodDelX (inherited from ObjectHandlerMethodCaller) | Invoque the method DelX, for Type t, by using its Object Handler (OH).
InvokeMethodGetAllX (inherited from ObjectHandlerMethodCaller) | Invoque the method GetAllX, for Type t, by using its Object Handler (OH).
InvokeMethodGetUpdateX (inherited from ObjectHandlerMethodCaller) | Invoque the method UpdateX, for Type t, by using its Object Handler (OH).
InvokeMethodGetXByID (inherited from ObjectHandlerMethodCaller) | Invoque the method GetXByID, for Type t, by using its Object Handler (OH).
InvokeMethodNewX (inherited from ObjectHandlerMethodCaller) | Invoque the method NewX, for Type t, by using its Object Handler (OH).
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

BuildObjectHandlerFromType | Helper method to retrieve and build the Object Handler attached to a certain type.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

AttributeObjectHandlerMethodCaller Class | ShowX.Model Namespace


AttributeObjectHandlerMethodCaller.BuildObjectHandlerFromType Method

Helper method to retrieve and build the Object Handler attached to a certain type.

protected override IObjectHandler BuildObjectHandlerFromType(
Type t
);

Parameters

t
Type to get object handler.

Return Value

An instance of the object handler attached to type t.

See Also

AttributeObjectHandlerMethodCaller Class | ShowX.Model Namespace


ICollectionMap Interface

ICollectionMap represent the interface of collection property mappers.

For a list of all members of this type, see ICollectionMap Members.

public interface ICollectionMap : IPropertyMap

Types that implement ICollectionMap

Type | Description
XmlCollectionMap | Represents a property that returns a collection of objects.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

ICollectionMap Members | ShowX.Model Namespace


ICollectionMap Members

ICollectionMap overview

Public Instance Properties

ContainedType Expose the contained type onto collection.

See Also

ICollectionMap Interface | ShowX.Model Namespace


ICollectionMap Properties

The properties of the ICollectionMap interface are listed below. For a complete list of ICollectionMap interface members, see the ICollectionMap Members topic.

Public Instance Properties

ContainedType Expose the contained type onto collection.

See Also

ICollectionMap Interface | ShowX.Model Namespace


ICollectionMap.ContainedType Property

Expose the contained type onto collection.

System.Type ContainedType {get; set;}

See Also

ICollectionMap Interface | ShowX.Model Namespace


IForeignIdentifierMap Interface

IIdentifierMap represent the interface of identifiers mappers. Useful to detect foreign identifiers mappers.

public interface IForeignIdentifierMap : IPropertyMap

Types that implement IForeignIdentifierMap

Type | Description
XFK | Decorate a property that represent a reference to another ShowX object
XmlForeignIdentifierMap | Keep information about a property that represent a reference to another ShowX object.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Model Namespace


IIdentifierMap Interface

IIdentifierMap represent the interface of identifiers mappers.

For a list of all members of this type, see IIdentifierMap Members.

public interface IIdentifierMap : IPropertyMap

Types that implement IIdentifierMap

Type | Description
XPK | Represents a property that returns a unique (integer) identifier for the instance.
XmlIdentifierMap | Represents a property that returns a unique (integer) identifier for the instance.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IIdentifierMap Members | ShowX.Model Namespace


IIdentifierMap Members

IIdentifierMap overview

Public Instance Properties

SubstituteAttr Keep information about the sustitute property.

See Also

IIdentifierMap Interface | ShowX.Model Namespace


IIdentifierMap Properties

The properties of the IIdentifierMap interface are listed below. For a complete list of IIdentifierMap interface members, see the IIdentifierMap Members topic.

Public Instance Properties

SubstituteAttr Keep information about the sustitute property.

See Also

IIdentifierMap Interface | ShowX.Model Namespace


IIdentifierMap.SubstituteAttr Property

Keep information about the sustitute property.

string SubstituteAttr {get; set;}

See Also

IIdentifierMap Interface | ShowX.Model Namespace


IMappingHandler Interface

Expose a common interface to handle mapping between types and ShowX attributes. Mapping can be achieved in two ways: by Custom attributes or by mapping files. Custom attributes brings a rigid mapping, since they not support views.

For a list of all members of this type, see IMappingHandler Members.

public interface IMappingHandler

Types that implement IMappingHandler

Type | Description
AttributeMappingHandler | Class AttributeMappingHandler provides useful methods to work with attribute mapping, by implementing the IMappingHandler interface. Brings a concrete implementation to work with property mapping, when we are using the attribute mapping model.
XmlMappingHandler | Class XmlMappingHandler provides useful methods to work with attribute mapping, by implementing the IMappingHandler interface. Brings a concrete implementation to work with property mapping, when we are using the XML file mapping model.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IMappingHandler Members | ShowX.Model Namespace


IMappingHandler Members

IMappingHandler overview

Public Instance Methods

GetAllShowXProperties | Get all ShowX Properties marked of the object, for a given type.
GetFK | Get a property marked as foreign key of the object, for a given type.
GetPK | Get the property marked as the Primary key of the object, for a given type.
GetPropertyMap | Retrieve the showX mapper property attached to this Property.
GetShowXPropertyByName | Get an ShowX property of the object, for a given type.
GetValidators | Get the validators associated to a certain property.
GetViews | Get the views collection for a given type.

See Also

IMappingHandler Interface | ShowX.Model Namespace


IMappingHandler Methods

The methods of the IMappingHandler interface are listed below. For a complete list of IMappingHandler interface members, see the IMappingHandler Members topic.

Public Instance Methods

GetAllShowXProperties | Get all ShowX Properties marked of the object, for a given type.
GetFK | Get a property marked as foreign key of the object, for a given type.
GetPK | Get the property marked as the Primary key of the object, for a given type.
GetPropertyMap | Retrieve the showX mapper property attached to this Property.
GetShowXPropertyByName | Get an ShowX property of the object, for a given type.
GetValidators | Get the validators associated to a certain property.
GetViews | Get the views collection for a given type.

See Also

IMappingHandler Interface | ShowX.Model Namespace


IMappingHandler.GetAllShowXProperties Method

Get all ShowX Properties marked of the object, for a given type.

ArrayList GetAllShowXProperties(
Type t
);

Parameters

t
Type to get ShowX properties.

Return Value

An ArrayList of PropertyInfo instances.

See Also

IMappingHandler Interface | ShowX.Model Namespace


IMappingHandler.GetFK Method

Get a property marked as foreign key of the object, for a given type.

PropertyInfo GetFK(
Type t,
string attrName
);

Parameters

t
Type to get FK property.
attrName
Name of the searched property.

Return Value

A PropertyInfo instance, representing the FK property.

See Also

IMappingHandler Interface | ShowX.Model Namespace


IMappingHandler.GetPK Method

Get the property marked as the Primary key of the object, for a given type.

PropertyInfo GetPK(
Type t
);

Parameters

t
Type to get PK property.

Return Value

A PropertyInfo instance, representing the PK property.

See Also

IMappingHandler Interface | ShowX.Model Namespace


IMappingHandler.GetPropertyMap Method

Retrieve the showX mapper property attached to this Property.

IPropertyMap GetPropertyMap(
PropertyInfo pInfo
);

Parameters

pInfo
Property to query for query for mapper property.

Return Value

The property map attached to this Property.

See Also

IMappingHandler Interface | ShowX.Model Namespace


IMappingHandler.GetShowXPropertyByName Method

Get an ShowX property of the object, for a given type.

PropertyInfo GetShowXPropertyByName(
Type t,
string fieldName
);

Parameters

t
Type to get the ShowX property.
fieldName
Name of the searched property.

Return Value

A PropertyInfo instance, representing the ShowX property.

See Also

IMappingHandler Interface | ShowX.Model Namespace


IMappingHandler.GetValidators Method

Get the validators associated to a certain property.

ArrayList GetValidators(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo to get validators.

Return Value

An ArrayList instance, populated with instance of XValidate class.

See Also

IMappingHandler Interface | ShowX.Model Namespace


IMappingHandler.GetViews Method

Get the views collection for a given type.

IViewCollection GetViews(
Type t
);

Parameters

t
Type to get ShowX view collection.

Return Value

A view collection instance.

See Also

IMappingHandler Interface | ShowX.Model Namespace


InternalPropertyValidator Class

For a list of all members of this type, see InternalPropertyValidator Members.

System.Object
ShowX.Model.InternalPropertyValidator

internal class InternalPropertyValidator

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

InternalPropertyValidator Members | ShowX.Model Namespace


InternalPropertyValidator Members

InternalPropertyValidator overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

InternalPropertyValidator Constructor Initializes a new instance of the InternalPropertyValidator class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate |
ValidateCollectionProperty |
ValidateProperty |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

InternalPropertyValidator Class | ShowX.Model Namespace


InternalPropertyValidator Constructor

Initializes a new instance of the InternalPropertyValidator class.

public InternalPropertyValidator();

See Also

InternalPropertyValidator Class | ShowX.Model Namespace


InternalPropertyValidator Methods

The methods of the InternalPropertyValidator class are listed below. For a complete list of InternalPropertyValidator class members, see the InternalPropertyValidator Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate |
ValidateCollectionProperty |
ValidateProperty |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

InternalPropertyValidator Class | ShowX.Model Namespace


InternalPropertyValidator.Validate Method

public bool Validate(
IValidationMap validationMap,
object context,
string s
);

See Also

InternalPropertyValidator Class | ShowX.Model Namespace


InternalPropertyValidator.ValidateCollectionProperty Method

public bool ValidateCollectionProperty(
IValidationMap validationMap,
string s
);

See Also

InternalPropertyValidator Class | ShowX.Model Namespace


InternalPropertyValidator.ValidateProperty Method

public bool ValidateProperty(
IValidationMap validationMap,
object context,
string s
);

See Also

InternalPropertyValidator Class | ShowX.Model Namespace


IObjectHandler Interface

IObjectHandler brings a common interface to handle instance operations needed by showX controls, such as list all the elements of a certain type, add a new element, and more.

For a list of all members of this type, see IObjectHandler Members.

public interface IObjectHandler

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IObjectHandler Members | ShowX.Model Namespace


IObjectHandler Members

IObjectHandler overview

Public Instance Methods

AddX | Add a type instance.
DelXByID | Delete a certain insance
GetAllX | Get all objects of a certain type.
GetXByID | Get a certain instance, given its identifier.
NewX | Create a new instance of a certain class.
UpdateX | Update a class intance, given an array of parameters with the new information.

See Also

IObjectHandler Interface | ShowX.Model Namespace


IObjectHandler Methods

The methods of the IObjectHandler interface are listed below. For a complete list of IObjectHandler interface members, see the IObjectHandler Members topic.

Public Instance Methods

AddX | Add a type instance.
DelXByID | Delete a certain insance
GetAllX | Get all objects of a certain type.
GetXByID | Get a certain instance, given its identifier.
NewX | Create a new instance of a certain class.
UpdateX | Update a class intance, given an array of parameters with the new information.

See Also

IObjectHandler Interface | ShowX.Model Namespace


IObjectHandler.AddX Method

Add a type instance.

object AddX(
object context,
object[] parameters
);

Parameters

context
Context in wich occurs the operation.
parameters
Array of parameters needed to add the instance to the system.

See Also

IObjectHandler Interface | ShowX.Model Namespace


IObjectHandler.DelXByID Method

Delete a certain insance

void DelXByID(
object context,
int id
);

Parameters

context
Context in wich occurs the operation.
id
Identifier of the intance to delete.

See Also

IObjectHandler Interface | ShowX.Model Namespace


IObjectHandler.GetAllX Method

Get all objects of a certain type.

ArrayList GetAllX(
object context
);

Parameters

context
Context in wich occurs the operation.

Return Value

An arraylist of objects subclasses.

See Also

IObjectHandler Interface | ShowX.Model Namespace


IObjectHandler.GetXByID Method

Get a certain instance, given its identifier.

object GetXByID(
object context,
int id
);

Parameters

context
Context in wich occurs the operation.
id
Identifier of the searched instance.

Return Value

The searched instance subclass, or null if there's no object associated to the given identifier.

See Also

IObjectHandler Interface | ShowX.Model Namespace


IObjectHandler.NewX Method

Create a new instance of a certain class.

object NewX();

Return Value

An instance of class.

See Also

IObjectHandler Interface | ShowX.Model Namespace


IObjectHandler.UpdateX Method

Update a class intance, given an array of parameters with the new information.

void UpdateX(
object context,
params object[] parameters
);

Parameters

context
Context in wich occurs the operation.
parameters
An array of objects, with all the information needed to update the instance

Remarks

The first value of the array must be the identifier of the object to update.

See Also

IObjectHandler Interface | ShowX.Model Namespace


IObjectHandlerInfo Interface

IObjectHandlerInfo brings a common interface to keep track info about Object Handlers.

For a list of all members of this type, see IObjectHandlerInfo Members.

public interface IObjectHandlerInfo

Types that implement IObjectHandlerInfo

Type | Description
AttributeObjectHandlerInfo | AttributeObjectHandlerInfo implements IObjectHandlerInfo as a class custom attribute.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IObjectHandlerInfo Members | ShowX.Model Namespace


IObjectHandlerInfo Members

IObjectHandlerInfo overview

Public Instance Properties

Type Exposes the Object Handler type.

See Also

IObjectHandlerInfo Interface | ShowX.Model Namespace


IObjectHandlerInfo Properties

The properties of the IObjectHandlerInfo interface are listed below. For a complete list of IObjectHandlerInfo interface members, see the IObjectHandlerInfo Members topic.

Public Instance Properties

Type Exposes the Object Handler type.

See Also

IObjectHandlerInfo Interface | ShowX.Model Namespace


IObjectHandlerInfo.Type Property

Exposes the Object Handler type.

System.Type Type {get;}

See Also

IObjectHandlerInfo Interface | ShowX.Model Namespace


IObjectHandlerMethodCaller Interface

IObjectHandlerProxy presents a common interface to objects that implements access to IObjectHandler methods, accordingly to the defined mapping.

For a list of all members of this type, see IObjectHandlerMethodCaller Members.

public interface IObjectHandlerMethodCaller

Types that implement IObjectHandlerMethodCaller

Type | Description
AttributeObjectHandlerMethodCaller | AttributeObjectHandlerProxy implements mapping to IObjectHandlerMethodCaller methods based on the attribute mapping model.
ObjectHandlerMethodCaller | ObjectHandlerProxy implements mapping to IObjectHandlerMethodCaller methods abstracting the construction of the handler.
XmlObjectHandlerMethodCaller | Summary description for XmlObjectHandlerMethodCaller.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IObjectHandlerMethodCaller Members | ShowX.Model Namespace


IObjectHandlerMethodCaller Members

IObjectHandlerMethodCaller overview

Public Instance Methods

InvokeMethodAddX | Invoque the method AddX, for Type t, by using its Object Handler (OH) class.
InvokeMethodDelX | Invoque the method DelX, for Type t,by using its Object Handler (OH) class.
InvokeMethodGetAllX | Invoque the method GetAllX, for Type t by using its Object Handler (OH) class.
InvokeMethodGetUpdateX | Invoque the method GetUpdateX, for Type t, by using its Object Handler (OH) class.
InvokeMethodGetXByID | Invoque the method GetXByID, for Type t, by using its Object Handler (OH) class.
InvokeMethodNewX | Invoque the method NewX, for Type t, by using its Object Handler (OH) class.

See Also

IObjectHandlerMethodCaller Interface | ShowX.Model Namespace


IObjectHandlerMethodCaller Methods

The methods of the IObjectHandlerMethodCaller interface are listed below. For a complete list of IObjectHandlerMethodCaller interface members, see the IObjectHandlerMethodCaller Members topic.

Public Instance Methods

InvokeMethodAddX | Invoque the method AddX, for Type t, by using its Object Handler (OH) class.
InvokeMethodDelX | Invoque the method DelX, for Type t,by using its Object Handler (OH) class.
InvokeMethodGetAllX | Invoque the method GetAllX, for Type t by using its Object Handler (OH) class.
InvokeMethodGetUpdateX | Invoque the method GetUpdateX, for Type t, by using its Object Handler (OH) class.
InvokeMethodGetXByID | Invoque the method GetXByID, for Type t, by using its Object Handler (OH) class.
InvokeMethodNewX | Invoque the method NewX, for Type t, by using its Object Handler (OH) class.

See Also

IObjectHandlerMethodCaller Interface | ShowX.Model Namespace


IObjectHandlerMethodCaller.InvokeMethodAddX Method

Invoque the method AddX, for Type t, by using its Object Handler (OH) class.

object InvokeMethodAddX(
Type t,
object context,
object[] values
);

Parameters

t
Type to invoque method AddX, by using its OH.
context
Context in which occurs the operation (supplied by user via control properties)
values
Values to add an instance of t. The values array should compliant with the expected parameter of the method AddX for the OH defined for this class.

See Also

IObjectHandlerMethodCaller Interface | ShowX.Model Namespace


IObjectHandlerMethodCaller.InvokeMethodDelX Method

Invoque the method DelX, for Type t,by using its Object Handler (OH) class.

void InvokeMethodDelX(
Type t,
object context,
int xId
);

Parameters

t
Type to invoque DelX, by using its OH.
context
Context in wich occurs the operation.
xId
Unique identifier of the instance we want to delete.

See Also

IObjectHandlerMethodCaller Interface | ShowX.Model Namespace


IObjectHandlerMethodCaller.InvokeMethodGetAllX Method

Invoque the method GetAllX, for Type t by using its Object Handler (OH) class.

ArrayList InvokeMethodGetAllX(
Type t,
object context
);

Parameters

t
Type to invoque method theGetAllX, by using its OH.
context
Context in which occurs the operation (supplied by user via control properties)

Return Value

An ArrayList of instances of t.

See Also

IObjectHandlerMethodCaller Interface | ShowX.Model Namespace


IObjectHandlerMethodCaller.InvokeMethodGetUpdateX Method

Invoque the method GetUpdateX, for Type t, by using its Object Handler (OH) class.

void InvokeMethodGetUpdateX(
Type t,
object context,
object[] values
);

Parameters

t
Type to invoque method GetUpdateX, by using its OH.
context
Context in which occurs the operation (supplied by user via control properties)
values
Values to update an instance of t. The values array should compliant with the expected parameter of the method.

See Also

IObjectHandlerMethodCaller Interface | ShowX.Model Namespace


IObjectHandlerMethodCaller.InvokeMethodGetXByID Method

Invoque the method GetXByID, for Type t, by using its Object Handler (OH) class.

object InvokeMethodGetXByID(
Type t,
object context,
int xId
);

Parameters

t
Type to invoque method GetXByID, by using its OH.
context
Context in which occurs the operation (supplied by user via control properties)
xId
Unique identifier of the instance we want to get.

Return Value

An instance of type t.

See Also

IObjectHandlerMethodCaller Interface | ShowX.Model Namespace


IObjectHandlerMethodCaller.InvokeMethodNewX Method

Invoque the method NewX, for Type t, by using its Object Handler (OH) class.

object InvokeMethodNewX(
Type t
);

Parameters

t
Type to invoque method NewX, by using its OH.

Return Value

The newly created instance of type t.

See Also

IObjectHandlerMethodCaller Interface | ShowX.Model Namespace


IPropertyMap Interface

IPropertyMap provide a common interface to information stored when we are mapping a ShowX property.

For a list of all members of this type, see IPropertyMap Members.

ShowX.Model.IPropertyMap
ShowX.Model.ICollectionMap
ShowX.Model.IForeignIdentifierMap
ShowX.Model.IIdentifierMap
ShowX.Model.IXPercentMap

public interface IPropertyMap

Types that implement IPropertyMap

Type | Description
XAttr | Represents an attribute of the business object.
XFK | Decorate a property that represent a reference to another ShowX object
XPercent | Attributes marked with the percent attribute are likely to be show as progress bars.
XPK | Represents a property that returns a unique (integer) identifier for the instance.
XmlCollectionMap | Represents a property that returns a collection of objects.
XmlForeignIdentifierMap | Keep information about a property that represent a reference to another ShowX object.
XmlIdentifierMap | Represents a property that returns a unique (integer) identifier for the instance.
XmlPropertyMap | Represents a property of the business object.
XmlXPercentMap | Represents a property that returns a collection of objects.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IPropertyMap Members | ShowX.Model Namespace


IPropertyMap Members

IPropertyMap overview

Public Instance Properties

EditOnInsert | Reflex whether the property should be edited on insertion.
Heading | Heading of this item.
IsPassword | Reflex whether the property value should be treated as a password.
ItemStyle | Style for this item.
Name | Reflex the Name associated of the property.
ReadOnly | Reflex readonly-ness of the property.
Show | Reflex whether the value of the property should be show or not.
Translator | Translator for this item.

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap Properties

The properties of the IPropertyMap interface are listed below. For a complete list of IPropertyMap interface members, see the IPropertyMap Members topic.

Public Instance Properties

EditOnInsert | Reflex whether the property should be edited on insertion.
Heading | Heading of this item.
IsPassword | Reflex whether the property value should be treated as a password.
ItemStyle | Style for this item.
Name | Reflex the Name associated of the property.
ReadOnly | Reflex readonly-ness of the property.
Show | Reflex whether the value of the property should be show or not.
Translator | Translator for this item.

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap.EditOnInsert Property

Reflex whether the property should be edited on insertion.

bool EditOnInsert {get; set;}

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap.Heading Property

Heading of this item.

string Heading {get; set;}

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap.IsPassword Property

Reflex whether the property value should be treated as a password.

bool IsPassword {get; set;}

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap.ItemStyle Property

Style for this item.

ItemStyle ItemStyle {get; set;}

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap.Name Property

Reflex the Name associated of the property.

string Name {get; set;}

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap.ReadOnly Property

Reflex readonly-ness of the property.

bool ReadOnly {get; set;}

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap.Show Property

Reflex whether the value of the property should be show or not.

bool Show {get; set;}

See Also

IPropertyMap Interface | ShowX.Model Namespace


IPropertyMap.Translator Property

Translator for this item.

ITranslator Translator {get; set;}

See Also

IPropertyMap Interface | ShowX.Model Namespace


ItemStyle Enumeration

ItemStyle define the possible styles or kinds of controls used to show elements in the presentation layer.

public enum ItemStyle

Members

Member Name | Description
HyperLink | The element will be shown as an Hyperlink.
TextArea | The element is a text area.
Text | The element is a simple text box.
None | The way the element is shown it is not modified.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Model Namespace


ITranslator Interface

Summary description for ITranslator.

For a list of all members of this type, see ITranslator Members.

public interface ITranslator

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

ITranslator Members | ShowX.Model Namespace


ITranslator Members

ITranslator overview

Public Instance Methods

Translate Translation interface.

See Also

ITranslator Interface | ShowX.Model Namespace


ITranslator Methods

The methods of the ITranslator interface are listed below. For a complete list of ITranslator interface members, see the ITranslator Members topic.

Public Instance Methods

Translate Translation interface.

See Also

ITranslator Interface | ShowX.Model Namespace


ITranslator.Translate Method

Translation interface.

string Translate(
object o,
string str
);

Parameters

o
Instance to translate value.
str
string to translate.

Return Value

See Also

ITranslator Interface | ShowX.Model Namespace


IValidationMap Interface

Define the type that should conform any validation map.

For a list of all members of this type, see IValidationMap Members.

public interface IValidationMap

Types that implement IValidationMap

Type | Description
XValidate | Attribute used to indicate type of validation to make over a certain instance.
XmlValidateMap | Class used to map validation to make over a certain property.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IValidationMap Members | ShowX.Model Namespace


IValidationMap Members

IValidationMap overview

Public Instance Properties

Message | Message to show in case validation was unsucessful.
PropertyName | Name of the property in wich this validation is attached.
RegularExpression | Regular expression to match on validation.
Type | Type in wich this validation is attached.
ValidateFor | ValidateFor define the kind of validation defined over this map.

Public Instance Methods

Validate Validate the input value, over the kind of validation defined here. The value is input as a string.

See Also

IValidationMap Interface | ShowX.Model Namespace


IValidationMap Properties

The properties of the IValidationMap interface are listed below. For a complete list of IValidationMap interface members, see the IValidationMap Members topic.

Public Instance Properties

Message | Message to show in case validation was unsucessful.
PropertyName | Name of the property in wich this validation is attached.
RegularExpression | Regular expression to match on validation.
Type | Type in wich this validation is attached.
ValidateFor | ValidateFor define the kind of validation defined over this map.

See Also

IValidationMap Interface | ShowX.Model Namespace


IValidationMap.Message Property

Message to show in case validation was unsucessful.

string Message {get; set;}

See Also

IValidationMap Interface | ShowX.Model Namespace


IValidationMap.PropertyName Property

Name of the property in wich this validation is attached.

string PropertyName {get; set;}

See Also

IValidationMap Interface | ShowX.Model Namespace


IValidationMap.RegularExpression Property

Regular expression to match on validation.

string RegularExpression {get; set;}

See Also

IValidationMap Interface | ShowX.Model Namespace


IValidationMap.Type Property

Type in wich this validation is attached.

System.Type Type {get; set;}

See Also

IValidationMap Interface | ShowX.Model Namespace


IValidationMap.ValidateFor Property

ValidateFor define the kind of validation defined over this map.

ValidateFor ValidateFor {get; set;}

See Also

IValidationMap Interface | ShowX.Model Namespace


IValidationMap Methods

The methods of the IValidationMap interface are listed below. For a complete list of IValidationMap interface members, see the IValidationMap Members topic.

Public Instance Methods

Validate Validate the input value, over the kind of validation defined here. The value is input as a string.

See Also

IValidationMap Interface | ShowX.Model Namespace


IValidationMap.Validate Method

Validate the input value, over the kind of validation defined here. The value is input as a string.

bool Validate(
object context,
string s
);

Parameters

context
Context in which occurs the operation (supplied by user via control properties)
s
Value to validate.

Return Value

True if the value fulfills the requeriments of this validator. False otherwise.

See Also

IValidationMap Interface | ShowX.Model Namespace


IView Interface

Define the interface of a view.

For a list of all members of this type, see IView Members.

public interface IView

Types that implement IView

Type | Description
XmlView | XmlView represent a view in the xml model.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IView Members | ShowX.Model Namespace


IView Members

IView overview

Public Instance Properties

Name | Name of the current view.
Properties | Reflex the properties defined by this view.

See Also

IView Interface | ShowX.Model Namespace


IView Properties

The properties of the IView interface are listed below. For a complete list of IView interface members, see the IView Members topic.

Public Instance Properties

Name | Name of the current view.
Properties | Reflex the properties defined by this view.

See Also

IView Interface | ShowX.Model Namespace


IView.Name Property

Name of the current view.

string Name {get;}

See Also

IView Interface | ShowX.Model Namespace


IView.Properties Property

Reflex the properties defined by this view.

System.Collections.ArrayList Properties {get;}

See Also

IView Interface | ShowX.Model Namespace


IViewCollection Interface

IViewCollection brings a common interface to handle View collections.

For a list of all members of this type, see IViewCollection Members.

public interface IViewCollection

Types that implement IViewCollection

Type | Description
XmlViewCollection | XmlViewCollection implements IViewCollection for the Xml model.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IViewCollection Members | ShowX.Model Namespace


IViewCollection Members

IViewCollection overview

Public Instance Properties

DefaultView | Return default view for this instance. If null, no default view defined.
Views | Return views defined for this class.

See Also

IViewCollection Interface | ShowX.Model Namespace


IViewCollection Properties

The properties of the IViewCollection interface are listed below. For a complete list of IViewCollection interface members, see the IViewCollection Members topic.

Public Instance Properties

DefaultView | Return default view for this instance. If null, no default view defined.
Views | Return views defined for this class.

See Also

IViewCollection Interface | ShowX.Model Namespace


IViewCollection.DefaultView Property

Return default view for this instance. If null, no default view defined.

IView DefaultView {get;}

See Also

IViewCollection Interface | ShowX.Model Namespace


IViewCollection.Views Property

Return views defined for this class.

System.Collections.Hashtable Views {get;}

See Also

IViewCollection Interface | ShowX.Model Namespace


IXPercentMap Interface

IXPercentMap represent the interface of properties who show himself as a percent of another value.

For a list of all members of this type, see IXPercentMap Members.

public interface IXPercentMap : IPropertyMap

Types that implement IXPercentMap

Type | Description
XPercent | Attributes marked with the percent attribute are likely to be show as progress bars.
XmlXPercentMap | Represents a property that returns a collection of objects.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

IXPercentMap Members | ShowX.Model Namespace


IXPercentMap Members

IXPercentMap overview

Public Instance Properties

MaxPoperty | Reflex the property who store the maximum value.
ShowLikePercent | Expose whether the property should be show like a percent.

See Also

IXPercentMap Interface | ShowX.Model Namespace


IXPercentMap Properties

The properties of the IXPercentMap interface are listed below. For a complete list of IXPercentMap interface members, see the IXPercentMap Members topic.

Public Instance Properties

MaxPoperty | Reflex the property who store the maximum value.
ShowLikePercent | Expose whether the property should be show like a percent.

See Also

IXPercentMap Interface | ShowX.Model Namespace


IXPercentMap.MaxPoperty Property

Reflex the property who store the maximum value.

string MaxPoperty {get; set;}

See Also

IXPercentMap Interface | ShowX.Model Namespace


IXPercentMap.ShowLikePercent Property

Expose whether the property should be show like a percent.

bool ShowLikePercent {get; set;}

See Also

IXPercentMap Interface | ShowX.Model Namespace


ModelException Class

ModelException represent exceptions produced on showx model layer. process.

For a list of all members of this type, see ModelException Members.

System.Object
System.Exception
ShowX.Model.ModelException

public class ModelException : Exception

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

ModelException Members | ShowX.Model Namespace


ModelException Members

ModelException overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

ModelException Overloaded. Initializes a new instance of the ModelException class.

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

Protected Instance Properties

HResult (inherited from Exception) Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Internal Instance Fields

_HResult (inherited from Exception)
_message (inherited from Exception)

Internal Instance Methods

InternalToString (inherited from Exception)

See Also

ModelException Class | ShowX.Model Namespace


ModelException Constructor

Constructor. Builds exception with an error message and an inner exception.

Overload List

Constructor. Builds exception with an error message.

public ModelException(string);

Constructor. Builds exception with an error message and an inner exception.

public ModelException(string,Exception);

See Also

ModelException Class | ShowX.Model Namespace


ModelException Constructor (String, Exception)

Constructor. Builds exception with an error message and an inner exception.

public ModelException(
string msg,
Exception inner
);

Parameters

msg
Exception message.
inner
Inner exception.

See Also

ModelException Class | ShowX.Model Namespace | ModelException Constructor Overload List


ModelException Constructor (String)

Constructor. Builds exception with an error message.

public ModelException(
string msg
);

Parameters

msg
Exception message.

See Also

ModelException Class | ShowX.Model Namespace | ModelException Constructor Overload List


ObjectHandlerMethodCaller Class

ObjectHandlerProxy implements mapping to IObjectHandlerMethodCaller methods abstracting the construction of the handler.

For a list of all members of this type, see ObjectHandlerMethodCaller Members.

System.Object
ShowX.Model.ObjectHandlerMethodCaller
ShowX.Model.AttributeObjectHandlerMethodCaller
ShowX.Model.XmlModel.XmlObjectHandlerMethodCaller

public abstract class ObjectHandlerMethodCaller : IObjectHandlerMethodCaller

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

ObjectHandlerMethodCaller Members | ShowX.Model Namespace


ObjectHandlerMethodCaller Members

ObjectHandlerMethodCaller overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InvokeMethodAddX | Invoque the method AddX, for Type t, by using its Object Handler (OH).
InvokeMethodDelX | Invoque the method DelX, for Type t, by using its Object Handler (OH).
InvokeMethodGetAllX | Invoque the method GetAllX, for Type t, by using its Object Handler (OH).
InvokeMethodGetUpdateX | Invoque the method UpdateX, for Type t, by using its Object Handler (OH).
InvokeMethodGetXByID | Invoque the method GetXByID, for Type t, by using its Object Handler (OH).
InvokeMethodNewX | Invoque the method NewX, for Type t, by using its Object Handler (OH).
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Constructors

ObjectHandlerMethodCaller Constructor Initializes a new instance of the ObjectHandlerMethodCaller class.

Protected Instance Methods

BuildObjectHandlerFromType | Helper method to retrieve and build the Object Handler attached to a certain type.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller Constructor

Initializes a new instance of the ObjectHandlerMethodCaller class.

protected ObjectHandlerMethodCaller();

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller Methods

The methods of the ObjectHandlerMethodCaller class are listed below. For a complete list of ObjectHandlerMethodCaller class members, see the ObjectHandlerMethodCaller Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InvokeMethodAddX | Invoque the method AddX, for Type t, by using its Object Handler (OH).
InvokeMethodDelX | Invoque the method DelX, for Type t, by using its Object Handler (OH).
InvokeMethodGetAllX | Invoque the method GetAllX, for Type t, by using its Object Handler (OH).
InvokeMethodGetUpdateX | Invoque the method UpdateX, for Type t, by using its Object Handler (OH).
InvokeMethodGetXByID | Invoque the method GetXByID, for Type t, by using its Object Handler (OH).
InvokeMethodNewX | Invoque the method NewX, for Type t, by using its Object Handler (OH).
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

BuildObjectHandlerFromType | Helper method to retrieve and build the Object Handler attached to a certain type.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller.BuildObjectHandlerFromType Method

Helper method to retrieve and build the Object Handler attached to a certain type.

protected abstract IObjectHandler BuildObjectHandlerFromType(
Type t
);

Parameters

t
Type to get object handler.

Return Value

An instance of the object handler attached to type t.

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller.InvokeMethodAddX Method

Invoque the method AddX, for Type t, by using its Object Handler (OH).

public object InvokeMethodAddX(
Type t,
object context,
object[] values
);

Parameters

t
Type to invoque method AddX.
context
Context in which occurs the operation (supplied by user via control properties)
values
Values to build an instance of t.

Implements

IObjectHandlerMethodCaller.InvokeMethodAddX

Remarks

The values array should compliant with the expected parameter of the method AddX of the associated OH.

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller.InvokeMethodDelX Method

Invoque the method DelX, for Type t, by using its Object Handler (OH).

public void InvokeMethodDelX(
Type t,
object context,
int xId
);

Parameters

t
Type to invoque method DelX, by using its OH.
context
Context in wich occurs the operation.
xId
Unique identifier of the instance we want to delete.

Implements

IObjectHandlerMethodCaller.InvokeMethodDelX

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller.InvokeMethodGetAllX Method

Invoque the method GetAllX, for Type t, by using its Object Handler (OH).

public ArrayList InvokeMethodGetAllX(
Type t,
object context
);

Parameters

t
Type to invoque method GetAllX, by using its OH.
context
Context in which occurs the operation (supplied by user via control properties)

Return Value

An ArrayList of instances of t.

Implements

IObjectHandlerMethodCaller.InvokeMethodGetAllX

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller.InvokeMethodGetUpdateX Method

Invoque the method UpdateX, for Type t, by using its Object Handler (OH).

public void InvokeMethodGetUpdateX(
Type t,
object context,
object[] values
);

Parameters

t
Type to invoque method GetUpdateX by its OH.
context
Context in which occurs the operation (supplied by user via control properties)
values
Values to update an instance of t.

Implements

IObjectHandlerMethodCaller.InvokeMethodGetUpdateX

Remarks

The values array should compliant with the expected parameter of the method UpdateX.

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller.InvokeMethodGetXByID Method

Invoque the method GetXByID, for Type t, by using its Object Handler (OH).

public object InvokeMethodGetXByID(
Type t,
object context,
int xId
);

Parameters

t
Type to invoque method GetXByID, by using its OH.
context
Context in wich occurs the operation.
xId
Unique identifier of the instance we want to get.

Return Value

An instance of type t.

Implements

IObjectHandlerMethodCaller.InvokeMethodGetXByID

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ObjectHandlerMethodCaller.InvokeMethodNewX Method

Invoque the method NewX, for Type t, by using its Object Handler (OH).

public object InvokeMethodNewX(
Type t
);

Parameters

t
Type to invoque method NewX.

Return Value

The newly created instance of type t.

Implements

IObjectHandlerMethodCaller.InvokeMethodNewX

See Also

ObjectHandlerMethodCaller Class | ShowX.Model Namespace


ValidateFor Enumeration

Define the possible types of validation we want to do over an input value.

public enum ValidateFor

Members

Member Name | Description
Empty | Validate for empty.
NotEmpty | Validate for not empty.
Number | Validate for number.
NotNumber | Validate for not a number.
Match | Validate for match with a certain regular expression.
NotMatch | Validate for not matching with a certain regular expression.
Unique | Validate for unique among all the instances of this type.
NoValidation | No validation.

Requirements

Namespace: ShowX.Model

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Model Namespace


ShowX.Model.AttributeModel

ShowX Class Library Documentation

ShowX.Model.AttributeModel Namespace

Namespace hierarchy

Classes

Class | Description
AttributeMappingHandler | Class AttributeMappingHandler provides useful methods to work with attribute mapping, by implementing the IMappingHandler interface. Brings a concrete implementation to work with property mapping, when we are using the attribute mapping model.
AttributeObjectHandlerInfo | AttributeObjectHandlerInfo implements IObjectHandlerInfo as a class custom attribute.
XAttr | Represents an attribute of the business object.
XFK | Decorate a property that represent a reference to another ShowX object
XPercent | Attributes marked with the percent attribute are likely to be show as progress bars.
XPK | Represents a property that returns a unique (integer) identifier for the instance.
XValidate | Attribute used to indicate type of validation to make over a certain instance.


AttributeMappingHandler Class

Class AttributeMappingHandler provides useful methods to work with attribute mapping, by implementing the IMappingHandler interface. Brings a concrete implementation to work with property mapping, when we are using the attribute mapping model.

For a list of all members of this type, see AttributeMappingHandler Members.

System.Object
ShowX.Model.AttributeModel.AttributeMappingHandler

public class AttributeMappingHandler : IMappingHandler

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.AttributeModel

Assembly: ShowX (in ShowX.dll)

See Also

AttributeMappingHandler Members | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler Members

AttributeMappingHandler overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

AttributeMappingHandler Constructor Initializes the static fields of the AttributeMappingHandler class.

Private Static Fields

log

Public Instance Constructors

AttributeMappingHandler Constructor Initializes a new instance of the AttributeMappingHandler class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllShowXProperties | Get all ShowX Properties marked of the object, for a given type (not counting primary key property).
GetFK | Get a property marked as foreign key of the object, for a given type.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetPK | Get the property marked as the Primary key of the object, for a given type.
GetPropertyMap | Retrieve the showX mapper property attached to this Property. Mapper property should be one of XAttr, XPK or XFK.
GetShowXPropertyByName | Get an ShowX property of the object, for a given type.
GetType (inherited from Object) | Gets the Type of the current instance.
GetValidators | Get the validators associated to a certain property.
GetViews | Get the views collection for a given type (Mock). Views are not supported by the attribute model.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

GetPropertiesWithAttribute Helper method, used to select a certain set of properties from a given type

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler Constructor

Initializes a new instance of the AttributeMappingHandler class.

public AttributeMappingHandler();

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler Static Constructor

Initializes the static fields of the AttributeMappingHandler class.

static AttributeMappingHandler();

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler Fields

The fields of the AttributeMappingHandler class are listed below. For a complete list of AttributeMappingHandler class members, see the AttributeMappingHandler Members topic.

Private Static Fields

log

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.log Field

private static readonly ILog log;

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler Methods

The methods of the AttributeMappingHandler class are listed below. For a complete list of AttributeMappingHandler class members, see the AttributeMappingHandler Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllShowXProperties | Get all ShowX Properties marked of the object, for a given type (not counting primary key property).
GetFK | Get a property marked as foreign key of the object, for a given type.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetPK | Get the property marked as the Primary key of the object, for a given type.
GetPropertyMap | Retrieve the showX mapper property attached to this Property. Mapper property should be one of XAttr, XPK or XFK.
GetShowXPropertyByName | Get an ShowX property of the object, for a given type.
GetType (inherited from Object) | Gets the Type of the current instance.
GetValidators | Get the validators associated to a certain property.
GetViews | Get the views collection for a given type (Mock). Views are not supported by the attribute model.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

GetPropertiesWithAttribute Helper method, used to select a certain set of properties from a given type

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.GetAllShowXProperties Method

Get all ShowX Properties marked of the object, for a given type (not counting primary key property).

public ArrayList GetAllShowXProperties(
Type t
);

Parameters

t
Type to get ShowX properties.

Return Value

An ArrayList of PropertyInfo instances.

Implements

IMappingHandler.GetAllShowXProperties

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.GetFK Method

Get a property marked as foreign key of the object, for a given type.

public PropertyInfo GetFK(
Type t,
string attrName
);

Parameters

t
Type to get FK property.
attrName
Name of the searched property.

Return Value

A PropertyInfo instance, representing the FK property.

Implements

IMappingHandler.GetFK

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.GetPK Method

Get the property marked as the Primary key of the object, for a given type.

public PropertyInfo GetPK(
Type t
);

Parameters

t
Type to get PK property.

Return Value

A PropertyInfo instance, representing the PK property.

Implements

IMappingHandler.GetPK

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.GetPropertiesWithAttribute Method

Helper method, used to select a certain set of properties from a given type

private PropertyInfo[] GetPropertiesWithAttribute(
Type t,
Type attr
);

Parameters

t
Type to query
attr
Attribute that decorate the properties searched

Return Value

An arrayList with the propertie found, or empty if any property match query

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.GetPropertyMap Method

Retrieve the showX mapper property attached to this Property. Mapper property should be one of XAttr, XPK or XFK.

public IPropertyMap GetPropertyMap(
PropertyInfo pInfo
);

Parameters

pInfo
Property to query for query for mapper property.

Return Value

The property map attached to this Property.

Implements

IMappingHandler.GetPropertyMap

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.GetShowXPropertyByName Method

Get an ShowX property of the object, for a given type.

public PropertyInfo GetShowXPropertyByName(
Type t,
string fieldName
);

Parameters

t
Type to get the ShowX property.
fieldName
Name of the searched property.

Return Value

A PropertyInfo instance, representing the ShowX property.

Implements

IMappingHandler.GetShowXPropertyByName

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.GetValidators Method

Get the validators associated to a certain property.

public ArrayList GetValidators(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo to get validators.

Return Value

An ArrayList instance, populated with instance of XValidate class.

Implements

IMappingHandler.GetValidators

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeMappingHandler.GetViews Method

Get the views collection for a given type (Mock). Views are not supported by the attribute model.

public IViewCollection GetViews(
Type t
);

Parameters

t
Type to get ShowX view collection.

Return Value

A view collection instance.

Implements

IMappingHandler.GetViews

See Also

AttributeMappingHandler Class | ShowX.Model.AttributeModel Namespace


AttributeObjectHandlerInfo Class

AttributeObjectHandlerInfo implements IObjectHandlerInfo as a class custom attribute.

For a list of all members of this type, see AttributeObjectHandlerInfo Members.

System.Object
System.Attribute
ShowX.Model.AttributeModel.AttributeObjectHandlerInfo

[AttributeUsage(ValidOn=AttributeTargets.Class, AllowMultiple=False, Inherited=True, TypeId=System.AttributeUsageAttribute)]
public class AttributeObjectHandlerInfo : Attribute, IObjectHandlerInfo

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.AttributeModel

Assembly: ShowX (in ShowX.dll)

See Also

AttributeObjectHandlerInfo Members | ShowX.Model.AttributeModel Namespace


AttributeObjectHandlerInfo Members

AttributeObjectHandlerInfo overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
GetCustomAttribute (inherited from Attribute) | Retrieves a custom attribute of a specified type applied to a specified member of a class or inherited from a base class.
GetCustomAttributes (inherited from Attribute) | Retrieves an array of the custom attributes of a specified type applied to a specified member of a class or inherited from a base class.
IsDefined (inherited from Attribute) | Determines whether any custom attributes of a specified type are applied to a specified member of a class or inherited from a base class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

AttributeObjectHandlerInfo Constructor Initializes a new instance of the AttributeObjectHandlerInfo class.

Public Instance Properties

Type | Property Type retrieve object handler type associated to this ObjectHandlerInfo.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

type Type of associated object handler.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

AttributeObjectHandlerInfo Class | ShowX.Model.AttributeModel Namespace


AttributeObjectHandlerInfo Constructor

Initializes a new instance of the AttributeObjectHandlerInfo class.

public AttributeObjectHandlerInfo();

See Also

AttributeObjectHandlerInfo Class | ShowX.Model.AttributeModel Namespace


AttributeObjectHandlerInfo Fields

The fields of the AttributeObjectHandlerInfo class are listed below. For a complete list of AttributeObjectHandlerInfo class members, see the AttributeObjectHandlerInfo Members topic.

Protected Instance Fields

type Type of associated object handler.

See Also

AttributeObjectHandlerInfo Class | ShowX.Model.AttributeModel Namespace


AttributeObjectHandlerInfo.Type Property

Property Type retrieve object handler type associated to this ObjectHandlerInfo.

public System.Type Type {get; set;}

Implements

IObjectHandlerInfo.Type

See Also

AttributeObjectHandlerInfo Class | ShowX.Model.AttributeModel Namespace


AttributeObjectHandlerInfo Properties

The properties of the AttributeObjectHandlerInfo class are listed below. For a complete list of AttributeObjectHandlerInfo class members, see the AttributeObjectHandlerInfo Members topic.

Public Instance Properties

Type | Property Type retrieve object handler type associated to this ObjectHandlerInfo.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

See Also

AttributeObjectHandlerInfo Class | ShowX.Model.AttributeModel Namespace


XAttr Class

Represents an attribute of the business object.

For a list of all members of this type, see XAttr Members.

System.Object
System.Attribute
ShowX.Model.AttributeModel.XAttr
ShowX.Model.AttributeModel.XFK
ShowX.Model.AttributeModel.XPK

[AttributeUsage(ValidOn=AttributeTargets.Property, AllowMultiple=False, Inherited=True, TypeId=System.AttributeUsageAttribute)]
public class XAttr : Attribute, IPropertyMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Remarks

Properties that represents editable values should be marked as XAttr. This allow recognition of this kind of elements if we are working with the attribute mapping model.

Requirements

Namespace: ShowX.Model.AttributeModel

Assembly: ShowX (in ShowX.dll)

See Also

XAttr Members | ShowX.Model.AttributeModel Namespace


XAttr Members

XAttr overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
GetCustomAttribute (inherited from Attribute) | Retrieves a custom attribute of a specified type applied to a specified member of a class or inherited from a base class.
GetCustomAttributes (inherited from Attribute) | Retrieves an array of the custom attributes of a specified type applied to a specified member of a class or inherited from a base class.
IsDefined (inherited from Attribute) | Determines whether any custom attributes of a specified type are applied to a specified member of a class or inherited from a base class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XAttr Constructor Initializes a new instance of the XAttr class.

Public Instance Properties

EditOnInsert | Reflex the editOnInsert field.
Heading | Reflex the heading field.
IsPassword | Reflex the isPassword field.
ItemStyle | Reflex the itemStyle field.
Name | Reflex the name field.
ReadOnly | Reflex the readOnly field.
Show | Reflex the show field.
Translator | Reflex the translator field.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

editOnInsert | Is this attribute editable when we are inserting a new instance? Default value is true.
heading | Heading to show over this property.
isPassword | Is this attribute a password?. Default value is false.
itemStyle | Style of this item.
name | Name of the attribute. Default value is "".
readOnly | Is this attribute read only?. If true, it won't be editable on editing over this class. Default value is false.
show | Is this attribute show? If false, the attribute won't be show neither on editing or viewing. Default value is true.
translator | Translator for this item.
validators | Validators associated to this attribute.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr Constructor

Initializes a new instance of the XAttr class.

public XAttr();

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr Fields

The fields of the XAttr class are listed below. For a complete list of XAttr class members, see the XAttr Members topic.

Protected Instance Fields

editOnInsert | Is this attribute editable when we are inserting a new instance? Default value is true.
heading | Heading to show over this property.
isPassword | Is this attribute a password?. Default value is false.
itemStyle | Style of this item.
name | Name of the attribute. Default value is "".
readOnly | Is this attribute read only?. If true, it won't be editable on editing over this class. Default value is false.
show | Is this attribute show? If false, the attribute won't be show neither on editing or viewing. Default value is true.
translator | Translator for this item.
validators | Validators associated to this attribute.

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.EditOnInsert Property

Reflex the editOnInsert field.

public virtual bool EditOnInsert {get; set;}

Implements

IPropertyMap.EditOnInsert

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.Heading Property

Reflex the heading field.

public string Heading {get; set;}

Implements

IPropertyMap.Heading

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.IsPassword Property

Reflex the isPassword field.

public virtual bool IsPassword {get; set;}

Implements

IPropertyMap.IsPassword

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.ItemStyle Property

Reflex the itemStyle field.

public ShowX.Model.ItemStyle ItemStyle {get; set;}

Implements

IPropertyMap.ItemStyle

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.Name Property

Reflex the name field.

public string Name {get; set;}

Implements

IPropertyMap.Name

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.ReadOnly Property

Reflex the readOnly field.

public virtual bool ReadOnly {get; set;}

Implements

IPropertyMap.ReadOnly

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.Show Property

Reflex the show field.

public bool Show {get; set;}

Implements

IPropertyMap.Show

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.Translator Property

Reflex the translator field.

public ShowX.Model.ITranslator Translator {get; set;}

Implements

IPropertyMap.Translator

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr.validators Field

Validators associated to this attribute.

protected ArrayList validators;

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XAttr Properties

The properties of the XAttr class are listed below. For a complete list of XAttr class members, see the XAttr Members topic.

Public Instance Properties

EditOnInsert | Reflex the editOnInsert field.
Heading | Reflex the heading field.
IsPassword | Reflex the isPassword field.
ItemStyle | Reflex the itemStyle field.
Name | Reflex the name field.
ReadOnly | Reflex the readOnly field.
Show | Reflex the show field.
Translator | Reflex the translator field.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

See Also

XAttr Class | ShowX.Model.AttributeModel Namespace


XFK Class

Decorate a property that represent a reference to another ShowX object

For a list of all members of this type, see XFK Members.

System.Object
System.Attribute
ShowX.Model.AttributeModel.XAttr
ShowX.Model.AttributeModel.XFK

[AttributeUsage(ValidOn=AttributeTargets.Property, AllowMultiple=False, Inherited=True, TypeId=System.AttributeUsageAttribute)]
public class XFK : XAttr, IForeignIdentifierMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Remarks

In case of properties that returns ShowX objects (i.e, objects of classes that implements administrative methods as GetAllX and so) it is posible an special treatment over them. For example, to use a drowpdown list to show all the possible values of the foreign type, and mark as selected the associated value to the treated instance.

This funcionality could be deduced from the return type of the property, so it migth be deleted in the future.

Requirements

Namespace: ShowX.Model.AttributeModel

Assembly: ShowX (in ShowX.dll)

See Also

XFK Members | ShowX.Model.AttributeModel Namespace


XFK Members

XFK overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
GetCustomAttribute (inherited from Attribute) | Retrieves a custom attribute of a specified type applied to a specified member of a class or inherited from a base class.
GetCustomAttributes (inherited from Attribute) | Retrieves an array of the custom attributes of a specified type applied to a specified member of a class or inherited from a base class.
IsDefined (inherited from Attribute) | Determines whether any custom attributes of a specified type are applied to a specified member of a class or inherited from a base class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XFK Constructor Constructor. Set to true the readOnly value. Set to false the editOnInset value.

Public Instance Properties

EditOnInsert (inherited from XAttr) | Reflex the editOnInsert field.
Heading (inherited from XAttr) | Reflex the heading field.
IsPassword (inherited from XAttr) | Reflex the isPassword field.
ItemStyle (inherited from XAttr) | Reflex the itemStyle field.
Name (inherited from XAttr) | Reflex the name field.
ReadOnly | Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.
Show (inherited from XAttr) | Reflex the show field.
Translator (inherited from XAttr) | Reflex the translator field.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

editOnInsert (inherited from XAttr) | Is this attribute editable when we are inserting a new instance? Default value is true.
heading (inherited from XAttr) | Heading to show over this property.
isPassword (inherited from XAttr) | Is this attribute a password?. Default value is false.
itemStyle (inherited from XAttr) | Style of this item.
name (inherited from XAttr) | Name of the attribute. Default value is "".
readOnly (inherited from XAttr) | Is this attribute read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XAttr) | Is this attribute show? If false, the attribute won't be show neither on editing or viewing. Default value is true.
translator (inherited from XAttr) | Translator for this item.
validators (inherited from XAttr) | Validators associated to this attribute.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XFK Class | ShowX.Model.AttributeModel Namespace


XFK Constructor

Constructor. Set to true the readOnly value. Set to false the editOnInset value.

public XFK();

See Also

XFK Class | ShowX.Model.AttributeModel Namespace


XFK Properties

The properties of the XFK class are listed below. For a complete list of XFK class members, see the XFK Members topic.

Public Instance Properties

EditOnInsert (inherited from XAttr) | Reflex the editOnInsert field.
Heading (inherited from XAttr) | Reflex the heading field.
IsPassword (inherited from XAttr) | Reflex the isPassword field.
ItemStyle (inherited from XAttr) | Reflex the itemStyle field.
Name (inherited from XAttr) | Reflex the name field.
ReadOnly | Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.
Show (inherited from XAttr) | Reflex the show field.
Translator (inherited from XAttr) | Reflex the translator field.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

See Also

XFK Class | ShowX.Model.AttributeModel Namespace


XFK.ReadOnly Property

Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.

public override bool ReadOnly {set;}

Implements

IPropertyMap.ReadOnly

See Also

XFK Class | ShowX.Model.AttributeModel Namespace


XPercent Class

Attributes marked with the percent attribute are likely to be show as progress bars.

For a list of all members of this type, see XPercent Members.

System.Object
System.Attribute
ShowX.Model.AttributeModel.XPercent

[AttributeUsage(ValidOn=AttributeTargets.Property, AllowMultiple=False, Inherited=True, TypeId=System.AttributeUsageAttribute)]
public class XPercent : Attribute, IXPercentMap, IPropertyMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.AttributeModel

Assembly: ShowX (in ShowX.dll)

See Also

XPercent Members | ShowX.Model.AttributeModel Namespace


XPercent Members

XPercent overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
GetCustomAttribute (inherited from Attribute) | Retrieves a custom attribute of a specified type applied to a specified member of a class or inherited from a base class.
GetCustomAttributes (inherited from Attribute) | Retrieves an array of the custom attributes of a specified type applied to a specified member of a class or inherited from a base class.
IsDefined (inherited from Attribute) | Determines whether any custom attributes of a specified type are applied to a specified member of a class or inherited from a base class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XPercent Constructor Initializes a new instance of the XPercent class.

Public Instance Properties

EditOnInsert | Reflex whether the property should be edited on insertion.
Heading | See the heading field.
IsPassword | Reflex whether the property value should be treated as a password.
ItemStyle | See the itemStyle field.
MaxPoperty | Reflex the property who store the maximum value.
Name | Reflex the name field.
ReadOnly | Reflex readonly-ness of the property.
Show | Reflex whether the value of the property should be show or not.
ShowLikePercent | Expose the showLikePercent attribute.
Translator | Not used.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

heading | Heading to show over this property.
itemStyle | Style of this item.
maxProp | Represent the name of the property who hold the 100% of this quantity.
name | Name of the attribute. Default value is "".
show | Is this attribute show? If false, the attribute won't be show neither on editing or viewing. Default value is true.
showLikePercent | Keep track whether we want to display attribute as a percent.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent Constructor

Initializes a new instance of the XPercent class.

public XPercent();

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent Fields

The fields of the XPercent class are listed below. For a complete list of XPercent class members, see the XPercent Members topic.

Protected Instance Fields

heading | Heading to show over this property.
itemStyle | Style of this item.
maxProp | Represent the name of the property who hold the 100% of this quantity.
name | Name of the attribute. Default value is "".
show | Is this attribute show? If false, the attribute won't be show neither on editing or viewing. Default value is true.
showLikePercent | Keep track whether we want to display attribute as a percent.

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.Heading Property

See the heading field.

public string Heading {get; set;}

Implements

IPropertyMap.Heading

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.ItemStyle Property

See the itemStyle field.

public ShowX.Model.ItemStyle ItemStyle {get; set;}

Implements

IPropertyMap.ItemStyle

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.maxProp Field

Represent the name of the property who hold the 100% of this quantity.

protected string maxProp;

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.Name Property

Reflex the name field.

public string Name {get; set;}

Implements

IPropertyMap.Name

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.Show Property

Reflex whether the value of the property should be show or not.

public bool Show {get; set;}

Implements

IPropertyMap.Show

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.ShowLikePercent Property

Expose the showLikePercent attribute.

public bool ShowLikePercent {get; set;}

Implements

IXPercentMap.ShowLikePercent

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent Properties

The properties of the XPercent class are listed below. For a complete list of XPercent class members, see the XPercent Members topic.

Public Instance Properties

EditOnInsert | Reflex whether the property should be edited on insertion.
Heading | See the heading field.
IsPassword | Reflex whether the property value should be treated as a password.
ItemStyle | See the itemStyle field.
MaxPoperty | Reflex the property who store the maximum value.
Name | Reflex the name field.
ReadOnly | Reflex readonly-ness of the property.
Show | Reflex whether the value of the property should be show or not.
ShowLikePercent | Expose the showLikePercent attribute.
Translator | Not used.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.EditOnInsert Property

Reflex whether the property should be edited on insertion.

public bool EditOnInsert {get; set;}

Implements

IPropertyMap.EditOnInsert

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.IsPassword Property

Reflex whether the property value should be treated as a password.

public bool IsPassword {get; set;}

Implements

IPropertyMap.IsPassword

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.MaxPoperty Property

Reflex the property who store the maximum value.

public string MaxPoperty {get; set;}

Implements

IXPercentMap.MaxPoperty

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.ReadOnly Property

Reflex readonly-ness of the property.

public bool ReadOnly {get; set;}

Implements

IPropertyMap.ReadOnly

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPercent.Translator Property

Not used.

public ShowX.Model.ITranslator Translator {get; set;}

Implements

IPropertyMap.Translator

See Also

XPercent Class | ShowX.Model.AttributeModel Namespace


XPK Class

Represents a property that returns a unique (integer) identifier for the instance.

For a list of all members of this type, see XPK Members.

System.Object
System.Attribute
ShowX.Model.AttributeModel.XAttr
ShowX.Model.AttributeModel.XPK

[AttributeUsage(ValidOn=AttributeTargets.Property, AllowMultiple=False, Inherited=True, TypeId=System.AttributeUsageAttribute)]
public class XPK : XAttr, IIdentifierMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Remarks

This attribute is mandatory in the definition of the class, because Object Handler methods like GetXByID and UpdateX depends on the existence of this value to work properly.

Requirements

Namespace: ShowX.Model.AttributeModel

Assembly: ShowX (in ShowX.dll)

See Also

XPK Members | ShowX.Model.AttributeModel Namespace


XPK Members

XPK overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
GetCustomAttribute (inherited from Attribute) | Retrieves a custom attribute of a specified type applied to a specified member of a class or inherited from a base class.
GetCustomAttributes (inherited from Attribute) | Retrieves an array of the custom attributes of a specified type applied to a specified member of a class or inherited from a base class.
IsDefined (inherited from Attribute) | Determines whether any custom attributes of a specified type are applied to a specified member of a class or inherited from a base class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XPK Constructor Constructor. Set to true the readOnly value. Set to false the editOnInset value.

Public Instance Properties

EditOnInsert | Override the inherited EditOnInsert property, so the value of the field editOnInsert can't be altered.
Heading (inherited from XAttr) | Reflex the heading field.
IsPassword | Override the inherited IsPassword property, so the value of the field isPassword can't be altered.
ItemStyle (inherited from XAttr) | Reflex the itemStyle field.
Name (inherited from XAttr) | Reflex the name field.
ReadOnly | Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.
Show (inherited from XAttr) | Reflex the show field.
SubstituteAttr | Reflex the substituteAttr field.
Translator (inherited from XAttr) | Reflex the translator field.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

editOnInsert (inherited from XAttr) | Is this attribute editable when we are inserting a new instance? Default value is true.
heading (inherited from XAttr) | Heading to show over this property.
isPassword (inherited from XAttr) | Is this attribute a password?. Default value is false.
itemStyle (inherited from XAttr) | Style of this item.
name (inherited from XAttr) | Name of the attribute. Default value is "".
readOnly (inherited from XAttr) | Is this attribute read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XAttr) | Is this attribute show? If false, the attribute won't be show neither on editing or viewing. Default value is true.
substituteAttr | Represent the name of a substitute attribute for this primary key attribute. As many times we don't want to show identifiers of our objects, the primary key attributes can define a substitute attribute, that will be shown instead of him.
translator (inherited from XAttr) | Translator for this item.
validators (inherited from XAttr) | Validators associated to this attribute.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XPK Class | ShowX.Model.AttributeModel Namespace


XPK Constructor

Constructor. Set to true the readOnly value. Set to false the editOnInset value.

public XPK();

See Also

XPK Class | ShowX.Model.AttributeModel Namespace


XPK Fields

The fields of the XPK class are listed below. For a complete list of XPK class members, see the XPK Members topic.

Protected Instance Fields

editOnInsert (inherited from XAttr) | Is this attribute editable when we are inserting a new instance? Default value is true.
heading (inherited from XAttr) | Heading to show over this property.
isPassword (inherited from XAttr) | Is this attribute a password?. Default value is false.
itemStyle (inherited from XAttr) | Style of this item.
name (inherited from XAttr) | Name of the attribute. Default value is "".
readOnly (inherited from XAttr) | Is this attribute read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XAttr) | Is this attribute show? If false, the attribute won't be show neither on editing or viewing. Default value is true.
substituteAttr | Represent the name of a substitute attribute for this primary key attribute. As many times we don't want to show identifiers of our objects, the primary key attributes can define a substitute attribute, that will be shown instead of him.
translator (inherited from XAttr) | Translator for this item.
validators (inherited from XAttr) | Validators associated to this attribute.

See Also

XPK Class | ShowX.Model.AttributeModel Namespace


XPK.SubstituteAttr Property

Reflex the substituteAttr field.

public string SubstituteAttr {get; set;}

Implements

IIdentifierMap.SubstituteAttr

See Also

XPK Class | ShowX.Model.AttributeModel Namespace


XPK Properties

The properties of the XPK class are listed below. For a complete list of XPK class members, see the XPK Members topic.

Public Instance Properties

EditOnInsert | Override the inherited EditOnInsert property, so the value of the field editOnInsert can't be altered.
Heading (inherited from XAttr) | Reflex the heading field.
IsPassword | Override the inherited IsPassword property, so the value of the field isPassword can't be altered.
ItemStyle (inherited from XAttr) | Reflex the itemStyle field.
Name (inherited from XAttr) | Reflex the name field.
ReadOnly | Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.
Show (inherited from XAttr) | Reflex the show field.
SubstituteAttr | Reflex the substituteAttr field.
Translator (inherited from XAttr) | Reflex the translator field.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.

See Also

XPK Class | ShowX.Model.AttributeModel Namespace


XPK.EditOnInsert Property

Override the inherited EditOnInsert property, so the value of the field editOnInsert can't be altered.

public override bool EditOnInsert {set;}

Implements

IPropertyMap.EditOnInsert

See Also

XPK Class | ShowX.Model.AttributeModel Namespace


XPK.IsPassword Property

Override the inherited IsPassword property, so the value of the field isPassword can't be altered.

public override bool IsPassword {set;}

Implements

IPropertyMap.IsPassword

See Also

XPK Class | ShowX.Model.AttributeModel Namespace


XPK.ReadOnly Property

Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.

public override bool ReadOnly {set;}

Implements

IPropertyMap.ReadOnly

See Also

XPK Class | ShowX.Model.AttributeModel Namespace


XValidate Class

Attribute used to indicate type of validation to make over a certain instance.

For a list of all members of this type, see XValidate Members.

System.Object
System.Attribute
ShowX.Model.AttributeModel.XValidate

[AttributeUsage(ValidOn=AttributeTargets.Property, AllowMultiple=True, Inherited=True, TypeId=System.AttributeUsageAttribute)]
public class XValidate : Attribute, IValidationMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.AttributeModel

Assembly: ShowX (in ShowX.dll)

See Also

XValidate Members | ShowX.Model.AttributeModel Namespace


XValidate Members

XValidate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
GetCustomAttribute (inherited from Attribute) | Retrieves a custom attribute of a specified type applied to a specified member of a class or inherited from a base class.
GetCustomAttributes (inherited from Attribute) | Retrieves an array of the custom attributes of a specified type applied to a specified member of a class or inherited from a base class.
IsDefined (inherited from Attribute) | Determines whether any custom attributes of a specified type are applied to a specified member of a class or inherited from a base class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XValidate Constructor Constructor.

Public Instance Properties

Message | Reflex the message attribute.
PropertyName | Reflex the propertyName attribute.
RegularExpression | Reflex the regularExpression attribute.
Type | Reflex the type attribute.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.
ValidateFor | Reflex the validateType attribute.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Validate the input value, over the kind of validation defined here. The value is input as a string.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

message | Message to show if the validation fails.
propertyName | Name of the property who has attached the attribute. This field is necessary to implement the Unique validation.
regularExpression | Regular expression string to validate this instance.
type | Type in wich this attribute is used to decorate certain property. This field is necessary to implement the Unique validation.
validateType | Type of validation to do over this instance.

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate Constructor

Constructor.

public XValidate();

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate Fields

The fields of the XValidate class are listed below. For a complete list of XValidate class members, see the XValidate Members topic.

Private Instance Fields

message | Message to show if the validation fails.
propertyName | Name of the property who has attached the attribute. This field is necessary to implement the Unique validation.
regularExpression | Regular expression string to validate this instance.
type | Type in wich this attribute is used to decorate certain property. This field is necessary to implement the Unique validation.
validateType | Type of validation to do over this instance.

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate.Message Property

Reflex the message attribute.

public string Message {get; set;}

Implements

IValidationMap.Message

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate.PropertyName Property

Reflex the propertyName attribute.

public string PropertyName {get; set;}

Implements

IValidationMap.PropertyName

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate.RegularExpression Property

Reflex the regularExpression attribute.

public string RegularExpression {get; set;}

Implements

IValidationMap.RegularExpression

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate.Type Property

Reflex the type attribute.

public System.Type Type {get; set;}

Implements

IValidationMap.Type

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate.validateType Field

Type of validation to do over this instance.

private ValidateFor validateType;

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate Properties

The properties of the XValidate class are listed below. For a complete list of XValidate class members, see the XValidate Members topic.

Public Instance Properties

Message | Reflex the message attribute.
PropertyName | Reflex the propertyName attribute.
RegularExpression | Reflex the regularExpression attribute.
Type | Reflex the type attribute.
TypeId (inherited from Attribute) | When implemented in a derived class, gets a unique identifier for this Attribute.
ValidateFor | Reflex the validateType attribute.

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate.ValidateFor Property

Reflex the validateType attribute.

public ShowX.Model.ValidateFor ValidateFor {get; set;}

Implements

IValidationMap.ValidateFor

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate Methods

The methods of the XValidate class are listed below. For a complete list of XValidate class members, see the XValidate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
GetCustomAttribute (inherited from Attribute) | Retrieves a custom attribute of a specified type applied to a specified member of a class or inherited from a base class.
GetCustomAttributes (inherited from Attribute) | Retrieves an array of the custom attributes of a specified type applied to a specified member of a class or inherited from a base class.
IsDefined (inherited from Attribute) | Determines whether any custom attributes of a specified type are applied to a specified member of a class or inherited from a base class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Attribute) |
GetHashCode (inherited from Attribute) | Returns the hash code for this instance.
GetType (inherited from Object) | Gets the Type of the current instance.
IsDefaultAttribute (inherited from Attribute) | When overridden in a derived class, returns an indication whether the value of this instance is the default value for the derived class.
Match (inherited from Attribute) | When overridden in a derived class, returns a value indicating whether this instance equals a specified object.
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Validate the input value, over the kind of validation defined here. The value is input as a string.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


XValidate.Validate Method

Validate the input value, over the kind of validation defined here. The value is input as a string.

public bool Validate(
object context,
string s
);

Parameters

context
Context in which occurs the operation (supplied by user via control properties)
s
Value to validate.

Return Value

True if the value fulfills the requeriments of this validator. False otherwise.

Implements

IValidationMap.Validate

See Also

XValidate Class | ShowX.Model.AttributeModel Namespace


ShowX.Model.XmlModel

ShowX Class Library Documentation

ShowX.Model.XmlModel Namespace

Namespace hierarchy

Classes

Class | Description
XmlClassMap | XmlClassMap store relevant information loaded from XML mapping files.
XmlCollectionMap | Represents a property that returns a collection of objects.
XmlFileValidator | Implements a file validation, based on xsd embedded resource.
XmlForeignIdentifierMap | Keep information about a property that represent a reference to another ShowX object.
XmlIdentifierMap | Represents a property that returns a unique (integer) identifier for the instance.
XmlMappingFileConst | XmlMappingFileConst define xml tags and constants used in mapping files.
XmlMappingHandler | Class XmlMappingHandler provides useful methods to work with attribute mapping, by implementing the IMappingHandler interface. Brings a concrete implementation to work with property mapping, when we are using the XML file mapping model.
XmlObjectHandlerMethodCaller | Summary description for XmlObjectHandlerMethodCaller.
XmlPropertyMap | Represents a property of the business object.
XmlValidateMap | Class used to map validation to make over a certain property.
XmlView | XmlView represent a view in the xml model.
XmlViewCollection | XmlViewCollection implements IViewCollection for the Xml model.
XmlXPercentMap | Represents a property that returns a collection of objects.

Interfaces

Interface | Description
IXmlFileValidator | Define the type that should conform any Xml File validator.


IXmlFileValidator Interface

Define the type that should conform any Xml File validator.

For a list of all members of this type, see IXmlFileValidator Members.

public interface IXmlFileValidator

Types that implement IXmlFileValidator

Type | Description
XmlFileValidator | Implements a file validation, based on xsd embedded resource.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

IXmlFileValidator Members | ShowX.Model.XmlModel Namespace


IXmlFileValidator Members

IXmlFileValidator overview

Public Instance Methods

Validate | Validate a given XmlNode over an embedded xsd file.
XmlValidator_EventHandler | Event handler to handle validation events.

See Also

IXmlFileValidator Interface | ShowX.Model.XmlModel Namespace


IXmlFileValidator Methods

The methods of the IXmlFileValidator interface are listed below. For a complete list of IXmlFileValidator interface members, see the IXmlFileValidator Members topic.

Public Instance Methods

Validate | Validate a given XmlNode over an embedded xsd file.
XmlValidator_EventHandler | Event handler to handle validation events.

See Also

IXmlFileValidator Interface | ShowX.Model.XmlModel Namespace


IXmlFileValidator.Validate Method

Validate a given XmlNode over an embedded xsd file.

bool Validate(
XmlNode node,
string embeddedXsdRes
);

Parameters

node
XmlNode to validate.
embeddedXsdRes
Embedded xsd to use for validation.

Return Value

True if validation node is sucessful, false otherwise.

See Also

IXmlFileValidator Interface | ShowX.Model.XmlModel Namespace


IXmlFileValidator.XmlValidator_EventHandler Method

Event handler to handle validation events.

void XmlValidator_EventHandler(
object sender,
ValidationEventArgs e
);

Parameters

sender
Object who sends event.
e
Validation event arguments.

See Also

IXmlFileValidator Interface | ShowX.Model.XmlModel Namespace


XmlClassMap Class

XmlClassMap store relevant information loaded from XML mapping files.

For a list of all members of this type, see XmlClassMap Members.

System.Object
ShowX.Model.XmlModel.XmlClassMap

public class XmlClassMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlClassMap Members | ShowX.Model.XmlModel Namespace


XmlClassMap Members

XmlClassMap overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Protected Static Fields

classMappingSchemeEmbeddedPath Path to embedded resource class-mapping.xsd, used to validate class mapping files.

Protected Static Methods

validate Validate a given XmlNode over the format defined for a XML mapping file.

Private Static Constructor

XmlClassMap Constructor Initializes the static fields of the XmlClassMap class.

Private Static Fields

log

Public Instance Constructors

XmlClassMap Constructor Constructor.

Public Instance Properties

HandlerType | Expose the handler type associated to the mapped type stored by this XmlClassMap instance.
IdentifierMap | Store the identifier map for the mapped type stored by this XmlClassMap instance.
MappedType | Expose the mapped type stored by this XmlClassMap instance.
PropertyList | Store the properties for the mapped type stored by this XmlClassMap instance.
PropertyMaps | Store the property maps for the mapped type stored by this XmlClassMap instance.
Views | Allow read-only access to the view collection object for this class mapping.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
LoadType | Load a certain type, from a configuration file. The format allows to specify an assembly and a type, for example: "Core.Business.Entity,Core".
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

handlerType | Object Handler type for this mapping class.
mappedType | Type represented by this mapping class.
pkProperty | Property that represent the identifier of this type.
propertyMappingInfo | Store information about ShowX mapped properties for this type. The property name is used as the hash key, and the value is an instance of the XMLPropertyMap class.
propertyMappingList |
viewCollection | Store information about the ShowX views defined over this type.

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap Constructor

Constructor.

public XmlClassMap(
Type t,
XmlDocument mapping
);

Parameters

t
Type to map.
mapping
Mapping document, containing mapping info for type t.

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap Static Constructor

Initializes the static fields of the XmlClassMap class.

static XmlClassMap();

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap Fields

The fields of the XmlClassMap class are listed below. For a complete list of XmlClassMap class members, see the XmlClassMap Members topic.

Protected Static Fields

classMappingSchemeEmbeddedPath Path to embedded resource class-mapping.xsd, used to validate class mapping files.

Private Static Fields

log

Private Instance Fields

handlerType | Object Handler type for this mapping class.
mappedType | Type represented by this mapping class.
pkProperty | Property that represent the identifier of this type.
propertyMappingInfo | Store information about ShowX mapped properties for this type. The property name is used as the hash key, and the value is an instance of the XMLPropertyMap class.
propertyMappingList |
viewCollection | Store information about the ShowX views defined over this type.

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.classMappingSchemeEmbeddedPath Field

Path to embedded resource class-mapping.xsd, used to validate class mapping files.

protected static string classMappingSchemeEmbeddedPath;

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.HandlerType Property

Expose the handler type associated to the mapped type stored by this XmlClassMap instance.

public System.Type HandlerType {get;}

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.log Field

private static readonly ILog log;

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.MappedType Property

Expose the mapped type stored by this XmlClassMap instance.

public System.Type MappedType {get;}

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.pkProperty Field

Property that represent the identifier of this type.

private XmlIdentifierMap pkProperty;

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.propertyMappingInfo Field

Store information about ShowX mapped properties for this type. The property name is used as the hash key, and the value is an instance of the XMLPropertyMap class.

private Hashtable propertyMappingInfo;

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.propertyMappingList Field

private ArrayList propertyMappingList;

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.viewCollection Field

Store information about the ShowX views defined over this type.

private XmlViewCollection viewCollection;

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap Properties

The properties of the XmlClassMap class are listed below. For a complete list of XmlClassMap class members, see the XmlClassMap Members topic.

Public Instance Properties

HandlerType | Expose the handler type associated to the mapped type stored by this XmlClassMap instance.
IdentifierMap | Store the identifier map for the mapped type stored by this XmlClassMap instance.
MappedType | Expose the mapped type stored by this XmlClassMap instance.
PropertyList | Store the properties for the mapped type stored by this XmlClassMap instance.
PropertyMaps | Store the property maps for the mapped type stored by this XmlClassMap instance.
Views | Allow read-only access to the view collection object for this class mapping.

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.IdentifierMap Property

Store the identifier map for the mapped type stored by this XmlClassMap instance.

public XmlPropertyMap IdentifierMap {get;}

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.PropertyList Property

Store the properties for the mapped type stored by this XmlClassMap instance.

public System.Collections.ArrayList PropertyList {get;}

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.PropertyMaps Property

Store the property maps for the mapped type stored by this XmlClassMap instance.

public System.Collections.Hashtable PropertyMaps {get;}

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.Views Property

Allow read-only access to the view collection object for this class mapping.

public ShowX.Model.IViewCollection Views {get;}

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap Methods

The methods of the XmlClassMap class are listed below. For a complete list of XmlClassMap class members, see the XmlClassMap Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Protected Static Methods

validate Validate a given XmlNode over the format defined for a XML mapping file.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
LoadType | Load a certain type, from a configuration file. The format allows to specify an assembly and a type, for example: "Core.Business.Entity,Core".
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.LoadType Method

Load a certain type, from a configuration file. The format allows to specify an assembly and a type, for example: "Core.Business.Entity,Core".

protected Type LoadType(
string typename
);

Parameters

typename
Text that represents the typename and, optionally, the assemble

Return Value

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlClassMap.validate Method

Validate a given XmlNode over the format defined for a XML mapping file.

protected static bool validate(
XmlNode section
);

Parameters

section
XmlNode to validate.

Return Value

True if validation is sucessful, false otherwise.

See Also

XmlClassMap Class | ShowX.Model.XmlModel Namespace


XmlCollectionMap Class

Represents a property that returns a collection of objects.

For a list of all members of this type, see XmlCollectionMap Members.

System.Object
ShowX.Model.XmlModel.XmlPropertyMap
ShowX.Model.XmlModel.XmlCollectionMap

public class XmlCollectionMap : XmlPropertyMap, ICollectionMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlCollectionMap Members | ShowX.Model.XmlModel Namespace


XmlCollectionMap Members

XmlCollectionMap overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
LoadValueFromAttribute (inherited from XmlPropertyMap) | Overloaded. Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

XmlCollectionMap Constructor Initializes the static fields of the XmlCollectionMap class.

Private Static Fields

log

Public Instance Constructors

XmlCollectionMap Constructor Constructor.

Public Instance Properties

ContainedType | Reflex the contained type attribute.
EditOnInsert (inherited from XmlPropertyMap) | Reflex the editOnInsert field.
Heading (inherited from XmlPropertyMap) | See the heading field.
IsPassword | Override the inherited IsPassword property, so the value of the field isPassword can't be altered.
ItemStyle (inherited from XmlPropertyMap) | See the itemStyle field.
Name (inherited from XmlPropertyMap) | Reflex the name field.
PropertyInfo (inherited from XmlPropertyMap) | Reflex the propertyInfo field.
ReadOnly (inherited from XmlPropertyMap) | Reflex the readOnly field.
Show (inherited from XmlPropertyMap) | Reflex the show field.
Translator (inherited from XmlPropertyMap) | See the translator field.
Validators (inherited from XmlPropertyMap) | Reflex the validators associated to this property.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

editOnInsert (inherited from XmlPropertyMap) | Is this property editable when we are inserting a new instance? Default value is true.
heading (inherited from XmlPropertyMap) | Heading to show over this property.
isPassword (inherited from XmlPropertyMap) | Is this property a password?. Default value is false.
itemStyle (inherited from XmlPropertyMap) | Represent the style or kind of control that will show this item.
name (inherited from XmlPropertyMap) | Name tho show associated of the property. Default value is "".
propertyInfo (inherited from XmlPropertyMap) | Name of the property associated to this mapping.
readOnly (inherited from XmlPropertyMap) | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XmlPropertyMap) | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
translator (inherited from XmlPropertyMap) | Translator associated to this item.
validators (inherited from XmlPropertyMap) | Validator collection associated to this property.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

containedType Contained type of the collection.

See Also

XmlCollectionMap Class | ShowX.Model.XmlModel Namespace


XmlCollectionMap Constructor

Constructor.

public XmlCollectionMap(
Type t,
XmlNode propertyNode
);

See Also

XmlCollectionMap Class | ShowX.Model.XmlModel Namespace


XmlCollectionMap Static Constructor

Initializes the static fields of the XmlCollectionMap class.

static XmlCollectionMap();

See Also

XmlCollectionMap Class | ShowX.Model.XmlModel Namespace


XmlCollectionMap Fields

The fields of the XmlCollectionMap class are listed below. For a complete list of XmlCollectionMap class members, see the XmlCollectionMap Members topic.

Private Static Fields

log

Protected Instance Fields

editOnInsert (inherited from XmlPropertyMap) | Is this property editable when we are inserting a new instance? Default value is true.
heading (inherited from XmlPropertyMap) | Heading to show over this property.
isPassword (inherited from XmlPropertyMap) | Is this property a password?. Default value is false.
itemStyle (inherited from XmlPropertyMap) | Represent the style or kind of control that will show this item.
name (inherited from XmlPropertyMap) | Name tho show associated of the property. Default value is "".
propertyInfo (inherited from XmlPropertyMap) | Name of the property associated to this mapping.
readOnly (inherited from XmlPropertyMap) | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XmlPropertyMap) | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
translator (inherited from XmlPropertyMap) | Translator associated to this item.
validators (inherited from XmlPropertyMap) | Validator collection associated to this property.

Private Instance Fields

containedType Contained type of the collection.

See Also

XmlCollectionMap Class | ShowX.Model.XmlModel Namespace


XmlCollectionMap.ContainedType Property

Reflex the contained type attribute.

public System.Type ContainedType {get; set;}

Implements

ICollectionMap.ContainedType

See Also

XmlCollectionMap Class | ShowX.Model.XmlModel Namespace


XmlCollectionMap.log Field

new private static readonly ILog log;

See Also

XmlCollectionMap Class | ShowX.Model.XmlModel Namespace


XmlCollectionMap Properties

The properties of the XmlCollectionMap class are listed below. For a complete list of XmlCollectionMap class members, see the XmlCollectionMap Members topic.

Public Instance Properties

ContainedType | Reflex the contained type attribute.
EditOnInsert (inherited from XmlPropertyMap) | Reflex the editOnInsert field.
Heading (inherited from XmlPropertyMap) | See the heading field.
IsPassword | Override the inherited IsPassword property, so the value of the field isPassword can't be altered.
ItemStyle (inherited from XmlPropertyMap) | See the itemStyle field.
Name (inherited from XmlPropertyMap) | Reflex the name field.
PropertyInfo (inherited from XmlPropertyMap) | Reflex the propertyInfo field.
ReadOnly (inherited from XmlPropertyMap) | Reflex the readOnly field.
Show (inherited from XmlPropertyMap) | Reflex the show field.
Translator (inherited from XmlPropertyMap) | See the translator field.
Validators (inherited from XmlPropertyMap) | Reflex the validators associated to this property.

See Also

XmlCollectionMap Class | ShowX.Model.XmlModel Namespace


XmlCollectionMap.IsPassword Property

Override the inherited IsPassword property, so the value of the field isPassword can't be altered.

public override bool IsPassword {set;}

Implements

IPropertyMap.IsPassword

See Also

XmlCollectionMap Class | ShowX.Model.XmlModel Namespace


XmlFileValidator Class

Implements a file validation, based on xsd embedded resource.

For a list of all members of this type, see XmlFileValidator Members.

System.Object
ShowX.Model.XmlModel.XmlFileValidator

public class XmlFileValidator : IXmlFileValidator

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlFileValidator Members | ShowX.Model.XmlModel Namespace


XmlFileValidator Members

XmlFileValidator overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

XmlFileValidator Constructor Initializes the static fields of the XmlFileValidator class.

Private Static Fields

log

Public Instance Constructors

XmlFileValidator Constructor Initializes a new instance of the XmlFileValidator class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Validate a given XmlNode over an embedded xsd file.
XmlValidator_EventHandler | Event handler to handle validation events.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

validated

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlFileValidator Constructor

Initializes a new instance of the XmlFileValidator class.

public XmlFileValidator();

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlFileValidator Static Constructor

Initializes the static fields of the XmlFileValidator class.

static XmlFileValidator();

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlFileValidator Fields

The fields of the XmlFileValidator class are listed below. For a complete list of XmlFileValidator class members, see the XmlFileValidator Members topic.

Private Static Fields

log

Private Instance Fields

validated

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlFileValidator.log Field

private static readonly ILog log;

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlFileValidator.validated Field

private bool validated;

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlFileValidator Methods

The methods of the XmlFileValidator class are listed below. For a complete list of XmlFileValidator class members, see the XmlFileValidator Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Validate a given XmlNode over an embedded xsd file.
XmlValidator_EventHandler | Event handler to handle validation events.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlFileValidator.Validate Method

Validate a given XmlNode over an embedded xsd file.

public bool Validate(
XmlNode node,
string embeddedXsdRes
);

Parameters

node
XmlNode to validate.
embeddedXsdRes
Embedded xsd to use for validation.

Return Value

True if validation node is sucessful, false otherwise.

Implements

IXmlFileValidator.Validate

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlFileValidator.XmlValidator_EventHandler Method

Event handler to handle validation events.

public void XmlValidator_EventHandler(
object sender,
ValidationEventArgs e
);

Parameters

sender
Object who sends event.
e
Validation event arguments.

Implements

IXmlFileValidator.XmlValidator_EventHandler

See Also

XmlFileValidator Class | ShowX.Model.XmlModel Namespace


XmlForeignIdentifierMap Class

Keep information about a property that represent a reference to another ShowX object.

For a list of all members of this type, see XmlForeignIdentifierMap Members.

System.Object
ShowX.Model.XmlModel.XmlPropertyMap
ShowX.Model.XmlModel.XmlForeignIdentifierMap

public class XmlForeignIdentifierMap : XmlPropertyMap, IForeignIdentifierMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Remarks

In case of properties that returns ShowX objects (i.e, objects of classes that implements administrative methods as GetAllX and so) it is posible an special treatment over them. For example, to use a drowpdown list to show all the possible values of the foreign type, and mark as selected the associated value to the treated instance.

This funcionality could be deduced from the return type of the property, so it migth be deleted in the future.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlForeignIdentifierMap Members | ShowX.Model.XmlModel Namespace


XmlForeignIdentifierMap Members

XmlForeignIdentifierMap overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
LoadValueFromAttribute (inherited from XmlPropertyMap) | Overloaded. Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XmlForeignIdentifierMap Constructor Constructor. Set to true the readOnly value. Set to false the editOnInset value.

Public Instance Properties

EditOnInsert (inherited from XmlPropertyMap) | Reflex the editOnInsert field.
Heading (inherited from XmlPropertyMap) | See the heading field.
IsPassword (inherited from XmlPropertyMap) | Reflex the isPassword field.
ItemStyle (inherited from XmlPropertyMap) | See the itemStyle field.
Name (inherited from XmlPropertyMap) | Reflex the name field.
PropertyInfo (inherited from XmlPropertyMap) | Reflex the propertyInfo field.
ReadOnly | Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.
Show (inherited from XmlPropertyMap) | Reflex the show field.
Translator (inherited from XmlPropertyMap) | See the translator field.
Validators (inherited from XmlPropertyMap) | Reflex the validators associated to this property.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

editOnInsert (inherited from XmlPropertyMap) | Is this property editable when we are inserting a new instance? Default value is true.
heading (inherited from XmlPropertyMap) | Heading to show over this property.
isPassword (inherited from XmlPropertyMap) | Is this property a password?. Default value is false.
itemStyle (inherited from XmlPropertyMap) | Represent the style or kind of control that will show this item.
name (inherited from XmlPropertyMap) | Name tho show associated of the property. Default value is "".
propertyInfo (inherited from XmlPropertyMap) | Name of the property associated to this mapping.
readOnly (inherited from XmlPropertyMap) | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XmlPropertyMap) | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
translator (inherited from XmlPropertyMap) | Translator associated to this item.
validators (inherited from XmlPropertyMap) | Validator collection associated to this property.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlForeignIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlForeignIdentifierMap Constructor

Constructor. Set to true the readOnly value. Set to false the editOnInset value.

public XmlForeignIdentifierMap(
Type t,
XmlNode propertyNode
);

See Also

XmlForeignIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlForeignIdentifierMap Properties

The properties of the XmlForeignIdentifierMap class are listed below. For a complete list of XmlForeignIdentifierMap class members, see the XmlForeignIdentifierMap Members topic.

Public Instance Properties

EditOnInsert (inherited from XmlPropertyMap) | Reflex the editOnInsert field.
Heading (inherited from XmlPropertyMap) | See the heading field.
IsPassword (inherited from XmlPropertyMap) | Reflex the isPassword field.
ItemStyle (inherited from XmlPropertyMap) | See the itemStyle field.
Name (inherited from XmlPropertyMap) | Reflex the name field.
PropertyInfo (inherited from XmlPropertyMap) | Reflex the propertyInfo field.
ReadOnly | Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.
Show (inherited from XmlPropertyMap) | Reflex the show field.
Translator (inherited from XmlPropertyMap) | See the translator field.
Validators (inherited from XmlPropertyMap) | Reflex the validators associated to this property.

See Also

XmlForeignIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlForeignIdentifierMap.ReadOnly Property

Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.

public override bool ReadOnly {set;}

Implements

IPropertyMap.ReadOnly

See Also

XmlForeignIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlIdentifierMap Class

Represents a property that returns a unique (integer) identifier for the instance.

For a list of all members of this type, see XmlIdentifierMap Members.

System.Object
ShowX.Model.XmlModel.XmlPropertyMap
ShowX.Model.XmlModel.XmlIdentifierMap

public class XmlIdentifierMap : XmlPropertyMap, IIdentifierMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Remarks

This attribute is mandatory in the definition of the class, because Object Handler methods like GetXByID and UpdateX depends on the existence of this value to work properly.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlIdentifierMap Members | ShowX.Model.XmlModel Namespace


XmlIdentifierMap Members

XmlIdentifierMap overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
LoadValueFromAttribute (inherited from XmlPropertyMap) | Overloaded. Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XmlIdentifierMap Constructor Constructor. Set to true the readOnly value. Set to false the editOnInset value.

Public Instance Properties

EditOnInsert | Override the inherited EditOnInsert property, so the value of the field editOnInsert can't be altered.
Heading (inherited from XmlPropertyMap) | See the heading field.
IsPassword | Override the inherited IsPassword property, so the value of the field isPassword can't be altered.
ItemStyle (inherited from XmlPropertyMap) | See the itemStyle field.
Name (inherited from XmlPropertyMap) | Reflex the name field.
PropertyInfo (inherited from XmlPropertyMap) | Reflex the propertyInfo field.
ReadOnly | Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.
Show (inherited from XmlPropertyMap) | Reflex the show field.
SubstituteAttr | Reflex the substituteAttr field.
Translator (inherited from XmlPropertyMap) | See the translator field.
Validators (inherited from XmlPropertyMap) | Reflex the validators associated to this property.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

editOnInsert (inherited from XmlPropertyMap) | Is this property editable when we are inserting a new instance? Default value is true.
heading (inherited from XmlPropertyMap) | Heading to show over this property.
isPassword (inherited from XmlPropertyMap) | Is this property a password?. Default value is false.
itemStyle (inherited from XmlPropertyMap) | Represent the style or kind of control that will show this item.
name (inherited from XmlPropertyMap) | Name tho show associated of the property. Default value is "".
propertyInfo (inherited from XmlPropertyMap) | Name of the property associated to this mapping.
readOnly (inherited from XmlPropertyMap) | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XmlPropertyMap) | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
substituteAttr | Represent the name of a substitute property for this primary key property. As many times we don't want to show identifiers of our objects, the primary key property can define a substitute property, that will be show instead of it.
translator (inherited from XmlPropertyMap) | Translator associated to this item.
validators (inherited from XmlPropertyMap) | Validator collection associated to this property.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlIdentifierMap Constructor

Constructor. Set to true the readOnly value. Set to false the editOnInset value.

public XmlIdentifierMap(
Type t,
XmlNode propertyNode
);

See Also

XmlIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlIdentifierMap Fields

The fields of the XmlIdentifierMap class are listed below. For a complete list of XmlIdentifierMap class members, see the XmlIdentifierMap Members topic.

Protected Instance Fields

editOnInsert (inherited from XmlPropertyMap) | Is this property editable when we are inserting a new instance? Default value is true.
heading (inherited from XmlPropertyMap) | Heading to show over this property.
isPassword (inherited from XmlPropertyMap) | Is this property a password?. Default value is false.
itemStyle (inherited from XmlPropertyMap) | Represent the style or kind of control that will show this item.
name (inherited from XmlPropertyMap) | Name tho show associated of the property. Default value is "".
propertyInfo (inherited from XmlPropertyMap) | Name of the property associated to this mapping.
readOnly (inherited from XmlPropertyMap) | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XmlPropertyMap) | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
substituteAttr | Represent the name of a substitute property for this primary key property. As many times we don't want to show identifiers of our objects, the primary key property can define a substitute property, that will be show instead of it.
translator (inherited from XmlPropertyMap) | Translator associated to this item.
validators (inherited from XmlPropertyMap) | Validator collection associated to this property.

See Also

XmlIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlIdentifierMap.SubstituteAttr Property

Reflex the substituteAttr field.

public string SubstituteAttr {get; set;}

Implements

IIdentifierMap.SubstituteAttr

See Also

XmlIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlIdentifierMap Properties

The properties of the XmlIdentifierMap class are listed below. For a complete list of XmlIdentifierMap class members, see the XmlIdentifierMap Members topic.

Public Instance Properties

EditOnInsert | Override the inherited EditOnInsert property, so the value of the field editOnInsert can't be altered.
Heading (inherited from XmlPropertyMap) | See the heading field.
IsPassword | Override the inherited IsPassword property, so the value of the field isPassword can't be altered.
ItemStyle (inherited from XmlPropertyMap) | See the itemStyle field.
Name (inherited from XmlPropertyMap) | Reflex the name field.
PropertyInfo (inherited from XmlPropertyMap) | Reflex the propertyInfo field.
ReadOnly | Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.
Show (inherited from XmlPropertyMap) | Reflex the show field.
SubstituteAttr | Reflex the substituteAttr field.
Translator (inherited from XmlPropertyMap) | See the translator field.
Validators (inherited from XmlPropertyMap) | Reflex the validators associated to this property.

See Also

XmlIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlIdentifierMap.EditOnInsert Property

Override the inherited EditOnInsert property, so the value of the field editOnInsert can't be altered.

public override bool EditOnInsert {set;}

Implements

IPropertyMap.EditOnInsert

See Also

XmlIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlIdentifierMap.IsPassword Property

Override the inherited IsPassword property, so the value of the field isPassword can't be altered.

public override bool IsPassword {set;}

Implements

IPropertyMap.IsPassword

See Also

XmlIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlIdentifierMap.ReadOnly Property

Override the inherited ReadOnly property, so the value of the field readOnly can't be altered.

public override bool ReadOnly {set;}

Implements

IPropertyMap.ReadOnly

See Also

XmlIdentifierMap Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst Class

XmlMappingFileConst define xml tags and constants used in mapping files.

For a list of all members of this type, see XmlMappingFileConst Members.

System.Object
ShowX.Model.XmlModel.XmlMappingFileConst

public class XmlMappingFileConst

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlMappingFileConst Members | ShowX.Model.XmlModel Namespace


XmlMappingFileConst Members

XmlMappingFileConst overview

Public Static Fields

collectionContainedTypeTag | Collection tag contained-type attribute constant.
collectionPropertyTag | Collection property tag
fkPropertyTag | Foreign key property tag.
idTag | Id tag.
itemStyleHyperlinkConst | Item style hyperlink configuration constant.
itemStyleNoneConst | Item style none configuration constant.
propertyEditOnInsertAttr | Property tag edit-on-insert attribute constant.
propertyHeadingAttr | Property tag heading attribute constant.
propertyIsPasswordAttr | Property tag is-password attribute constant.
propertyItemStyleAttr | Property tag item-style attribute constant.
propertyMappingHandlerClassAttr | Property tag mapping handler class attribute constant.
propertyMappingNameAttr | Property tag mapping name attribute constant.
propertyMappingTag | Property mapping tag.
propertyNameAttr | Property tag name attribute constant.
propertyReadOnlyAttr | Property tag read-only attribute constant.
propertySetPropertyTag | Property Set single property tag.
propertySetPropertyTagNameAttr | Property Set single property tag name attribute constant.
propertySetTag | Property set tag for a single view.
propertyShowAttr | Property tag show attribute constant.
propertySustituteAttr | Property tag sustitute-attribute attribute constant.
propertyTag | Property tag.
propertyTranslatorAttr | Property tag translator attribute constant.
rootTag | Root tag.
singleViewTag | View tag (Define a single view).
singleViewTagViewNameAttr | View Tag view name attribute constant.
validationMessageAttr | Validation tag message attribute constant.
validationRegExpAttr | Validation tag reg-exp attribute constant.
validationTag | Validation tag.
validationValidateForAttr | Validation tag validate-for attribute constant.
viewsDefaultViewAttr | Views tag default view attribute constant.
viewsTag | Views tag.
xpercentMaxPropertyAttr | XPercent tag max property attribute constant.
xpercentPropertyTag | XPercent property tag.
xpercentShowLikePercentAttr | XPercent tag show like percent attribute constant.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

XmlMappingFileConst Constructor Initializes the static fields of the XmlMappingFileConst class.

Public Instance Constructors

XmlMappingFileConst Constructor Initializes a new instance of the XmlMappingFileConst class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst Constructor

Initializes a new instance of the XmlMappingFileConst class.

public XmlMappingFileConst();

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst Static Constructor

Initializes the static fields of the XmlMappingFileConst class.

static XmlMappingFileConst();

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst Fields

The fields of the XmlMappingFileConst class are listed below. For a complete list of XmlMappingFileConst class members, see the XmlMappingFileConst Members topic.

Public Static Fields

collectionContainedTypeTag | Collection tag contained-type attribute constant.
collectionPropertyTag | Collection property tag
fkPropertyTag | Foreign key property tag.
idTag | Id tag.
itemStyleHyperlinkConst | Item style hyperlink configuration constant.
itemStyleNoneConst | Item style none configuration constant.
propertyEditOnInsertAttr | Property tag edit-on-insert attribute constant.
propertyHeadingAttr | Property tag heading attribute constant.
propertyIsPasswordAttr | Property tag is-password attribute constant.
propertyItemStyleAttr | Property tag item-style attribute constant.
propertyMappingHandlerClassAttr | Property tag mapping handler class attribute constant.
propertyMappingNameAttr | Property tag mapping name attribute constant.
propertyMappingTag | Property mapping tag.
propertyNameAttr | Property tag name attribute constant.
propertyReadOnlyAttr | Property tag read-only attribute constant.
propertySetPropertyTag | Property Set single property tag.
propertySetPropertyTagNameAttr | Property Set single property tag name attribute constant.
propertySetTag | Property set tag for a single view.
propertyShowAttr | Property tag show attribute constant.
propertySustituteAttr | Property tag sustitute-attribute attribute constant.
propertyTag | Property tag.
propertyTranslatorAttr | Property tag translator attribute constant.
rootTag | Root tag.
singleViewTag | View tag (Define a single view).
singleViewTagViewNameAttr | View Tag view name attribute constant.
validationMessageAttr | Validation tag message attribute constant.
validationRegExpAttr | Validation tag reg-exp attribute constant.
validationTag | Validation tag.
validationValidateForAttr | Validation tag validate-for attribute constant.
viewsDefaultViewAttr | Views tag default view attribute constant.
viewsTag | Views tag.
xpercentMaxPropertyAttr | XPercent tag max property attribute constant.
xpercentPropertyTag | XPercent property tag.
xpercentShowLikePercentAttr | XPercent tag show like percent attribute constant.

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.collectionContainedTypeTag Field

Collection tag contained-type attribute constant.

public static string collectionContainedTypeTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.collectionPropertyTag Field

Collection property tag

public static string collectionPropertyTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.fkPropertyTag Field

Foreign key property tag.

public static string fkPropertyTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.idTag Field

Id tag.

public static string idTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.itemStyleHyperlinkConst Field

Item style hyperlink configuration constant.

public static string itemStyleHyperlinkConst;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.itemStyleNoneConst Field

Item style none configuration constant.

public static string itemStyleNoneConst;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyEditOnInsertAttr Field

Property tag edit-on-insert attribute constant.

public static string propertyEditOnInsertAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyHeadingAttr Field

Property tag heading attribute constant.

public static string propertyHeadingAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyIsPasswordAttr Field

Property tag is-password attribute constant.

public static string propertyIsPasswordAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyItemStyleAttr Field

Property tag item-style attribute constant.

public static string propertyItemStyleAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyMappingHandlerClassAttr Field

Property tag mapping handler class attribute constant.

public static string propertyMappingHandlerClassAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyMappingNameAttr Field

Property tag mapping name attribute constant.

public static string propertyMappingNameAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyMappingTag Field

Property mapping tag.

public static string propertyMappingTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyNameAttr Field

Property tag name attribute constant.

public static string propertyNameAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyReadOnlyAttr Field

Property tag read-only attribute constant.

public static string propertyReadOnlyAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertySetPropertyTag Field

Property Set single property tag.

public static string propertySetPropertyTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertySetPropertyTagNameAttr Field

Property Set single property tag name attribute constant.

public static string propertySetPropertyTagNameAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertySetTag Field

Property set tag for a single view.

public static string propertySetTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyShowAttr Field

Property tag show attribute constant.

public static string propertyShowAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertySustituteAttr Field

Property tag sustitute-attribute attribute constant.

public static string propertySustituteAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyTag Field

Property tag.

public static string propertyTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.propertyTranslatorAttr Field

Property tag translator attribute constant.

public static string propertyTranslatorAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.rootTag Field

Root tag.

public static string rootTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.singleViewTag Field

View tag (Define a single view).

public static string singleViewTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.singleViewTagViewNameAttr Field

View Tag view name attribute constant.

public static string singleViewTagViewNameAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.validationMessageAttr Field

Validation tag message attribute constant.

public static string validationMessageAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.validationRegExpAttr Field

Validation tag reg-exp attribute constant.

public static string validationRegExpAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.validationTag Field

Validation tag.

public static string validationTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.validationValidateForAttr Field

Validation tag validate-for attribute constant.

public static string validationValidateForAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.viewsDefaultViewAttr Field

Views tag default view attribute constant.

public static string viewsDefaultViewAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.viewsTag Field

Views tag.

public static string viewsTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.xpercentMaxPropertyAttr Field

XPercent tag max property attribute constant.

public static string xpercentMaxPropertyAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.xpercentPropertyTag Field

XPercent property tag.

public static string xpercentPropertyTag;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingFileConst.xpercentShowLikePercentAttr Field

XPercent tag show like percent attribute constant.

public static string xpercentShowLikePercentAttr;

See Also

XmlMappingFileConst Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler Class

Class XmlMappingHandler provides useful methods to work with attribute mapping, by implementing the IMappingHandler interface. Brings a concrete implementation to work with property mapping, when we are using the XML file mapping model.

For a list of all members of this type, see XmlMappingHandler Members.

System.Object
ShowX.Model.XmlModel.XmlMappingHandler

public class XmlMappingHandler : IMappingHandler

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlMappingHandler Members | ShowX.Model.XmlModel Namespace


XmlMappingHandler Members

XmlMappingHandler overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XmlMappingHandler Constructor Initializes a new instance of the XmlMappingHandler class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllShowXProperties | Get all ShowX Properties marked of the object, for a given type (not counting primary key property).
GetFK | Get a property marked as foreign key of the object, for a given type.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetPK | Get the property marked as the Primary key of the object, for a given type.
GetPropertyMap | Retrieve the showX mapper property attached to this Property.
GetShowXPropertyByName | Get an ShowX property of the object, for a given type.
GetType (inherited from Object) | Gets the Type of the current instance.
GetValidators | Get the validators associated to a certain property.
GetViews | Get the views collection for a given type.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

session Currens Xml session runtime.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Properties

Session Expose the Xml session runtime.

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler Constructor

Initializes a new instance of the XmlMappingHandler class.

public XmlMappingHandler();

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler Fields

The fields of the XmlMappingHandler class are listed below. For a complete list of XmlMappingHandler class members, see the XmlMappingHandler Members topic.

Protected Instance Fields

session Currens Xml session runtime.

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler.Session Property

Expose the Xml session runtime.

private ShowX.Session.XmlSession Session {get;}

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler Properties

The properties of the XmlMappingHandler class are listed below. For a complete list of XmlMappingHandler class members, see the XmlMappingHandler Members topic.

Private Instance Properties

Session Expose the Xml session runtime.

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler Methods

The methods of the XmlMappingHandler class are listed below. For a complete list of XmlMappingHandler class members, see the XmlMappingHandler Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetAllShowXProperties | Get all ShowX Properties marked of the object, for a given type (not counting primary key property).
GetFK | Get a property marked as foreign key of the object, for a given type.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetPK | Get the property marked as the Primary key of the object, for a given type.
GetPropertyMap | Retrieve the showX mapper property attached to this Property.
GetShowXPropertyByName | Get an ShowX property of the object, for a given type.
GetType (inherited from Object) | Gets the Type of the current instance.
GetValidators | Get the validators associated to a certain property.
GetViews | Get the views collection for a given type.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler.GetAllShowXProperties Method

Get all ShowX Properties marked of the object, for a given type (not counting primary key property).

public ArrayList GetAllShowXProperties(
Type t
);

Parameters

t
Type to get ShowX properties.

Return Value

An ArrayList of PropertyInfo instances.

Implements

IMappingHandler.GetAllShowXProperties

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler.GetFK Method

Get a property marked as foreign key of the object, for a given type.

public PropertyInfo GetFK(
Type t,
string attrName
);

Parameters

t
Type to get FK property.
attrName
Name of the searched property.

Return Value

A PropertyInfo instance, representing the FK property.

Implements

IMappingHandler.GetFK

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler.GetPK Method

Get the property marked as the Primary key of the object, for a given type.

public PropertyInfo GetPK(
Type t
);

Parameters

t
Type to get PK property.

Return Value

A PropertyInfo instance, representing the PK property.

Implements

IMappingHandler.GetPK

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler.GetPropertyMap Method

Retrieve the showX mapper property attached to this Property.

public IPropertyMap GetPropertyMap(
PropertyInfo pInfo
);

Parameters

pInfo
Property to query for query for mapper property.

Return Value

The property map attached to this Property.

Implements

IMappingHandler.GetPropertyMap

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler.GetShowXPropertyByName Method

Get an ShowX property of the object, for a given type.

public PropertyInfo GetShowXPropertyByName(
Type t,
string fieldName
);

Parameters

t
Type to get the ShowX property.
fieldName
Name of the searched property.

Return Value

A PropertyInfo instance, representing the ShowX property.

Implements

IMappingHandler.GetShowXPropertyByName

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler.GetValidators Method

Get the validators associated to a certain property.

public ArrayList GetValidators(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo to get validators.

Return Value

An ArrayList instance, populated with instance of XValidate class.

Implements

IMappingHandler.GetValidators

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlMappingHandler.GetViews Method

Get the views collection for a given type.

public IViewCollection GetViews(
Type t
);

Parameters

t
Type to get ShowX view collection.

Return Value

A view collection instance.

Implements

IMappingHandler.GetViews

See Also

XmlMappingHandler Class | ShowX.Model.XmlModel Namespace


XmlObjectHandlerMethodCaller Class

Summary description for XmlObjectHandlerMethodCaller.

For a list of all members of this type, see XmlObjectHandlerMethodCaller Members.

System.Object
ShowX.Model.ObjectHandlerMethodCaller
ShowX.Model.XmlModel.XmlObjectHandlerMethodCaller

public class XmlObjectHandlerMethodCaller : ObjectHandlerMethodCaller

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlObjectHandlerMethodCaller Members | ShowX.Model.XmlModel Namespace


XmlObjectHandlerMethodCaller Members

XmlObjectHandlerMethodCaller overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

XmlObjectHandlerMethodCaller Constructor Initializes the static fields of the XmlObjectHandlerMethodCaller class.

Private Static Fields

log

Public Instance Constructors

XmlObjectHandlerMethodCaller Constructor Initializes a new instance of the XmlObjectHandlerMethodCaller class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InvokeMethodAddX (inherited from ObjectHandlerMethodCaller) | Invoque the method AddX, for Type t, by using its Object Handler (OH).
InvokeMethodDelX (inherited from ObjectHandlerMethodCaller) | Invoque the method DelX, for Type t, by using its Object Handler (OH).
InvokeMethodGetAllX (inherited from ObjectHandlerMethodCaller) | Invoque the method GetAllX, for Type t, by using its Object Handler (OH).
InvokeMethodGetUpdateX (inherited from ObjectHandlerMethodCaller) | Invoque the method UpdateX, for Type t, by using its Object Handler (OH).
InvokeMethodGetXByID (inherited from ObjectHandlerMethodCaller) | Invoque the method GetXByID, for Type t, by using its Object Handler (OH).
InvokeMethodNewX (inherited from ObjectHandlerMethodCaller) | Invoque the method NewX, for Type t, by using its Object Handler (OH).
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

BuildObjectHandlerFromType | Helper method to retrieve and build the Object Handler attached to a certain type.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlObjectHandlerMethodCaller Class | ShowX.Model.XmlModel Namespace


XmlObjectHandlerMethodCaller Constructor

Initializes a new instance of the XmlObjectHandlerMethodCaller class.

public XmlObjectHandlerMethodCaller();

See Also

XmlObjectHandlerMethodCaller Class | ShowX.Model.XmlModel Namespace


XmlObjectHandlerMethodCaller Static Constructor

Initializes the static fields of the XmlObjectHandlerMethodCaller class.

static XmlObjectHandlerMethodCaller();

See Also

XmlObjectHandlerMethodCaller Class | ShowX.Model.XmlModel Namespace


XmlObjectHandlerMethodCaller Fields

The fields of the XmlObjectHandlerMethodCaller class are listed below. For a complete list of XmlObjectHandlerMethodCaller class members, see the XmlObjectHandlerMethodCaller Members topic.

Private Static Fields

log

See Also

XmlObjectHandlerMethodCaller Class | ShowX.Model.XmlModel Namespace


XmlObjectHandlerMethodCaller.log Field

private static readonly ILog log;

See Also

XmlObjectHandlerMethodCaller Class | ShowX.Model.XmlModel Namespace


XmlObjectHandlerMethodCaller Methods

The methods of the XmlObjectHandlerMethodCaller class are listed below. For a complete list of XmlObjectHandlerMethodCaller class members, see the XmlObjectHandlerMethodCaller Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InvokeMethodAddX (inherited from ObjectHandlerMethodCaller) | Invoque the method AddX, for Type t, by using its Object Handler (OH).
InvokeMethodDelX (inherited from ObjectHandlerMethodCaller) | Invoque the method DelX, for Type t, by using its Object Handler (OH).
InvokeMethodGetAllX (inherited from ObjectHandlerMethodCaller) | Invoque the method GetAllX, for Type t, by using its Object Handler (OH).
InvokeMethodGetUpdateX (inherited from ObjectHandlerMethodCaller) | Invoque the method UpdateX, for Type t, by using its Object Handler (OH).
InvokeMethodGetXByID (inherited from ObjectHandlerMethodCaller) | Invoque the method GetXByID, for Type t, by using its Object Handler (OH).
InvokeMethodNewX (inherited from ObjectHandlerMethodCaller) | Invoque the method NewX, for Type t, by using its Object Handler (OH).
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

BuildObjectHandlerFromType | Helper method to retrieve and build the Object Handler attached to a certain type.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlObjectHandlerMethodCaller Class | ShowX.Model.XmlModel Namespace


XmlObjectHandlerMethodCaller.BuildObjectHandlerFromType Method

Helper method to retrieve and build the Object Handler attached to a certain type.

protected override IObjectHandler BuildObjectHandlerFromType(
Type t
);

Parameters

t
Type to get object handler.

Return Value

An instance of the object handler attached to type t.

See Also

XmlObjectHandlerMethodCaller Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap Class

Represents a property of the business object.

For a list of all members of this type, see XmlPropertyMap Members.

System.Object
ShowX.Model.XmlModel.XmlPropertyMap
ShowX.Model.XmlModel.XmlCollectionMap
ShowX.Model.XmlModel.XmlForeignIdentifierMap
ShowX.Model.XmlModel.XmlIdentifierMap
ShowX.Model.XmlModel.XmlXPercentMap

public class XmlPropertyMap : IPropertyMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlPropertyMap Members | ShowX.Model.XmlModel Namespace


XmlPropertyMap Members

XmlPropertyMap overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
LoadValueFromAttribute | Overloaded. Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

XmlPropertyMap Constructor Initializes the static fields of the XmlPropertyMap class.

Private Static Fields

log

Public Instance Constructors

XmlPropertyMap Constructor Constructor.

Public Instance Properties

EditOnInsert | Reflex the editOnInsert field.
Heading | See the heading field.
IsPassword | Reflex the isPassword field.
ItemStyle | See the itemStyle field.
Name | Reflex the name field.
PropertyInfo | Reflex the propertyInfo field.
ReadOnly | Reflex the readOnly field.
Show | Reflex the show field.
Translator | See the translator field.
Validators | Reflex the validators associated to this property.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

editOnInsert | Is this property editable when we are inserting a new instance? Default value is true.
heading | Heading to show over this property.
isPassword | Is this property a password?. Default value is false.
itemStyle | Represent the style or kind of control that will show this item.
name | Name tho show associated of the property. Default value is "".
propertyInfo | Name of the property associated to this mapping.
readOnly | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
translator | Translator associated to this item.
validators | Validator collection associated to this property.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap Constructor

Constructor.

public XmlPropertyMap(
Type t,
XmlNode propertyNode
);

Parameters

t
Type to map.
propertyNode
Xml node that represents property mapping info.

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap Static Constructor

Initializes the static fields of the XmlPropertyMap class.

static XmlPropertyMap();

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap Fields

The fields of the XmlPropertyMap class are listed below. For a complete list of XmlPropertyMap class members, see the XmlPropertyMap Members topic.

Private Static Fields

log

Protected Instance Fields

editOnInsert | Is this property editable when we are inserting a new instance? Default value is true.
heading | Heading to show over this property.
isPassword | Is this property a password?. Default value is false.
itemStyle | Represent the style or kind of control that will show this item.
name | Name tho show associated of the property. Default value is "".
propertyInfo | Name of the property associated to this mapping.
readOnly | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
translator | Translator associated to this item.
validators | Validator collection associated to this property.

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.EditOnInsert Property

Reflex the editOnInsert field.

public virtual bool EditOnInsert {get; set;}

Implements

IPropertyMap.EditOnInsert

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.Heading Property

See the heading field.

public string Heading {get; set;}

Implements

IPropertyMap.Heading

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.IsPassword Property

Reflex the isPassword field.

public virtual bool IsPassword {get; set;}

Implements

IPropertyMap.IsPassword

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.ItemStyle Property

See the itemStyle field.

public ShowX.Model.ItemStyle ItemStyle {get; set;}

Implements

IPropertyMap.ItemStyle

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.log Field

private static readonly ILog log;

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.Name Property

Reflex the name field.

public string Name {get; set;}

Implements

IPropertyMap.Name

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.PropertyInfo Property

Reflex the propertyInfo field.

public System.Reflection.PropertyInfo PropertyInfo {get; set;}

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.ReadOnly Property

Reflex the readOnly field.

public virtual bool ReadOnly {get; set;}

Implements

IPropertyMap.ReadOnly

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.Show Property

Reflex the show field.

public bool Show {get; set;}

Implements

IPropertyMap.Show

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.Translator Property

See the translator field.

public ShowX.Model.ITranslator Translator {get; set;}

Implements

IPropertyMap.Translator

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.Validators Property

Reflex the validators associated to this property.

public System.Collections.ArrayList Validators {get;}

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap Properties

The properties of the XmlPropertyMap class are listed below. For a complete list of XmlPropertyMap class members, see the XmlPropertyMap Members topic.

Public Instance Properties

EditOnInsert | Reflex the editOnInsert field.
Heading | See the heading field.
IsPassword | Reflex the isPassword field.
ItemStyle | See the itemStyle field.
Name | Reflex the name field.
PropertyInfo | Reflex the propertyInfo field.
ReadOnly | Reflex the readOnly field.
Show | Reflex the show field.
Translator | See the translator field.
Validators | Reflex the validators associated to this property.

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap Methods

The methods of the XmlPropertyMap class are listed below. For a complete list of XmlPropertyMap class members, see the XmlPropertyMap Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
LoadValueFromAttribute | Overloaded. Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


LoadValueFromAttribute Method

ShowX Class Library Documentation

XmlPropertyMap.LoadValueFromAttribute Method

Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist. In this case, the desired value is a boolean one.

Overload List

Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist. In this case, the desired value is a boolean one.

public static bool LoadValueFromAttribute(XmlAttribute,bool);

Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist.

public static string LoadValueFromAttribute(XmlAttribute,string);

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace


XmlPropertyMap.LoadValueFromAttribute Method (XmlAttribute, Boolean)

Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist. In this case, the desired value is a boolean one.

public static bool LoadValueFromAttribute(
XmlAttribute attribute,
bool defaultValue
);

Parameters

attribute
Attribute to inspect.
defaultValue
Default value to apply if attibute is not defined.

Return Value

The boolean value ot the Xml attribute, or the specified default value.

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace | XmlPropertyMap.LoadValueFromAttribute Overload List


XmlPropertyMap.LoadValueFromAttribute Method (XmlAttribute, String)

Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist.

public static string LoadValueFromAttribute(
XmlAttribute attribute,
string defaultValue
);

Parameters

attribute
Attribute to inspect.
defaultValue
Default value to apply if attibute is not defined.

Return Value

The Xml attribute value, or the default value.

See Also

XmlPropertyMap Class | ShowX.Model.XmlModel Namespace | XmlPropertyMap.LoadValueFromAttribute Overload List


XmlValidateMap Class

Class used to map validation to make over a certain property.

For a list of all members of this type, see XmlValidateMap Members.

System.Object
ShowX.Model.XmlModel.XmlValidateMap

public class XmlValidateMap : IValidationMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlValidateMap Members | ShowX.Model.XmlModel Namespace


XmlValidateMap Members

XmlValidateMap overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XmlValidateMap Constructor Constructor.

Public Instance Properties

Message | Reflex the message attribute.
PropertyInfo | Reflex the propertyName attribute.
PropertyName | Name of the property in wich this validation is attached.
RegularExpression | Reflex the regularExpression attribute.
Type | Type in wich this validation is attached.
ValidateFor | Reflex the validateType attribute.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Validate the input value, over the kind of validation defined here. The value is input as a string.

Protected Instance Fields

propertyInfo Name of the property associated to this mapping.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

message | Message to show if the validation fails.
regularExpression | Regular expression string to validate this instance.
validateType | Type of validation to do over this instance.

Private Instance Methods

loadValueFromAttribute

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap Constructor

Constructor.

public XmlValidateMap(
PropertyInfo pInfo,
XmlNode validationNode
);

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap Fields

The fields of the XmlValidateMap class are listed below. For a complete list of XmlValidateMap class members, see the XmlValidateMap Members topic.

Protected Instance Fields

propertyInfo Name of the property associated to this mapping.

Private Instance Fields

message | Message to show if the validation fails.
regularExpression | Regular expression string to validate this instance.
validateType | Type of validation to do over this instance.

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.Message Property

Reflex the message attribute.

public string Message {get; set;}

Implements

IValidationMap.Message

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.PropertyInfo Property

Reflex the propertyName attribute.

public System.Reflection.PropertyInfo PropertyInfo {get; set;}

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.RegularExpression Property

Reflex the regularExpression attribute.

public string RegularExpression {get; set;}

Implements

IValidationMap.RegularExpression

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.validateType Field

Type of validation to do over this instance.

private ValidateFor validateType;

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap Properties

The properties of the XmlValidateMap class are listed below. For a complete list of XmlValidateMap class members, see the XmlValidateMap Members topic.

Public Instance Properties

Message | Reflex the message attribute.
PropertyInfo | Reflex the propertyName attribute.
PropertyName | Name of the property in wich this validation is attached.
RegularExpression | Reflex the regularExpression attribute.
Type | Type in wich this validation is attached.
ValidateFor | Reflex the validateType attribute.

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.PropertyName Property

Name of the property in wich this validation is attached.

public string PropertyName {get; set;}

Implements

IValidationMap.PropertyName

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.Type Property

Type in wich this validation is attached.

public System.Type Type {get; set;}

Implements

IValidationMap.Type

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.ValidateFor Property

Reflex the validateType attribute.

public ShowX.Model.ValidateFor ValidateFor {get; set;}

Implements

IValidationMap.ValidateFor

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap Methods

The methods of the XmlValidateMap class are listed below. For a complete list of XmlValidateMap class members, see the XmlValidateMap Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Validate the input value, over the kind of validation defined here. The value is input as a string.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

loadValueFromAttribute

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.loadValueFromAttribute Method

private string loadValueFromAttribute(
XmlAttribute attribute,
string defaultValue
);

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlValidateMap.Validate Method

Validate the input value, over the kind of validation defined here. The value is input as a string.

public bool Validate(
object context,
string s
);

Parameters

context
Context in which occurs the operation (supplied by user via control properties)
s
Value to validate.

Return Value

True if the value fulfills the requeriments of this validator. False otherwise.

Implements

IValidationMap.Validate

See Also

XmlValidateMap Class | ShowX.Model.XmlModel Namespace


XmlView Class

XmlView represent a view in the xml model.

For a list of all members of this type, see XmlView Members.

System.Object
ShowX.Model.XmlModel.XmlView

public class XmlView : IView

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlView Members | ShowX.Model.XmlModel Namespace


XmlView Members

XmlView overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

XmlView Constructor Initializes the static fields of the XmlView class.

Private Static Fields

log

Public Instance Constructors

XmlView Constructor Constructor.

Public Instance Properties

Name | Name of this view.
Properties | Properties included in this view.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

name
properties

See Also

XmlView Class | ShowX.Model.XmlModel Namespace


XmlView Constructor

Constructor.

public XmlView(
XmlNode viewNode
);

Parameters

viewNode
Xml node from wich to build view.

See Also

XmlView Class | ShowX.Model.XmlModel Namespace


XmlView Static Constructor

Initializes the static fields of the XmlView class.

static XmlView();

See Also

XmlView Class | ShowX.Model.XmlModel Namespace


XmlView Fields

The fields of the XmlView class are listed below. For a complete list of XmlView class members, see the XmlView Members topic.

Private Static Fields

log

Private Instance Fields

name
properties

See Also

XmlView Class | ShowX.Model.XmlModel Namespace


XmlView.log Field

private static readonly ILog log;

See Also

XmlView Class | ShowX.Model.XmlModel Namespace


XmlView.Name Property

Name of this view.

public string Name {get;}

Implements

IView.Name

See Also

XmlView Class | ShowX.Model.XmlModel Namespace


XmlView.Properties Property

Properties included in this view.

public System.Collections.ArrayList Properties {get;}

Implements

IView.Properties

See Also

XmlView Class | ShowX.Model.XmlModel Namespace


XmlView Properties

The properties of the XmlView class are listed below. For a complete list of XmlView class members, see the XmlView Members topic.

Public Instance Properties

Name | Name of this view.
Properties | Properties included in this view.

See Also

XmlView Class | ShowX.Model.XmlModel Namespace


XmlViewCollection Class

XmlViewCollection implements IViewCollection for the Xml model.

For a list of all members of this type, see XmlViewCollection Members.

System.Object
ShowX.Model.XmlModel.XmlViewCollection

public class XmlViewCollection : IViewCollection

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlViewCollection Members | ShowX.Model.XmlModel Namespace


XmlViewCollection Members

XmlViewCollection overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XmlViewCollection Overloaded. Initializes a new instance of the XmlViewCollection class.

Public Instance Properties

DefaultView Returns the default view for the selected class, or null if:
    • There's no views defined for this class.
      There's no default view defined for this class.
    • Views Returns the views defined for this class.

    Public Instance Methods

    Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

    Protected Instance Methods

    Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

    Private Instance Fields

    defaultViewIndex
    viewCollection

    See Also

    XmlViewCollection Class | ShowX.Model.XmlModel Namespace


XmlViewCollection Constructor

Default constructor. Build an empty view collection.

Overload List

Default constructor. Build an empty view collection.

public XmlViewCollection();

Constructor. Builds the view collection.

public XmlViewCollection(XmlNode);

See Also

XmlViewCollection Class | ShowX.Model.XmlModel Namespace


XmlViewCollection Constructor ()

Default constructor. Build an empty view collection.

public XmlViewCollection();

See Also

XmlViewCollection Class | ShowX.Model.XmlModel Namespace | XmlViewCollection Constructor Overload List


XmlViewCollection Constructor (XmlNode)

Constructor. Builds the view collection.

public XmlViewCollection(
XmlNode viewNode
);

Parameters

viewNode
Xml node to read view information.

See Also

XmlViewCollection Class | ShowX.Model.XmlModel Namespace | XmlViewCollection Constructor Overload List


XmlViewCollection Fields

The fields of the XmlViewCollection class are listed below. For a complete list of XmlViewCollection class members, see the XmlViewCollection Members topic.

Private Instance Fields

defaultViewIndex
viewCollection

See Also

XmlViewCollection Class | ShowX.Model.XmlModel Namespace


XmlViewCollection.defaultViewIndex Field

private int defaultViewIndex;

See Also

XmlViewCollection Class | ShowX.Model.XmlModel Namespace


XmlViewCollection.viewCollection Field

private Hashtable viewCollection;

See Also

XmlViewCollection Class | ShowX.Model.XmlModel Namespace


XmlViewCollection Properties

The properties of the XmlViewCollection class are listed below. For a complete list of XmlViewCollection class members, see the XmlViewCollection Members topic.

Public Instance Properties

DefaultView Returns the default view for the selected class, or null if:
    • There's no views defined for this class.
      There's no default view defined for this class.
    • Views Returns the views defined for this class.

    See Also

    XmlViewCollection Class | ShowX.Model.XmlModel Namespace


XmlViewCollection.DefaultView Property

Returns the default view for the selected class, or null if:

    • There's no views defined for this class.
      There's no default view defined for this class.

    • public ShowX.Model.IView DefaultView {get;}

    Implements

    IViewCollection.DefaultView

    See Also

    XmlViewCollection Class | ShowX.Model.XmlModel Namespace


XmlViewCollection.Views Property

Returns the views defined for this class.

public System.Collections.Hashtable Views {get;}

Implements

IViewCollection.Views

See Also

XmlViewCollection Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap Class

Represents a property that returns a collection of objects.

For a list of all members of this type, see XmlXPercentMap Members.

System.Object
ShowX.Model.XmlModel.XmlPropertyMap
ShowX.Model.XmlModel.XmlXPercentMap

public class XmlXPercentMap : XmlPropertyMap, IXPercentMap

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Model.XmlModel

Assembly: ShowX (in ShowX.dll)

See Also

XmlXPercentMap Members | ShowX.Model.XmlModel Namespace


XmlXPercentMap Members

XmlXPercentMap overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
LoadValueFromAttribute (inherited from XmlPropertyMap) | Overloaded. Get a a certain value from an Xml attribute, or assign a default value if attribute does not exist.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

XmlXPercentMap Constructor Constructor.

Public Instance Properties

EditOnInsert | Reflex whether the property should be edited on insertion.
Heading (inherited from XmlPropertyMap) | See the heading field.
IsPassword | Reflex whether the property value should be treated as a password.
ItemStyle (inherited from XmlPropertyMap) | See the itemStyle field.
MaxPoperty | Reflex the property who store the maximum value.
Name (inherited from XmlPropertyMap) | Reflex the name field.
PropertyInfo (inherited from XmlPropertyMap) | Reflex the propertyInfo field.
ReadOnly | Reflex readonly-ness of the property.
Show (inherited from XmlPropertyMap) | Reflex the show field.
ShowLikePercent | Expose the showLikePercent attribute.
Translator (inherited from XmlPropertyMap) | See the translator field.
Validators (inherited from XmlPropertyMap) | Reflex the validators associated to this property.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

editOnInsert (inherited from XmlPropertyMap) | Is this property editable when we are inserting a new instance? Default value is true.
heading (inherited from XmlPropertyMap) | Heading to show over this property.
isPassword (inherited from XmlPropertyMap) | Is this property a password?. Default value is false.
itemStyle (inherited from XmlPropertyMap) | Represent the style or kind of control that will show this item.
maxProp | Represent the name of the property who hold the 100% of this quantity.
name (inherited from XmlPropertyMap) | Name tho show associated of the property. Default value is "".
propertyInfo (inherited from XmlPropertyMap) | Name of the property associated to this mapping.
readOnly (inherited from XmlPropertyMap) | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XmlPropertyMap) | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
showLikePercent | Keep track whether we want to display attribute as a percent.
translator (inherited from XmlPropertyMap) | Translator associated to this item.
validators (inherited from XmlPropertyMap) | Validator collection associated to this property.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap Constructor

Constructor.

public XmlXPercentMap(
Type t,
XmlNode propertyNode
);

Parameters

t
Type to map.
propertyNode
Xml node that represents property mapping info.

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap Fields

The fields of the XmlXPercentMap class are listed below. For a complete list of XmlXPercentMap class members, see the XmlXPercentMap Members topic.

Protected Instance Fields

editOnInsert (inherited from XmlPropertyMap) | Is this property editable when we are inserting a new instance? Default value is true.
heading (inherited from XmlPropertyMap) | Heading to show over this property.
isPassword (inherited from XmlPropertyMap) | Is this property a password?. Default value is false.
itemStyle (inherited from XmlPropertyMap) | Represent the style or kind of control that will show this item.
maxProp | Represent the name of the property who hold the 100% of this quantity.
name (inherited from XmlPropertyMap) | Name tho show associated of the property. Default value is "".
propertyInfo (inherited from XmlPropertyMap) | Name of the property associated to this mapping.
readOnly (inherited from XmlPropertyMap) | Is this property read only?. If true, it won't be editable on editing over this class. Default value is false.
show (inherited from XmlPropertyMap) | Is this property show? If false, the property won't be show neither on editing or viewing. Default value is true.
showLikePercent | Keep track whether we want to display attribute as a percent.
translator (inherited from XmlPropertyMap) | Translator associated to this item.
validators (inherited from XmlPropertyMap) | Validator collection associated to this property.

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap.maxProp Field

Represent the name of the property who hold the 100% of this quantity.

protected string maxProp;

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap.ShowLikePercent Property

Expose the showLikePercent attribute.

public bool ShowLikePercent {get; set;}

Implements

IXPercentMap.ShowLikePercent

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap Properties

The properties of the XmlXPercentMap class are listed below. For a complete list of XmlXPercentMap class members, see the XmlXPercentMap Members topic.

Public Instance Properties

EditOnInsert | Reflex whether the property should be edited on insertion.
Heading (inherited from XmlPropertyMap) | See the heading field.
IsPassword | Reflex whether the property value should be treated as a password.
ItemStyle (inherited from XmlPropertyMap) | See the itemStyle field.
MaxPoperty | Reflex the property who store the maximum value.
Name (inherited from XmlPropertyMap) | Reflex the name field.
PropertyInfo (inherited from XmlPropertyMap) | Reflex the propertyInfo field.
ReadOnly | Reflex readonly-ness of the property.
Show (inherited from XmlPropertyMap) | Reflex the show field.
ShowLikePercent | Expose the showLikePercent attribute.
Translator (inherited from XmlPropertyMap) | See the translator field.
Validators (inherited from XmlPropertyMap) | Reflex the validators associated to this property.

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap.EditOnInsert Property

Reflex whether the property should be edited on insertion.

public override bool EditOnInsert {get; set;}

Implements

IPropertyMap.EditOnInsert

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap.IsPassword Property

Reflex whether the property value should be treated as a password.

public override bool IsPassword {get; set;}

Implements

IPropertyMap.IsPassword

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap.MaxPoperty Property

Reflex the property who store the maximum value.

public string MaxPoperty {get; set;}

Implements

IXPercentMap.MaxPoperty

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


XmlXPercentMap.ReadOnly Property

Reflex readonly-ness of the property.

public override bool ReadOnly {get; set;}

Implements

IPropertyMap.ReadOnly

See Also

XmlXPercentMap Class | ShowX.Model.XmlModel Namespace


ShowX.Session

ShowX Class Library Documentation

ShowX.Session Namespace

Namespace hierarchy

Classes

Class | Description
AttributeSession | Represent a session when mapping is done by using the attribute model.
SessionException | SessionException represent exceptions produced during session handling. process.
XmlSession | Represent a session when mapping is done by using the XML file model.

Interfaces

Interface | Description
ISession | ISession offers a single interface for Session objects. Session objects handle specific session behavior, and keep track of class mapping and active handlers.


AttributeSession Class

Represent a session when mapping is done by using the attribute model.

For a list of all members of this type, see AttributeSession Members.

System.Object
ShowX.Session.AttributeSession

public class AttributeSession : ISession

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Session

Assembly: ShowX (in ShowX.dll)

See Also

AttributeSession Members | ShowX.Session Namespace


AttributeSession Members

AttributeSession overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

AttributeSession Constructor Constructor. Initialize class objects to the appropiate attribute model instances.

Public Instance Properties

MappingHandler | Retrieve the mapping handler helper used by this session.
MethodCaller | Retrieve the method caller helper used by this session.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

activeMappingHandler | Mapping handler helper, to retrieve mapping for properies and classes.
activeMethodCaller | Method caller helper to invoke object handler methods.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

AttributeSession Class | ShowX.Session Namespace


AttributeSession Constructor

Constructor. Initialize class objects to the appropiate attribute model instances.

public AttributeSession();

See Also

AttributeSession Class | ShowX.Session Namespace


AttributeSession Fields

The fields of the AttributeSession class are listed below. For a complete list of AttributeSession class members, see the AttributeSession Members topic.

Protected Instance Fields

activeMappingHandler | Mapping handler helper, to retrieve mapping for properies and classes.
activeMethodCaller | Method caller helper to invoke object handler methods.

See Also

AttributeSession Class | ShowX.Session Namespace


AttributeSession.activeMappingHandler Field

Mapping handler helper, to retrieve mapping for properies and classes.

protected IMappingHandler activeMappingHandler;

See Also

AttributeSession Class | ShowX.Session Namespace


AttributeSession.activeMethodCaller Field

Method caller helper to invoke object handler methods.

protected IObjectHandlerMethodCaller activeMethodCaller;

See Also

AttributeSession Class | ShowX.Session Namespace


AttributeSession Properties

The properties of the AttributeSession class are listed below. For a complete list of AttributeSession class members, see the AttributeSession Members topic.

Public Instance Properties

MappingHandler | Retrieve the mapping handler helper used by this session.
MethodCaller | Retrieve the method caller helper used by this session.

See Also

AttributeSession Class | ShowX.Session Namespace


AttributeSession.MappingHandler Property

Retrieve the mapping handler helper used by this session.

public ShowX.Model.IMappingHandler MappingHandler {get;}

Implements

ISession.MappingHandler

See Also

AttributeSession Class | ShowX.Session Namespace


AttributeSession.MethodCaller Property

Retrieve the method caller helper used by this session.

public ShowX.Model.IObjectHandlerMethodCaller MethodCaller {get;}

Implements

ISession.MethodCaller

See Also

AttributeSession Class | ShowX.Session Namespace


ISession Interface

ISession offers a single interface for Session objects. Session objects handle specific session behavior, and keep track of class mapping and active handlers.

For a list of all members of this type, see ISession Members.

public interface ISession

Types that implement ISession

Type | Description
AttributeSession | Represent a session when mapping is done by using the attribute model.
XmlSession | Represent a session when mapping is done by using the XML file model.

Requirements

Namespace: ShowX.Session

Assembly: ShowX (in ShowX.dll)

See Also

ISession Members | ShowX.Session Namespace


ISession Members

ISession overview

Public Instance Properties

MappingHandler | Expose the mapping handler class used to invoque object handler methods.
MethodCaller | Expose the method caller class used to invoque object handler methods.

See Also

ISession Interface | ShowX.Session Namespace


ISession Properties

The properties of the ISession interface are listed below. For a complete list of ISession interface members, see the ISession Members topic.

Public Instance Properties

MappingHandler | Expose the mapping handler class used to invoque object handler methods.
MethodCaller | Expose the method caller class used to invoque object handler methods.

See Also

ISession Interface | ShowX.Session Namespace


ISession.MappingHandler Property

Expose the mapping handler class used to invoque object handler methods.

ShowX.Model.IMappingHandler MappingHandler {get;}

See Also

ISession Interface | ShowX.Session Namespace


ISession.MethodCaller Property

Expose the method caller class used to invoque object handler methods.

ShowX.Model.IObjectHandlerMethodCaller MethodCaller {get;}

See Also

ISession Interface | ShowX.Session Namespace


SessionException Class

SessionException represent exceptions produced during session handling. process.

For a list of all members of this type, see SessionException Members.

System.Object
System.Exception
ShowX.Session.SessionException

public class SessionException : Exception

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Session

Assembly: ShowX (in ShowX.dll)

See Also

SessionException Members | ShowX.Session Namespace


SessionException Members

SessionException overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

SessionException Overloaded. Initializes a new instance of the SessionException class.

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

Protected Instance Properties

HResult (inherited from Exception) Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Internal Instance Fields

_HResult (inherited from Exception)
_message (inherited from Exception)

Internal Instance Methods

InternalToString (inherited from Exception)

See Also

SessionException Class | ShowX.Session Namespace


SessionException Constructor

Constructor. Builds exception with an error message and an inner exception.

Overload List

Constructor. Builds exception with an error message.

public SessionException(string);

Constructor. Builds exception with an error message and an inner exception.

public SessionException(string,Exception);

See Also

SessionException Class | ShowX.Session Namespace


SessionException Constructor (String, Exception)

Constructor. Builds exception with an error message and an inner exception.

public SessionException(
string msg,
Exception inner
);

Parameters

msg
Exception message.
inner
Inner exception.

See Also

SessionException Class | ShowX.Session Namespace | SessionException Constructor Overload List


SessionException Constructor (String)

Constructor. Builds exception with an error message.

public SessionException(
string msg
);

Parameters

msg
Exception message.

See Also

SessionException Class | ShowX.Session Namespace | SessionException Constructor Overload List


XmlSession Class

Represent a session when mapping is done by using the XML file model.

For a list of all members of this type, see XmlSession Members.

System.Object
ShowX.Session.XmlSession

[DefaultMember(MemberName="Item", TypeId=System.Reflection.DefaultMemberAttribute)]
public class XmlSession : ISession

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Session

Assembly: ShowX (in ShowX.dll)

See Also

XmlSession Members | ShowX.Session Namespace


XmlSession Members

XmlSession overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

XmlSession Constructor Initializes the static fields of the XmlSession class.

Private Static Fields

log

Public Instance Constructors

XmlSession Constructor Constructor. Initialize class objects to the appropiate attribute model instances.

Public Instance Properties

Item | Read-only Indexer over registered ShowX types.
MappingHandler | Expose the mapping handler class used to invoque object handler methods.
MethodCaller | Expose the method caller class used to invoque object handler methods.
XmlMappingFiles | Provide access to the hash of associations type/path-to-XML-mapper-file.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
RegisterClass | Register the ShowX type on current session. Information about the new type is stored in the classMappingInfo hash table.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

activeMappingHandler | Mapping handler helper, to retrieve mapping for properies and classes.
activeMethodCaller | Method caller helper to invoke object handler methods.
classMappingInfo | Store information about ShowX mapped classes. The type is used as the hash key, and the value is an instance of the XMLClassMap class.
classXmlFilesMappingInfo | Store information to find XML files to get class mapping. The type is used as the hash key, and the value is the path to the XML file.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession Constructor

Constructor. Initialize class objects to the appropiate attribute model instances.

public XmlSession();

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession Static Constructor

Initializes the static fields of the XmlSession class.

static XmlSession();

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession Fields

The fields of the XmlSession class are listed below. For a complete list of XmlSession class members, see the XmlSession Members topic.

Private Static Fields

log

Protected Instance Fields

activeMappingHandler | Mapping handler helper, to retrieve mapping for properies and classes.
activeMethodCaller | Method caller helper to invoke object handler methods.
classMappingInfo | Store information about ShowX mapped classes. The type is used as the hash key, and the value is an instance of the XMLClassMap class.
classXmlFilesMappingInfo | Store information to find XML files to get class mapping. The type is used as the hash key, and the value is the path to the XML file.

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.activeMappingHandler Field

Mapping handler helper, to retrieve mapping for properies and classes.

protected IMappingHandler activeMappingHandler;

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.activeMethodCaller Field

Method caller helper to invoke object handler methods.

protected IObjectHandlerMethodCaller activeMethodCaller;

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.classMappingInfo Field

Store information about ShowX mapped classes. The type is used as the hash key, and the value is an instance of the XMLClassMap class.

protected Hashtable classMappingInfo;

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.classXmlFilesMappingInfo Field

Store information to find XML files to get class mapping. The type is used as the hash key, and the value is the path to the XML file.

protected Hashtable classXmlFilesMappingInfo;

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.log Field

private static readonly ILog log;

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession Properties

The properties of the XmlSession class are listed below. For a complete list of XmlSession class members, see the XmlSession Members topic.

Public Instance Properties

Item | Read-only Indexer over registered ShowX types.
MappingHandler | Expose the mapping handler class used to invoque object handler methods.
MethodCaller | Expose the method caller class used to invoque object handler methods.
XmlMappingFiles | Provide access to the hash of associations type/path-to-XML-mapper-file.

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.Item Property

Read-only Indexer over registered ShowX types.

public ShowX.Model.XmlModel.XmlClassMap this[
System.Type t
] {get;}

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.MappingHandler Property

Expose the mapping handler class used to invoque object handler methods.

public ShowX.Model.IMappingHandler MappingHandler {get;}

Implements

ISession.MappingHandler

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.MethodCaller Property

Expose the method caller class used to invoque object handler methods.

public ShowX.Model.IObjectHandlerMethodCaller MethodCaller {get;}

Implements

ISession.MethodCaller

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.XmlMappingFiles Property

Provide access to the hash of associations type/path-to-XML-mapper-file.

public System.Collections.Hashtable XmlMappingFiles {get; set;}

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession Methods

The methods of the XmlSession class are listed below. For a complete list of XmlSession class members, see the XmlSession Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
RegisterClass | Register the ShowX type on current session. Information about the new type is stored in the classMappingInfo hash table.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XmlSession Class | ShowX.Session Namespace


XmlSession.RegisterClass Method

Register the ShowX type on current session. Information about the new type is stored in the classMappingInfo hash table.

public void RegisterClass(
Type t
);

Parameters

t
New type to register in session.

See Also

XmlSession Class | ShowX.Session Namespace


ShowX.Web.Scripts

ShowX Class Library Documentation

ShowX.Web.Scripts Namespace

Namespace hierarchy

Classes

Class | Description
IncludeJSCalendarScriptBlock IncludeJSCalendarScriptBlock generates the necessary includes in order to use the jsCalendar control. The script code looks somehow like:

   ;
only that the file path should be adjusted to jsCalendar configuration path, which is done in the static constructor of the class.
JSCalendarSetupScriptBlock Generates the necessary includes in order to use the jsCalendar control. The script code looks somehow like:
ScriptBaseClass | ScriptBaseClass define a base class for all the generator script classes.


IncludeJSCalendarScriptBlock Class

IncludeJSCalendarScriptBlock generates the necessary includes in order to use the jsCalendar control. The script code looks somehow like:

   ;
only that the file path should be adjusted to jsCalendar configuration path, which is done in the static constructor of the class.

For a list of all members of this type, see IncludeJSCalendarScriptBlock Members.

System.Object
ShowX.Web.Scripts.ScriptBaseClass
ShowX.Web.Scripts.IncludeJSCalendarScriptBlock

public class IncludeJSCalendarScriptBlock : ScriptBaseClass

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.Scripts

Assembly: ShowX (in ShowX.dll)

See Also

IncludeJSCalendarScriptBlock Members | ShowX.Web.Scripts Namespace


IncludeJSCalendarScriptBlock Members

IncludeJSCalendarScriptBlock overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

IncludeJSCalendarScriptBlock Constructor Initializes the static fields of the IncludeJSCalendarScriptBlock class.

Private Static Fields

log

Public Instance Constructors

IncludeJSCalendarScriptBlock Constructor Constructor, to build script block.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Register (inherited from ScriptBaseClass) | Register the script block on the given page.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

script (inherited from ScriptBaseClass) JS Code of this script.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

jsCalendarPath Base class for jscalendar

See Also

IncludeJSCalendarScriptBlock Class | ShowX.Web.Scripts Namespace


IncludeJSCalendarScriptBlock Constructor

Constructor, to build script block.

public IncludeJSCalendarScriptBlock();

See Also

IncludeJSCalendarScriptBlock Class | ShowX.Web.Scripts Namespace


IncludeJSCalendarScriptBlock Static Constructor

Initializes the static fields of the IncludeJSCalendarScriptBlock class.

static IncludeJSCalendarScriptBlock();

See Also

IncludeJSCalendarScriptBlock Class | ShowX.Web.Scripts Namespace


IncludeJSCalendarScriptBlock Fields

The fields of the IncludeJSCalendarScriptBlock class are listed below. For a complete list of IncludeJSCalendarScriptBlock class members, see the IncludeJSCalendarScriptBlock Members topic.

Private Static Fields

log

Protected Instance Fields

script (inherited from ScriptBaseClass) JS Code of this script.

Private Instance Fields

jsCalendarPath Base class for jscalendar

See Also

IncludeJSCalendarScriptBlock Class | ShowX.Web.Scripts Namespace


IncludeJSCalendarScriptBlock.jsCalendarPath Field

Base class for jscalendar

private string jsCalendarPath;

See Also

IncludeJSCalendarScriptBlock Class | ShowX.Web.Scripts Namespace


IncludeJSCalendarScriptBlock.log Field

new private static readonly ILog log;

See Also

IncludeJSCalendarScriptBlock Class | ShowX.Web.Scripts Namespace


JSCalendarSetupScriptBlock Class

Generates the necessary includes in order to use the jsCalendar control. The script code looks somehow like:

For a list of all members of this type, see JSCalendarSetupScriptBlock Members.

System.Object
ShowX.Web.Scripts.ScriptBaseClass
ShowX.Web.Scripts.JSCalendarSetupScriptBlock

public class JSCalendarSetupScriptBlock : ScriptBaseClass

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.Scripts

Assembly: ShowX (in ShowX.dll)

See Also

JSCalendarSetupScriptBlock Members | ShowX.Web.Scripts Namespace


JSCalendarSetupScriptBlock Members

JSCalendarSetupScriptBlock overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

JSCalendarSetupScriptBlock Constructor Initializes the static fields of the JSCalendarSetupScriptBlock class.

Private Static Fields

log

Public Instance Constructors

JSCalendarSetupScriptBlock Constructor Constructor, to build script block.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Register (inherited from ScriptBaseClass) | Register the script block on the given page.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

script (inherited from ScriptBaseClass) JS Code of this script.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

JSCalendarSetupScriptBlock Class | ShowX.Web.Scripts Namespace


JSCalendarSetupScriptBlock Constructor

Constructor, to build script block.

public JSCalendarSetupScriptBlock(
string inputFieldId,
string triggerId
);

See Also

JSCalendarSetupScriptBlock Class | ShowX.Web.Scripts Namespace


JSCalendarSetupScriptBlock Static Constructor

Initializes the static fields of the JSCalendarSetupScriptBlock class.

static JSCalendarSetupScriptBlock();

See Also

JSCalendarSetupScriptBlock Class | ShowX.Web.Scripts Namespace


JSCalendarSetupScriptBlock Fields

The fields of the JSCalendarSetupScriptBlock class are listed below. For a complete list of JSCalendarSetupScriptBlock class members, see the JSCalendarSetupScriptBlock Members topic.

Private Static Fields

log

Protected Instance Fields

script (inherited from ScriptBaseClass) JS Code of this script.

See Also

JSCalendarSetupScriptBlock Class | ShowX.Web.Scripts Namespace


JSCalendarSetupScriptBlock.log Field

new private static readonly ILog log;

See Also

JSCalendarSetupScriptBlock Class | ShowX.Web.Scripts Namespace


ScriptBaseClass Class

ScriptBaseClass define a base class for all the generator script classes.

For a list of all members of this type, see ScriptBaseClass Members.

System.Object
ShowX.Web.Scripts.ScriptBaseClass
ShowX.Web.Scripts.IncludeJSCalendarScriptBlock
ShowX.Web.Scripts.JSCalendarSetupScriptBlock

public class ScriptBaseClass

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.Scripts

Assembly: ShowX (in ShowX.dll)

See Also

ScriptBaseClass Members | ShowX.Web.Scripts Namespace


ScriptBaseClass Members

ScriptBaseClass overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Private Static Constructor

ScriptBaseClass Constructor Initializes the static fields of the ScriptBaseClass class.

Private Static Fields

log

Public Instance Constructors

ScriptBaseClass Constructor Public constructor.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Register | Register the script block on the given page.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

script JS Code of this script.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

key Key of this script.

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ScriptBaseClass Constructor

Public constructor.

public ScriptBaseClass(
string key
);

Parameters

key
Key for registering this script.

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ScriptBaseClass Static Constructor

Initializes the static fields of the ScriptBaseClass class.

static ScriptBaseClass();

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ScriptBaseClass Fields

The fields of the ScriptBaseClass class are listed below. For a complete list of ScriptBaseClass class members, see the ScriptBaseClass Members topic.

Private Static Fields

log

Protected Instance Fields

script JS Code of this script.

Private Instance Fields

key Key of this script.

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ScriptBaseClass.key Field

Key of this script.

private string key;

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ScriptBaseClass.log Field

private static readonly ILog log;

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ScriptBaseClass.script Field

JS Code of this script.

protected string script;

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ScriptBaseClass Methods

The methods of the ScriptBaseClass class are listed below. For a complete list of ScriptBaseClass class members, see the ScriptBaseClass Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Register | Register the script block on the given page.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ScriptBaseClass.Register Method

Register the script block on the given page.

public void Register(
Page page
);

Parameters

page
The page to register the script

See Also

ScriptBaseClass Class | ShowX.Web.Scripts Namespace


ShowX.Web.WebBuilders

ShowX Class Library Documentation

ShowX.Web.WebBuilders Namespace

Namespace hierarchy

Classes

Class | Description
DataGridBuilder | This class generate DataGrid columns, acordingly to a certain ShowX type


DataGridBuilder Class

This class generate DataGrid columns, acordingly to a certain ShowX type

For a list of all members of this type, see DataGridBuilder Members.

System.Object
ShowX.Web.WebBuilders.DataGridBuilder

public class DataGridBuilder

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders

Assembly: ShowX (in ShowX.dll)

See Also

DataGridBuilder Members | ShowX.Web.WebBuilders Namespace


DataGridBuilder Members

DataGridBuilder overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

DataGridBuilder Constructor DataGridBuilder contructor

Public Instance Properties

DataGrid | Reflexs the owner attribute, as a read-only value
Type | Reflexs the type attribute, as a read-only value

Public Instance Methods

BuildColumns | Builds columns over the associated DataGrid
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
GenIDColumn | Generate a column for a given PK property.
GenViewColumnForCol | Generate a column for a given collection property.
GenViewColumnForField | Generate a column for a given DBAttr property.
GenViewColumnForFK | Generate a column for a given FK property.
GenViewColumnForPK | Generate a column for a given PK property.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

owner | DataGrid associated to this builder
type | ShowX type

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder Constructor

DataGridBuilder contructor

public DataGridBuilder(
Type type,
DataGrid owner
);

Parameters

type
ShowX type
owner
DataGrid associated to this builder

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder Fields

The fields of the DataGridBuilder class are listed below. For a complete list of DataGridBuilder class members, see the DataGridBuilder Members topic.

Private Instance Fields

owner | DataGrid associated to this builder
type | ShowX type

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.owner Field

DataGrid associated to this builder

private DataGrid owner;

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.Type Property

Reflexs the type attribute, as a read-only value

public System.Type Type {get;}

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder Properties

The properties of the DataGridBuilder class are listed below. For a complete list of DataGridBuilder class members, see the DataGridBuilder Members topic.

Public Instance Properties

DataGrid | Reflexs the owner attribute, as a read-only value
Type | Reflexs the type attribute, as a read-only value

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.DataGrid Property

Reflexs the owner attribute, as a read-only value

public System.Web.UI.WebControls.DataGrid DataGrid {get;}

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder Methods

The methods of the DataGridBuilder class are listed below. For a complete list of DataGridBuilder class members, see the DataGridBuilder Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

BuildColumns | Builds columns over the associated DataGrid
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
GenIDColumn | Generate a column for a given PK property.
GenViewColumnForCol | Generate a column for a given collection property.
GenViewColumnForField | Generate a column for a given DBAttr property.
GenViewColumnForFK | Generate a column for a given FK property.
GenViewColumnForPK | Generate a column for a given PK property.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.BuildColumns Method

Builds columns over the associated DataGrid

public void BuildColumns();

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.GenIDColumn Method

Generate a column for a given PK property.

protected TemplateColumn GenIDColumn(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo instance that represents the PK property

Return Value

A DataGridColumn instance, representing this PK property

Remarks

Nevertheless primary key are not shown directly on DataGrid (substitute values are shown instead), a hidden field is inserted, in order to identify the entry. This method generate the hidden column to store PK identifiers.

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.GenViewColumnForCol Method

Generate a column for a given collection property.

protected DataGridColumn GenViewColumnForCol(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo instance that represents the collection property.

Return Value

A DataGridColumn instance, representing this collection property.

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.GenViewColumnForField Method

Generate a column for a given DBAttr property.

protected DataGridColumn GenViewColumnForField(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo instance that represents the DBAttr property

Return Value

A DataGridColumn instance, representing this DBAttr property

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.GenViewColumnForFK Method

Generate a column for a given FK property.

protected TemplateColumn GenViewColumnForFK(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo instance that represents the FK property

Return Value

A DataGridColumn instance, representing this FK property

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


DataGridBuilder.GenViewColumnForPK Method

Generate a column for a given PK property.

protected DataGridColumn GenViewColumnForPK(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo instance that represents the PK property

Return Value

A DataGridColumn instance, representing this PK property

See Also

DataGridBuilder Class | ShowX.Web.WebBuilders Namespace


ShowX.Web.WebBuilders.ItemTemplates

ShowX Class Library Documentation

ShowX.Web.WebBuilders.ItemTemplates Namespace

Namespace hierarchy

Classes

Class | Description
AddItemTemplate | Represent the template used to add an item to AddElement control.
CollectionEditItemTemplate | CollectionItemTemplate represents template for item collection.
CollectionItemTemplate | CollectionItemTemplate represents template for item collection.
EditItemTemplate | This class is used to map a property information into a cell, in an editable fashion.
ElemTemplate | Base class for templates used in the AddElement control.
FKEditTemplate | This class is used to change the value of a FK attribute. This value is changed by using a combo box.
ItemTemplate | This class is used to map a property information into a cell, in a view-only fashion
PercentItemTemplate | This template build a cell inserting a progress bar control. Mainly used for Properties marked with the XPercent attribute
SearchItemTemplate | Template to represent a search over an AdminElement control.
TextTemplate | This class is used to map the exact evaluation of a property onto the cell. The advantage of passing a string instead of a PropertyInfo is that you can use nested properties (i.e, populate cell with Property1.Property2 where Property1 is the name of a property in the ShowX object, and Property2 is the name of a property from the type returned by Property1).


AddItemTemplate Class

Represent the template used to add an item to AddElement control.

For a list of all members of this type, see AddItemTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.ElemTemplate
ShowX.Web.WebBuilders.ItemTemplates.AddItemTemplate

public class AddItemTemplate : ElemTemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

AddItemTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


AddItemTemplate Members

AddItemTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

AddItemTemplate Constructor Constructor.

Public Instance Methods

BuildButtons | Build buttons associated to this AddElement.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn (inherited from ElemTemplate) | Instanciate the template in a given container.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

owner (inherited from ElemTemplate) Keep track of the AdminElement owner of this template.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

AddItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


AddItemTemplate Constructor

Constructor.

public AddItemTemplate(
Type type,
AdminElement owner
);

Parameters

type
Type associated to owner control.
owner
AdminElement owner of this template.

See Also

AddItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


AddItemTemplate Methods

The methods of the AddItemTemplate class are listed below. For a complete list of AddItemTemplate class members, see the AddItemTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

BuildButtons | Build buttons associated to this AddElement.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn (inherited from ElemTemplate) | Instanciate the template in a given container.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

AddItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


AddItemTemplate.BuildButtons Method

Build buttons associated to this AddElement.

public override void BuildButtons(
TableRow tableRow
);

Parameters

tableRow
Table Row where to locate buttons.

See Also

AddItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionEditItemTemplate Class

CollectionItemTemplate represents template for item collection.

For a list of all members of this type, see CollectionEditItemTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.CollectionEditItemTemplate

public class CollectionEditItemTemplate : ITemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

CollectionEditItemTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionEditItemTemplate Members

CollectionEditItemTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

CollectionEditItemTemplate Constructor Constructor.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

propertyInfo Information of the property to map

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

CollectionEditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionEditItemTemplate Constructor

Constructor.

public CollectionEditItemTemplate(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo that represents collection property.

See Also

CollectionEditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionEditItemTemplate Fields

The fields of the CollectionEditItemTemplate class are listed below. For a complete list of CollectionEditItemTemplate class members, see the CollectionEditItemTemplate Members topic.

Private Instance Fields

propertyInfo Information of the property to map

See Also

CollectionEditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionEditItemTemplate.propertyInfo Field

Information of the property to map

private PropertyInfo propertyInfo;

See Also

CollectionEditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionEditItemTemplate Methods

The methods of the CollectionEditItemTemplate class are listed below. For a complete list of CollectionEditItemTemplate class members, see the CollectionEditItemTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

CollectionEditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionEditItemTemplate.InstantiateIn Method

Method called when instantiating a TemplateColumn by using this ITemplate implementation.

public void InstantiateIn(
Control container
);

Parameters

container
Container that instantiate this Template

Implements

ITemplate.InstantiateIn

See Also

CollectionEditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionEditItemTemplate.TemplateControl_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void TemplateControl_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding.
e
Arguments of the event.

See Also

CollectionEditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionItemTemplate Class

CollectionItemTemplate represents template for item collection.

For a list of all members of this type, see CollectionItemTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.CollectionItemTemplate

public class CollectionItemTemplate : ITemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

CollectionItemTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionItemTemplate Members

CollectionItemTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

CollectionItemTemplate Constructor Constructor.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

propertyInfo Information of the property to map

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

CollectionItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionItemTemplate Constructor

Constructor.

public CollectionItemTemplate(
PropertyInfo pInfo
);

Parameters

pInfo
PropertyInfo that represents collection property.

See Also

CollectionItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionItemTemplate Fields

The fields of the CollectionItemTemplate class are listed below. For a complete list of CollectionItemTemplate class members, see the CollectionItemTemplate Members topic.

Private Instance Fields

propertyInfo Information of the property to map

See Also

CollectionItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionItemTemplate.propertyInfo Field

Information of the property to map

private PropertyInfo propertyInfo;

See Also

CollectionItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionItemTemplate Methods

The methods of the CollectionItemTemplate class are listed below. For a complete list of CollectionItemTemplate class members, see the CollectionItemTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

CollectionItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionItemTemplate.InstantiateIn Method

Method called when instantiating a TemplateColumn by using this ITemplate implementation.

public void InstantiateIn(
Control container
);

Parameters

container
Container that instantiate this Template

Implements

ITemplate.InstantiateIn

See Also

CollectionItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


CollectionItemTemplate.TemplateControl_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void TemplateControl_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding.
e
Arguments of the event.

See Also

CollectionItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate Class

This class is used to map a property information into a cell, in an editable fashion.

For a list of all members of this type, see EditItemTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.EditItemTemplate

internal class EditItemTemplate : ITemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

EditItemTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate Members

EditItemTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

EditItemTemplate Constructor Constructor

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

propertyInfo Information of the property to map

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

cb_DataBinding | DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.
cp_DataBinding |
date_DataBinding |
tf_DataBinding | DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate Constructor

Constructor

public EditItemTemplate(
PropertyInfo propertyInfo
);

Parameters

propertyInfo
Information of the property to map

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate Fields

The fields of the EditItemTemplate class are listed below. For a complete list of EditItemTemplate class members, see the EditItemTemplate Members topic.

Protected Instance Fields

propertyInfo Information of the property to map

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate.propertyInfo Field

Information of the property to map

protected PropertyInfo propertyInfo;

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate Methods

The methods of the EditItemTemplate class are listed below. For a complete list of EditItemTemplate class members, see the EditItemTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

cb_DataBinding | DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.
cp_DataBinding |
date_DataBinding |
tf_DataBinding | DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate.cb_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void cb_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding
e
Arguments of the event

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate.cp_DataBinding Method

private void cp_DataBinding(
object sender,
EventArgs e
);

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate.date_DataBinding Method

private void date_DataBinding(
object sender,
EventArgs e
);

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate.InstantiateIn Method

Method called when instantiating a TemplateColumn by using this ITemplate implementation

public void InstantiateIn(
Control container
);

Parameters

container
Container that instantiate this Template

Implements

ITemplate.InstantiateIn

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


EditItemTemplate.tf_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void tf_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding
e
Arguments of the event

See Also

EditItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate Class

Base class for templates used in the AddElement control.

For a list of all members of this type, see ElemTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.ElemTemplate
ShowX.Web.WebBuilders.ItemTemplates.AddItemTemplate
ShowX.Web.WebBuilders.ItemTemplates.SearchItemTemplate

public abstract class ElemTemplate : ITemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

ElemTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate Members

ElemTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

ElemTemplate Constructor Constructor.

Public Instance Methods

BuildButtons | Build buttons associated to this control.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Instanciate the template in a given container.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

owner Keep track of the AdminElement owner of this template.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

DDLFKMapping
type

Private Instance Methods

control_DataBinding
date_DataBinding

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate Constructor

Constructor.

public ElemTemplate(
Type type,
AdminElement owner
);

Parameters

type
Type associated to this control.
owner
AdminElement owner of this template.

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate Fields

The fields of the ElemTemplate class are listed below. For a complete list of ElemTemplate class members, see the ElemTemplate Members topic.

Protected Instance Fields

owner Keep track of the AdminElement owner of this template.

Private Instance Fields

DDLFKMapping
type

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate.DDLFKMapping Field

private Hashtable DDLFKMapping;

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate.owner Field

Keep track of the AdminElement owner of this template.

protected AdminElement owner;

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate.type Field

private Type type;

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate Methods

The methods of the ElemTemplate class are listed below. For a complete list of ElemTemplate class members, see the ElemTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

BuildButtons | Build buttons associated to this control.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Instanciate the template in a given container.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

control_DataBinding
date_DataBinding

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate.BuildButtons Method

Build buttons associated to this control.

public abstract void BuildButtons(
TableRow tableRow
);

Parameters

tableRow
Table Row where to locate buttons.

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate.control_DataBinding Method

private void control_DataBinding(
object sender,
EventArgs e
);

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate.date_DataBinding Method

private void date_DataBinding(
object sender,
EventArgs e
);

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ElemTemplate.InstantiateIn Method

Instanciate the template in a given container.

public void InstantiateIn(
Control container
);

Parameters

container
Container to instanciate into.

Implements

ITemplate.InstantiateIn

See Also

ElemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


FKEditTemplate Class

This class is used to change the value of a FK attribute. This value is changed by using a combo box.

For a list of all members of this type, see FKEditTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.FKEditTemplate

internal class FKEditTemplate : ITemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

FKEditTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


FKEditTemplate Members

FKEditTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

FKEditTemplate Constructor Constructor

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

propertyInfo Information of the property to map

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

FKEditTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


FKEditTemplate Constructor

Constructor

public FKEditTemplate(
PropertyInfo propertyInfo
);

Parameters

propertyInfo
Information of the property to map

See Also

FKEditTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


FKEditTemplate Fields

The fields of the FKEditTemplate class are listed below. For a complete list of FKEditTemplate class members, see the FKEditTemplate Members topic.

Private Instance Fields

propertyInfo Information of the property to map

See Also

FKEditTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


FKEditTemplate.propertyInfo Field

Information of the property to map

private PropertyInfo propertyInfo;

See Also

FKEditTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


FKEditTemplate Methods

The methods of the FKEditTemplate class are listed below. For a complete list of FKEditTemplate class members, see the FKEditTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

FKEditTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


FKEditTemplate.InstantiateIn Method

Method called when instantiating a TemplateColumn by using this ITemplate implementation

public void InstantiateIn(
Control container
);

Parameters

container
Container that instantiate this Template

Implements

ITemplate.InstantiateIn

See Also

FKEditTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


FKEditTemplate.TemplateControl_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void TemplateControl_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding
e
Arguments of the event

See Also

FKEditTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate Class

This class is used to map a property information into a cell, in a view-only fashion

For a list of all members of this type, see ItemTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.ItemTemplate

internal class ItemTemplate : ITemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

ItemTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate Members

ItemTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

ItemTemplate Constructor Constructor

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

propertyInfo Information of the property to map

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

cb_DataBinding | DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.
ldate_DataBinding |
LinkButton_DataBinding |
TemplateControl_DataBinding | DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate Constructor

Constructor

public ItemTemplate(
PropertyInfo propertyInfo
);

Parameters

propertyInfo
Information of the property to map

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate Fields

The fields of the ItemTemplate class are listed below. For a complete list of ItemTemplate class members, see the ItemTemplate Members topic.

Protected Instance Fields

propertyInfo Information of the property to map

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate.propertyInfo Field

Information of the property to map

protected PropertyInfo propertyInfo;

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate Methods

The methods of the ItemTemplate class are listed below. For a complete list of ItemTemplate class members, see the ItemTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

cb_DataBinding | DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.
ldate_DataBinding |
LinkButton_DataBinding |
TemplateControl_DataBinding | DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate.cb_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void cb_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding
e
Arguments of the event

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate.InstantiateIn Method

Method called when instantiating a TemplateColumn by using this ITemplate implementation

public void InstantiateIn(
Control container
);

Parameters

container
Container that instantiate this Template

Implements

ITemplate.InstantiateIn

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate.ldate_DataBinding Method

private void ldate_DataBinding(
object sender,
EventArgs e
);

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate.LinkButton_DataBinding Method

private void LinkButton_DataBinding(
object sender,
EventArgs e
);

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ItemTemplate.TemplateControl_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void TemplateControl_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding
e
Arguments of the event

See Also

ItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


PercentItemTemplate Class

This template build a cell inserting a progress bar control. Mainly used for Properties marked with the XPercent attribute

For a list of all members of this type, see PercentItemTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.PercentItemTemplate

internal class PercentItemTemplate : ITemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

PercentItemTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


PercentItemTemplate Members

PercentItemTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

PercentItemTemplate Constructor Constructor

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

propertyInfo Information of the property to map

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

PercentItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


PercentItemTemplate Constructor

Constructor

public PercentItemTemplate(
PropertyInfo propertyInfo
);

Parameters

propertyInfo
Information of the property to map

See Also

PercentItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


PercentItemTemplate Fields

The fields of the PercentItemTemplate class are listed below. For a complete list of PercentItemTemplate class members, see the PercentItemTemplate Members topic.

Protected Instance Fields

propertyInfo Information of the property to map

See Also

PercentItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


PercentItemTemplate.propertyInfo Field

Information of the property to map

protected PropertyInfo propertyInfo;

See Also

PercentItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


PercentItemTemplate Methods

The methods of the PercentItemTemplate class are listed below. For a complete list of PercentItemTemplate class members, see the PercentItemTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

PercentItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


PercentItemTemplate.InstantiateIn Method

Method called when instantiating a TemplateColumn by using this ITemplate implementation

public void InstantiateIn(
Control container
);

Parameters

container
Container that instantiate this Template

Implements

ITemplate.InstantiateIn

See Also

PercentItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


PercentItemTemplate.TemplateControl_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void TemplateControl_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding
e
Arguments of the event

See Also

PercentItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


SearchItemTemplate Class

Template to represent a search over an AdminElement control.

For a list of all members of this type, see SearchItemTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.ElemTemplate
ShowX.Web.WebBuilders.ItemTemplates.SearchItemTemplate

public class SearchItemTemplate : ElemTemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

SearchItemTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


SearchItemTemplate Members

SearchItemTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

SearchItemTemplate Constructor Constructor.

Public Instance Methods

BuildButtons | Build buttons associated to this control.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn (inherited from ElemTemplate) | Instanciate the template in a given container.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

owner (inherited from ElemTemplate) Keep track of the AdminElement owner of this template.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

SearchItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


SearchItemTemplate Constructor

Constructor.

public SearchItemTemplate(
Type type,
AdminElement owner
);

Parameters

type
Type associated to owner control.
owner
AdminElement owner of this template.

See Also

SearchItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


SearchItemTemplate Methods

The methods of the SearchItemTemplate class are listed below. For a complete list of SearchItemTemplate class members, see the SearchItemTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

BuildButtons | Build buttons associated to this control.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn (inherited from ElemTemplate) | Instanciate the template in a given container.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

SearchItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


SearchItemTemplate.BuildButtons Method

Build buttons associated to this control.

public override void BuildButtons(
TableRow tableRow
);

Parameters

tableRow
Table Row where to locate buttons.

See Also

SearchItemTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


TextTemplate Class

This class is used to map the exact evaluation of a property onto the cell. The advantage of passing a string instead of a PropertyInfo is that you can use nested properties (i.e, populate cell with Property1.Property2 where Property1 is the name of a property in the ShowX object, and Property2 is the name of a property from the type returned by Property1).

For a list of all members of this type, see TextTemplate Members.

System.Object
ShowX.Web.WebBuilders.ItemTemplates.TextTemplate

internal class TextTemplate : ITemplate

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebBuilders.ItemTemplates

Assembly: ShowX (in ShowX.dll)

See Also

TextTemplate Members | ShowX.Web.WebBuilders.ItemTemplates Namespace


TextTemplate Members

TextTemplate overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

TextTemplate Constructor Constructor for TextTemplate

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Fields

idPropertyName Name of the property(ies) to map

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

TextTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


TextTemplate Constructor

Constructor for TextTemplate

public TextTemplate(
string idPropertyName
);

Parameters

idPropertyName
Name of the property to map

See Also

TextTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


TextTemplate Fields

The fields of the TextTemplate class are listed below. For a complete list of TextTemplate class members, see the TextTemplate Members topic.

Protected Instance Fields

idPropertyName Name of the property(ies) to map

See Also

TextTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


TextTemplate.idPropertyName Field

Name of the property(ies) to map

protected string idPropertyName;

See Also

TextTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


TextTemplate Methods

The methods of the TextTemplate class are listed below. For a complete list of TextTemplate class members, see the TextTemplate Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
InstantiateIn | Method called when instantiating a TemplateColumn by using this ITemplate implementation
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Methods

TemplateControl_DataBinding DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

See Also

TextTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


TextTemplate.InstantiateIn Method

Method called when instantiating a TemplateColumn by using this ITemplate implementation

public void InstantiateIn(
Control container
);

Parameters

container
Container that instantiate this Template

Implements

ITemplate.InstantiateIn

See Also

TextTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


TextTemplate.TemplateControl_DataBinding Method

DataBinding Event related with a control of the template. Very useful to assign correct values to template controls.

private void TemplateControl_DataBinding(
object sender,
EventArgs e
);

Parameters

sender
Sender who invoke the data binding
e
Arguments of the event

See Also

TextTemplate Class | ShowX.Web.WebBuilders.ItemTemplates Namespace


ShowX.Web.WebControls

ShowX Class Library Documentation

ShowX.Web.WebControls Namespace

Namespace hierarchy

Classes

Class | Description
AdminElement | AdminElement allow to add or search elements of a certain type.
AdminElementEventArgs | AdminElementEventArgs define the argument information needed when the AdminElement event occurs.
Calendar | Calendar control define a compound control with a Web Calendar and a label.
ChangePassword | ChangePassword control defines a box useful to update a user password, with equality checking.
CheckBoxList | CheckBoxList control define a compound control with a Web Calendar and a label.
CmpByProperty | This class is in charge of compare two types of elements, for sorting over DataGrid
DataGrid | DataGrid control inherit from System.Web.UI.WebControls.DataGrid and builds himself from an ShowX type. The paging, sorting, editing and update of the elements are automatically done.
ProgressBar | ProgressBar show result as a percent of the total.
TextField | ChangePassword control defines a box useful to update a user password, with equality checking.
ValidatedControl | Base class for ShowX web controls that includes custom validation.

Delegates

Delegate | Description
OnAddElemEventHandler | Delegate to represent event to raise when a new element is added via the AdminElement control.
OnDeleteElemEventHandler | Delegate to represent event to raise when queried results are obtained.
OnQueryResultEventHandler | Delegate to represent event to raise when queried results are obtained.

Enumerations

Enumeration | Description
DataGridOps | Enumerates the valid operations to enable on an ShowX DataGrid.
ElemOps | Represent the operations available to do with an adminElement control.


AdminElement Class

AdminElement allow to add or search elements of a certain type.

For a list of all members of this type, see AdminElement Members.

System.Object
System.Web.UI.Control
System.Web.UI.WebControls.WebControl
System.Web.UI.WebControls.BaseDataList
System.Web.UI.WebControls.DataList
ShowX.Web.WebControls.AdminElement

[ToolboxData(Data="<{0}:AdminElement runat=server></{0}:AdminElement>", TypeId=System.Web.UI.ToolboxDataAttribute)]
[DefaultProperty(Name="Text", TypeId=System.ComponentModel.DefaultPropertyAttribute)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.WebControls.DataListDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
[Editor(EditorBaseTypeName="System.ComponentModel.ComponentEditor, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089", EditorTypeName="System.Web.UI.Design.WebControls.DataListComponentEditor, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.EditorAttributeSystem.ComponentModel.ComponentEditor)]
[DefaultEvent(Name="SelectedIndexChanged", TypeId=System.ComponentModel.DefaultEventAttribute)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.WebControls.BaseDataListDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
[PersistChildren(Persist=False, TypeId=System.Web.UI.PersistChildrenAttribute)]
[ParseChildren(ChildrenAsProperties=True, TypeId=System.Web.UI.ParseChildrenAttribute)]
[ToolboxItem(ToolboxItemType=System.Web.UI.Design.WebControlToolboxItem, ToolboxItemTypeName="System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.ToolboxItemAttribute)]
[DesignerSerializer(SerializerTypeName="Microsoft.VSDesigner.WebForms.ControlCodeDomSerializer, Microsoft.VSDesigner, Version=7.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", SerializerBaseTypeName="System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.Design.Serialization.DesignerSerializerAttributeSystem.ComponentModel.Design.Serialization.CodeDomSerializer)]
[ToolboxItemFilter(FilterString="System.Web.UI", FilterType=ToolboxItemFilterType.Require, TypeId=System.ComponentModel.ToolboxItemFilterAttributeSystem.Web.UI)]
[DesignerCategory(Category="Code", TypeId=System.ComponentModel.DesignerCategoryAttributeCode)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.ControlDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
public class AdminElement : DataList

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

AdminElement Members | ShowX.Web.WebControls Namespace


AdminElement Members

AdminElement overview

Public Static Fields

CancelCommandName (inherited from DataList) | Represents the Cancel command name. This field is read-only.
DeleteCommandName (inherited from DataList) | Represents the Delete command name. This field is read-only.
EditCommandName (inherited from DataList) | Represents the Edit command name. This field is read-only.
SelectCommandName (inherited from DataList) | Represents the Select command name. This field is read-only.
UpdateCommandName (inherited from DataList) | Represents the Update command name. This field is read-only.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
IsBindableType (inherited from BaseDataList) | Determines whether the specified data type is bindable to a list control that derives from the BaseDataList class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

AdminElement Constructor Initializes a new instance of the AdminElement class.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
AlternatingItemStyle (inherited from DataList) | Gets the style properties for alternating items in the DataList control.
AlternatingItemTemplate (inherited from DataList) | Gets or sets the template for alternating items in the DataList.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
CellPadding (inherited from BaseDataList) | Gets or sets the amount of space between the contents of a cell and the cell's border.
CellSpacing (inherited from BaseDataList) | Gets or sets the amount of space between cells.
ChildControlStyle | Style assigned to child controls.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from BaseDataList) | Gets a ControlCollection that contains a collection of child controls in a data listing control.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
DataKeyField (inherited from BaseDataList) | Gets or sets the key field in the data source specified by the DataSource property.
DataKeys (inherited from BaseDataList) | Gets a DataKeyCollection that stores the key values of each record (displayed as a row) in a data listing control.
DataMember (inherited from BaseDataList) | Gets or sets the specific data member in a multimember data source to bind to a data listing control.
DataSource (inherited from BaseDataList) | Gets or sets the source containing a list of values used to populate the items within the control.
EditItemIndex (inherited from DataList) | Gets or sets the index number of the selected item in the DataList control to edit.
EditItemStyle (inherited from DataList) | Gets the style properties for the item selected for editing in the DataList control.
EditItemTemplate (inherited from DataList) | Gets or sets the template for the item selected for editing in the DataList control.
ElemOps | Reflex the operation assigned to this Control.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
ExtractTemplateRows (inherited from DataList) | Gets or sets a value that indicates whether the rows of a Table control, defined in each template of a DataList control, are extracted and displayed.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
FooterStyle (inherited from DataList) | Gets the style properties for the footer section of the DataList control.
FooterTemplate (inherited from DataList) | Gets or sets the template for the footer section of the DataList control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
GridLines (inherited from DataList) | Gets or sets the grid line style for the DataList control when the RepeatLayout property is set to RepeatLayout.Table.
HeaderStyle (inherited from DataList) | Gets the style properties for the heading section of the DataList control.
HeaderTemplate (inherited from DataList) | Gets or sets the template for the heading section of the DataList control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
HorizontalAlign (inherited from BaseDataList) | Gets or sets the horizontal alignment of a data listing control within its container.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Items (inherited from DataList) | Gets a collection of DataListItem objects representing the individual items within the control.
ItemStyle (inherited from DataList) | Gets the style properties for the items in the DataList control.
ItemTemplate (inherited from DataList) | Gets or sets the template for the items in the DataList control.
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
RepeatColumns (inherited from DataList) | Gets or sets the number of columns to display in the DataList control.
RepeatDirection (inherited from DataList) | Gets or sets whether the DataList control displays vertically or horizontally.
RepeatLayout (inherited from DataList) | Gets or sets whether the control is displayed in a table or flow layout.
SelectedIndex (inherited from DataList) | Gets or sets the index of the selected item in the DataList control.
SelectedItem (inherited from DataList) | Gets the selected item in the DataList control.
SelectedItemStyle (inherited from DataList) | Gets the style properties for the selected item in the DataList control.
SelectedItemTemplate (inherited from DataList) | Gets or sets the template for the selected item in the DataList control.
SeparatorStyle (inherited from DataList) | Gets the style properties of the separator between each item in the DataList control.
SeparatorTemplate (inherited from DataList) | Gets or sets the template for the separator between the items of the DataList control.
ShowFooter (inherited from DataList) | Gets or sets a value indicating whether the footer section is displayed in the DataList control.
ShowHeader (inherited from DataList) | Gets or sets a value indicating whether the header section is displayed in the DataList control.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
Type | Reflex the ShowX type assigned to this Control
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.
XContext | Reflex whether the context in wich occurs the operations over this control.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from BaseDataList) | Binds the control and all its child controls to the data source specified by the DataSource property.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.

Public Instance Events

CancelCommand (inherited from DataList) | Occurs when the Cancel button is clicked for an item in the DataList control.
DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
DeleteCommand (inherited from DataList) | Occurs when the Delete button is clicked for an item in the DataList control.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
EditCommand (inherited from DataList) | Occurs when the Edit button is clicked for an item in the DataList control.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
ItemCommand (inherited from DataList) | Occurs when any button is clicked in the DataList control.
ItemCreated (inherited from DataList) | Occurs on the server when an item in the DataList control is created.
ItemDataBound (inherited from DataList) | Occurs when an item is data bound to the DataList control.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
OnAddElement | Event to to raise when an element is added.
OnQueryResult | Event to to raise when queried results are obtained.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
SelectedIndexChanged (inherited from BaseDataList) | Occurs when a different item is selected in a data listing control between posts to the server.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.
UpdateCommand (inherited from DataList) | Occurs when the Update button is clicked for an item in the DataList control.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
DataKeysArray (inherited from BaseDataList) |
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from BaseDataList)
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls | CreateChildControls create the columns of the Control.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlHierarchy (inherited from DataList)
CreateControlStyle (inherited from DataList)
CreateItem (inherited from DataList)
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
InitializeItem (inherited from DataList)
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from DataList)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from DataList)
OnCancelCommand (inherited from DataList) | Raises the CancelCommand event. This allows you to provide a custom handler for the event.
OnDataBinding (inherited from BaseDataList)
OnDeleteCommand (inherited from DataList) | Raises the DeleteCommand event. This allows you to provide a custom handler for the event.
OnEditCommand (inherited from DataList) | Raises the EditCommand event. This allows you to provide a custom handler for the event.
OnInit (inherited from Control) | Raises the Init event.
OnItemCommand (inherited from DataList) | Raises the ItemCommand event. This allows you to provide a custom handler for the event.
OnItemCreated (inherited from DataList) | Raises the ItemCreated event. This allows you to provide a custom handler for the event.
OnItemDataBound (inherited from DataList) | Raises the ItemDataBound event. This allows you to provide a custom handler for the event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnSelectedIndexChanged (inherited from BaseDataList) | Raises the SelectedIndexChanged event of a BaseDataList. This allows you to create a custom handler for the event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
OnUpdateCommand (inherited from DataList) | Raises the UpdateCommand event. This allows you to provide a custom handler for the event.
PrepareControlHierarchy (inherited from DataList)
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render (inherited from BaseDataList)
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from DataList)
SaveViewState (inherited from DataList)
TrackViewState (inherited from DataList)

Internal Instance Fields

_page (inherited from Control)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Private Instance Fields

childControlStyle
context

Private Instance Methods

dl_ItemCommand |
execAdd |
execSearch |
filterMatching | Overloaded.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)
IRepeatInfoUser.GetItemStyle (inherited from DataList)
IRepeatInfoUser.RenderItem (inherited from DataList)

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement Constructor

Initializes a new instance of the AdminElement class.

public AdminElement();

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement Fields

The fields of the AdminElement class are listed below. For a complete list of AdminElement class members, see the AdminElement Members topic.

Public Static Fields

CancelCommandName (inherited from DataList) | Represents the Cancel command name. This field is read-only.
DeleteCommandName (inherited from DataList) | Represents the Delete command name. This field is read-only.
EditCommandName (inherited from DataList) | Represents the Edit command name. This field is read-only.
SelectCommandName (inherited from DataList) | Represents the Select command name. This field is read-only.
UpdateCommandName (inherited from DataList) | Represents the Update command name. This field is read-only.

Internal Instance Fields

_page (inherited from Control)

Private Instance Fields

childControlStyle
context

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)
IRepeatInfoUser.GetItemStyle (inherited from DataList)
IRepeatInfoUser.RenderItem (inherited from DataList)

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.ChildControlStyle Property

Style assigned to child controls.

[Category(Category="Style", TypeId=System.ComponentModel.CategoryAttribute)]
[TemplateContainer(ContainerType=ShowX.Web.WebControls.AdminElement, TypeId=System.Web.UI.TemplateContainerAttribute)]
[Bindable(Bindable=True, TypeId=System.ComponentModel.BindableAttribute)]
[Browsable(Browsable=True, TypeId=System.ComponentModel.BrowsableAttribute)]
[PersistenceMode(Mode=PersistenceMode.InnerProperty, TypeId=System.Web.UI.PersistenceModeAttribute)]
public System.Web.UI.WebControls.TableItemStyle ChildControlStyle {get; set;}

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.context Field

private object context;

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement Properties

The properties of the AdminElement class are listed below. For a complete list of AdminElement class members, see the AdminElement Members topic.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
AlternatingItemStyle (inherited from DataList) | Gets the style properties for alternating items in the DataList control.
AlternatingItemTemplate (inherited from DataList) | Gets or sets the template for alternating items in the DataList.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
CellPadding (inherited from BaseDataList) | Gets or sets the amount of space between the contents of a cell and the cell's border.
CellSpacing (inherited from BaseDataList) | Gets or sets the amount of space between cells.
ChildControlStyle | Style assigned to child controls.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from BaseDataList) | Gets a ControlCollection that contains a collection of child controls in a data listing control.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
DataKeyField (inherited from BaseDataList) | Gets or sets the key field in the data source specified by the DataSource property.
DataKeys (inherited from BaseDataList) | Gets a DataKeyCollection that stores the key values of each record (displayed as a row) in a data listing control.
DataMember (inherited from BaseDataList) | Gets or sets the specific data member in a multimember data source to bind to a data listing control.
DataSource (inherited from BaseDataList) | Gets or sets the source containing a list of values used to populate the items within the control.
EditItemIndex (inherited from DataList) | Gets or sets the index number of the selected item in the DataList control to edit.
EditItemStyle (inherited from DataList) | Gets the style properties for the item selected for editing in the DataList control.
EditItemTemplate (inherited from DataList) | Gets or sets the template for the item selected for editing in the DataList control.
ElemOps | Reflex the operation assigned to this Control.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
ExtractTemplateRows (inherited from DataList) | Gets or sets a value that indicates whether the rows of a Table control, defined in each template of a DataList control, are extracted and displayed.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
FooterStyle (inherited from DataList) | Gets the style properties for the footer section of the DataList control.
FooterTemplate (inherited from DataList) | Gets or sets the template for the footer section of the DataList control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
GridLines (inherited from DataList) | Gets or sets the grid line style for the DataList control when the RepeatLayout property is set to RepeatLayout.Table.
HeaderStyle (inherited from DataList) | Gets the style properties for the heading section of the DataList control.
HeaderTemplate (inherited from DataList) | Gets or sets the template for the heading section of the DataList control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
HorizontalAlign (inherited from BaseDataList) | Gets or sets the horizontal alignment of a data listing control within its container.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Items (inherited from DataList) | Gets a collection of DataListItem objects representing the individual items within the control.
ItemStyle (inherited from DataList) | Gets the style properties for the items in the DataList control.
ItemTemplate (inherited from DataList) | Gets or sets the template for the items in the DataList control.
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
RepeatColumns (inherited from DataList) | Gets or sets the number of columns to display in the DataList control.
RepeatDirection (inherited from DataList) | Gets or sets whether the DataList control displays vertically or horizontally.
RepeatLayout (inherited from DataList) | Gets or sets whether the control is displayed in a table or flow layout.
SelectedIndex (inherited from DataList) | Gets or sets the index of the selected item in the DataList control.
SelectedItem (inherited from DataList) | Gets the selected item in the DataList control.
SelectedItemStyle (inherited from DataList) | Gets the style properties for the selected item in the DataList control.
SelectedItemTemplate (inherited from DataList) | Gets or sets the template for the selected item in the DataList control.
SeparatorStyle (inherited from DataList) | Gets the style properties of the separator between each item in the DataList control.
SeparatorTemplate (inherited from DataList) | Gets or sets the template for the separator between the items of the DataList control.
ShowFooter (inherited from DataList) | Gets or sets a value indicating whether the footer section is displayed in the DataList control.
ShowHeader (inherited from DataList) | Gets or sets a value indicating whether the header section is displayed in the DataList control.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
Type | Reflex the ShowX type assigned to this Control
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.
XContext | Reflex whether the context in wich occurs the operations over this control.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
DataKeysArray (inherited from BaseDataList) |
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)
IRepeatInfoUser.GetItemStyle (inherited from DataList)
IRepeatInfoUser.RenderItem (inherited from DataList)

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.ElemOps Property

Reflex the operation assigned to this Control.

[DefaultValue(TypeId=System.ComponentModel.DefaultValueAttribute)]
[Bindable(Bindable=True, TypeId=System.ComponentModel.BindableAttribute)]
[Category(Category="Business", TypeId=System.ComponentModel.CategoryAttribute)]
public ElemOps ElemOps {get; set;}

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.Type Property

Reflex the ShowX type assigned to this Control

[Category(Category="Business", TypeId=System.ComponentModel.CategoryAttribute)]
[DefaultValue(TypeId=System.ComponentModel.DefaultValueAttribute)]
[Bindable(Bindable=True, TypeId=System.ComponentModel.BindableAttribute)]
public System.Type Type {get; set;}

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.XContext Property

Reflex whether the context in wich occurs the operations over this control.

public object XContext {get; set;}

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement Methods

The methods of the AdminElement class are listed below. For a complete list of AdminElement class members, see the AdminElement Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
IsBindableType (inherited from BaseDataList) | Determines whether the specified data type is bindable to a list control that derives from the BaseDataList class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from BaseDataList) | Binds the control and all its child controls to the data source specified by the DataSource property.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from BaseDataList)
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls | CreateChildControls create the columns of the Control.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlHierarchy (inherited from DataList)
CreateControlStyle (inherited from DataList)
CreateItem (inherited from DataList)
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
InitializeItem (inherited from DataList)
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from DataList)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from DataList)
OnCancelCommand (inherited from DataList) | Raises the CancelCommand event. This allows you to provide a custom handler for the event.
OnDataBinding (inherited from BaseDataList)
OnDeleteCommand (inherited from DataList) | Raises the DeleteCommand event. This allows you to provide a custom handler for the event.
OnEditCommand (inherited from DataList) | Raises the EditCommand event. This allows you to provide a custom handler for the event.
OnInit (inherited from Control) | Raises the Init event.
OnItemCommand (inherited from DataList) | Raises the ItemCommand event. This allows you to provide a custom handler for the event.
OnItemCreated (inherited from DataList) | Raises the ItemCreated event. This allows you to provide a custom handler for the event.
OnItemDataBound (inherited from DataList) | Raises the ItemDataBound event. This allows you to provide a custom handler for the event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnSelectedIndexChanged (inherited from BaseDataList) | Raises the SelectedIndexChanged event of a BaseDataList. This allows you to create a custom handler for the event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
OnUpdateCommand (inherited from DataList) | Raises the UpdateCommand event. This allows you to provide a custom handler for the event.
PrepareControlHierarchy (inherited from DataList)
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render (inherited from BaseDataList)
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from DataList)
SaveViewState (inherited from DataList)
TrackViewState (inherited from DataList)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Private Instance Methods

dl_ItemCommand |
execAdd |
execSearch |
filterMatching | Overloaded.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)
IRepeatInfoUser.GetItemStyle (inherited from DataList)
IRepeatInfoUser.RenderItem (inherited from DataList)

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.CreateChildControls Method

CreateChildControls create the columns of the Control.

protected override void CreateChildControls();

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.dl_ItemCommand Method

private void dl_ItemCommand(
object source,
DataListCommandEventArgs e
);

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.execAdd Method

private void execAdd(
DataListCommandEventArgs e
);

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.execSearch Method

private void execSearch(
DataListCommandEventArgs e
);

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


filterMatching Method

ShowX Class Library Documentation

AdminElement.filterMatching Method

Overload List

private ArrayList filterMatching(ArrayList,bool,PropertyInfo);

private ArrayList filterMatching(ArrayList,string,PropertyInfo);

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.filterMatching Method (ArrayList, Boolean, PropertyInfo)

private ArrayList filterMatching(
ArrayList matchElems,
bool condToMatch,
PropertyInfo pInfo
);

See Also

AdminElement Class | ShowX.Web.WebControls Namespace | AdminElement.filterMatching Overload List


AdminElement.filterMatching Method (ArrayList, String, PropertyInfo)

private ArrayList filterMatching(
ArrayList matchElems,
string textToMatch,
PropertyInfo pInfo
);

See Also

AdminElement Class | ShowX.Web.WebControls Namespace | AdminElement.filterMatching Overload List


AdminElement Events

The events of the AdminElement class are listed below. For a complete list of AdminElement class members, see the AdminElement Members topic.

Public Instance Events

CancelCommand (inherited from DataList) | Occurs when the Cancel button is clicked for an item in the DataList control.
DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
DeleteCommand (inherited from DataList) | Occurs when the Delete button is clicked for an item in the DataList control.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
EditCommand (inherited from DataList) | Occurs when the Edit button is clicked for an item in the DataList control.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
ItemCommand (inherited from DataList) | Occurs when any button is clicked in the DataList control.
ItemCreated (inherited from DataList) | Occurs on the server when an item in the DataList control is created.
ItemDataBound (inherited from DataList) | Occurs when an item is data bound to the DataList control.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
OnAddElement | Event to to raise when an element is added.
OnQueryResult | Event to to raise when queried results are obtained.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
SelectedIndexChanged (inherited from BaseDataList) | Occurs when a different item is selected in a data listing control between posts to the server.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.
UpdateCommand (inherited from DataList) | Occurs when the Update button is clicked for an item in the DataList control.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)
IRepeatInfoUser.GetItemStyle (inherited from DataList)
IRepeatInfoUser.RenderItem (inherited from DataList)

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.OnAddElement Event

Event to to raise when an element is added.

public event OnAddElemEventHandler OnAddElement;

Event Data

The event handler receives an argument of type AdminElementEventArgs containing data related to this event. The following AdminElementEventArgs property provides information specific to this event.

Property | Description
AddedElement | Expose the added element instance.

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElement.OnQueryResult Event

Event to to raise when queried results are obtained.

public event OnQueryResultEventHandler OnQueryResult;

See Also

AdminElement Class | ShowX.Web.WebControls Namespace


AdminElementEventArgs Class

AdminElementEventArgs define the argument information needed when the AdminElement event occurs.

For a list of all members of this type, see AdminElementEventArgs Members.

System.Object
System.EventArgs
ShowX.Web.WebControls.AdminElementEventArgs

public class AdminElementEventArgs : EventArgs

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

AdminElementEventArgs Members | ShowX.Web.WebControls Namespace


AdminElementEventArgs Members

AdminElementEventArgs overview

Public Static Fields

Empty (inherited from EventArgs) Represents an event with no event data.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

AdminElementEventArgs Constructor Constructor.

Public Instance Properties

AddedElement Expose the added element instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

addedElement

See Also

AdminElementEventArgs Class | ShowX.Web.WebControls Namespace


AdminElementEventArgs Constructor

Constructor.

public AdminElementEventArgs(
object addedElement
);

Parameters

addedElement
Element added by the control.

See Also

AdminElementEventArgs Class | ShowX.Web.WebControls Namespace


AdminElementEventArgs Fields

The fields of the AdminElementEventArgs class are listed below. For a complete list of AdminElementEventArgs class members, see the AdminElementEventArgs Members topic.

Public Static Fields

Empty (inherited from EventArgs) Represents an event with no event data.

Private Instance Fields

addedElement

See Also

AdminElementEventArgs Class | ShowX.Web.WebControls Namespace


AdminElementEventArgs.AddedElement Property

Expose the added element instance.

public object AddedElement {get;}

See Also

AdminElementEventArgs Class | ShowX.Web.WebControls Namespace


AdminElementEventArgs Properties

The properties of the AdminElementEventArgs class are listed below. For a complete list of AdminElementEventArgs class members, see the AdminElementEventArgs Members topic.

Public Instance Properties

AddedElement Expose the added element instance.

See Also

AdminElementEventArgs Class | ShowX.Web.WebControls Namespace


Calendar Class

Calendar control define a compound control with a Web Calendar and a label.

For a list of all members of this type, see Calendar Members.

System.Object
System.Web.UI.Control
System.Web.UI.WebControls.WebControl
ShowX.Web.WebControls.ValidatedControl
ShowX.Web.WebControls.Calendar

[DefaultProperty(Name="Text", TypeId=System.ComponentModel.DefaultPropertyAttribute)]
[ToolboxData(Data="<{0}:DataGrid runat=server></{0}:DataGrid>", TypeId=System.Web.UI.ToolboxDataAttribute)]
[PersistChildren(Persist=False, TypeId=System.Web.UI.PersistChildrenAttribute)]
[ParseChildren(ChildrenAsProperties=True, TypeId=System.Web.UI.ParseChildrenAttribute)]
[ToolboxItem(ToolboxItemType=System.Web.UI.Design.WebControlToolboxItem, ToolboxItemTypeName="System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.ToolboxItemAttribute)]
[DesignerSerializer(SerializerTypeName="Microsoft.VSDesigner.WebForms.ControlCodeDomSerializer, Microsoft.VSDesigner, Version=7.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", SerializerBaseTypeName="System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.Design.Serialization.DesignerSerializerAttributeSystem.ComponentModel.Design.Serialization.CodeDomSerializer)]
[ToolboxItemFilter(FilterString="System.Web.UI", FilterType=ToolboxItemFilterType.Require, TypeId=System.ComponentModel.ToolboxItemFilterAttributeSystem.Web.UI)]
[DesignerCategory(Category="Code", TypeId=System.ComponentModel.DesignerCategoryAttributeCode)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.ControlDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
public class Calendar : ValidatedControl

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

Calendar Members | ShowX.Web.WebControls Namespace


Calendar Members

Calendar overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

Calendar Constructor Constructor.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
CollectionMap | Collection mapping associated to this control.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Message (inherited from ValidatedControl) | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
SelectedDate | Expose the selected date. control.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated (inherited from ValidatedControl) | Reflex the state of the control, according to validation
Validators (inherited from ValidatedControl) | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Merge current styles with a new one.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle (inherited from ValidatedControl) | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the selection over the list box match restrictions.

Public Instance Events

DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.

Protected Instance Fields

activationBtn | Button to activate jsCalendar.
calendarText | Represents the date text.
messageL (inherited from ValidatedControl) | Message to show when text don't validate
propertyInfo | Property info instance associated to collection property.
validators (inherited from ValidatedControl) | Validators associated to this control

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls | Create child controls for this control.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad | OnLoad event handler.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Fields

_page (inherited from Control)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar Constructor

Constructor.

public Calendar(
PropertyInfo propertyInfo
);

Parameters

propertyInfo
Property info instance associated to collection property.

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar Fields

The fields of the Calendar class are listed below. For a complete list of Calendar class members, see the Calendar Members topic.

Protected Instance Fields

activationBtn | Button to activate jsCalendar.
calendarText | Represents the date text.
messageL (inherited from ValidatedControl) | Message to show when text don't validate
propertyInfo | Property info instance associated to collection property.
validators (inherited from ValidatedControl) | Validators associated to this control

Internal Instance Fields

_page (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.activationBtn Field

Button to activate jsCalendar.

protected HtmlButton activationBtn;

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.calendarText Field

Represents the date text.

protected TextBox calendarText;

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.propertyInfo Field

Property info instance associated to collection property.

protected PropertyInfo propertyInfo;

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar Properties

The properties of the Calendar class are listed below. For a complete list of Calendar class members, see the Calendar Members topic.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
CollectionMap | Collection mapping associated to this control.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Message (inherited from ValidatedControl) | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
SelectedDate | Expose the selected date. control.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated (inherited from ValidatedControl) | Reflex the state of the control, according to validation
Validators (inherited from ValidatedControl) | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.CollectionMap Property

Collection mapping associated to this control.

public ShowX.Model.ICollectionMap CollectionMap {get;}

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.SelectedDate Property

Expose the selected date. control.

public string SelectedDate {get; set;}

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar Methods

The methods of the Calendar class are listed below. For a complete list of Calendar class members, see the Calendar Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Merge current styles with a new one.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle (inherited from ValidatedControl) | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the selection over the list box match restrictions.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls | Create child controls for this control.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad | OnLoad event handler.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.CreateChildControls Method

Create child controls for this control.

protected override void CreateChildControls();

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.MergeControlStyle Method

Merge current styles with a new one.

public override void MergeControlStyle(
Style style
);

Parameters

style
New style to merge.

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.OnLoad Method

OnLoad event handler.

protected override void OnLoad(
EventArgs e
);

Parameters

e
Arguments for the OnLoad event.

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.Render Method

Method Render is in charge of render the control to html code

protected override void Render(
HtmlTextWriter writer
);

Parameters

writer
Writer to output html code

See Also

Calendar Class | ShowX.Web.WebControls Namespace


Calendar.Validate Method

Allow to check whether the selection over the list box match restrictions.

public override bool Validate(
object context
);

Return Value

True if the selection match restrictions, false otherwise.

See Also

Calendar Class | ShowX.Web.WebControls Namespace


ChangePassword Class

ChangePassword control defines a box useful to update a user password, with equality checking.

For a list of all members of this type, see ChangePassword Members.

System.Object
System.Web.UI.Control
System.Web.UI.WebControls.WebControl
ShowX.Web.WebControls.ValidatedControl
ShowX.Web.WebControls.ChangePassword

[DefaultProperty(Name="Text", TypeId=System.ComponentModel.DefaultPropertyAttribute)]
[ToolboxData(Data="<{0}:ChangePassword runat=server></{0}:ChangePassword>", TypeId=System.Web.UI.ToolboxDataAttribute)]
[PersistChildren(Persist=False, TypeId=System.Web.UI.PersistChildrenAttribute)]
[ParseChildren(ChildrenAsProperties=True, TypeId=System.Web.UI.ParseChildrenAttribute)]
[ToolboxItem(ToolboxItemType=System.Web.UI.Design.WebControlToolboxItem, ToolboxItemTypeName="System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.ToolboxItemAttribute)]
[DesignerSerializer(SerializerTypeName="Microsoft.VSDesigner.WebForms.ControlCodeDomSerializer, Microsoft.VSDesigner, Version=7.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", SerializerBaseTypeName="System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.Design.Serialization.DesignerSerializerAttributeSystem.ComponentModel.Design.Serialization.CodeDomSerializer)]
[ToolboxItemFilter(FilterString="System.Web.UI", FilterType=ToolboxItemFilterType.Require, TypeId=System.ComponentModel.ToolboxItemFilterAttributeSystem.Web.UI)]
[DesignerCategory(Category="Code", TypeId=System.ComponentModel.DesignerCategoryAttributeCode)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.ControlDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
public class ChangePassword : ValidatedControl

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

ChangePassword Members | ShowX.Web.WebControls Namespace


ChangePassword Members

ChangePassword overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

ChangePassword Constructor Constructor

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Message (inherited from ValidatedControl) | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
Password | Reflex the password value
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated (inherited from ValidatedControl) | Reflex the state of the control, according to validation
Validators (inherited from ValidatedControl) | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Merge current styles with a new one.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle (inherited from ValidatedControl) | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the password entered are te same

Public Instance Events

DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.

Protected Instance Fields

messageL (inherited from ValidatedControl) | Message to show when text don't validate
passTB1 | Textbox to store password
passTB2 | Textbox to store confirmation of password
validators (inherited from ValidatedControl) | Validators associated to this control

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls (inherited from Control) | Notifies server controls that use composition-based implementation to create any child controls they contain in preparation for posting back or rendering.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Fields

_page (inherited from Control)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword Constructor

Constructor

public ChangePassword();

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword Fields

The fields of the ChangePassword class are listed below. For a complete list of ChangePassword class members, see the ChangePassword Members topic.

Protected Instance Fields

messageL (inherited from ValidatedControl) | Message to show when text don't validate
passTB1 | Textbox to store password
passTB2 | Textbox to store confirmation of password
validators (inherited from ValidatedControl) | Validators associated to this control

Internal Instance Fields

_page (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword.passTB1 Field

Textbox to store password

protected TextBox passTB1;

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword.passTB2 Field

Textbox to store confirmation of password

protected TextBox passTB2;

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword Properties

The properties of the ChangePassword class are listed below. For a complete list of ChangePassword class members, see the ChangePassword Members topic.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Message (inherited from ValidatedControl) | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
Password | Reflex the password value
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated (inherited from ValidatedControl) | Reflex the state of the control, according to validation
Validators (inherited from ValidatedControl) | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword.Password Property

Reflex the password value

public string Password {get;}

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword Methods

The methods of the ChangePassword class are listed below. For a complete list of ChangePassword class members, see the ChangePassword Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Merge current styles with a new one.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle (inherited from ValidatedControl) | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the password entered are te same

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls (inherited from Control) | Notifies server controls that use composition-based implementation to create any child controls they contain in preparation for posting back or rendering.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword.MergeControlStyle Method

Merge current styles with a new one.

public override void MergeControlStyle(
Style style
);

Parameters

style
New style to merge.

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword.Render Method

Method Render is in charge of render the control to html code

protected override void Render(
HtmlTextWriter writer
);

Parameters

writer
Writer to output html code

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


ChangePassword.Validate Method

Allow to check whether the password entered are te same

public override bool Validate(
object context
);

Return Value

True if the input value is te same, false otherwise

See Also

ChangePassword Class | ShowX.Web.WebControls Namespace


CheckBoxList Class

CheckBoxList control define a compound control with a Web Calendar and a label.

For a list of all members of this type, see CheckBoxList Members.

System.Object
System.Web.UI.Control
System.Web.UI.WebControls.WebControl
ShowX.Web.WebControls.ValidatedControl
ShowX.Web.WebControls.CheckBoxList

[DefaultProperty(Name="Text", TypeId=System.ComponentModel.DefaultPropertyAttribute)]
[ToolboxData(Data="<{0}:DataGrid runat=server></{0}:DataGrid>", TypeId=System.Web.UI.ToolboxDataAttribute)]
[PersistChildren(Persist=False, TypeId=System.Web.UI.PersistChildrenAttribute)]
[ParseChildren(ChildrenAsProperties=True, TypeId=System.Web.UI.ParseChildrenAttribute)]
[ToolboxItem(ToolboxItemType=System.Web.UI.Design.WebControlToolboxItem, ToolboxItemTypeName="System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.ToolboxItemAttribute)]
[DesignerSerializer(SerializerTypeName="Microsoft.VSDesigner.WebForms.ControlCodeDomSerializer, Microsoft.VSDesigner, Version=7.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", SerializerBaseTypeName="System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.Design.Serialization.DesignerSerializerAttributeSystem.ComponentModel.Design.Serialization.CodeDomSerializer)]
[ToolboxItemFilter(FilterString="System.Web.UI", FilterType=ToolboxItemFilterType.Require, TypeId=System.ComponentModel.ToolboxItemFilterAttributeSystem.Web.UI)]
[DesignerCategory(Category="Code", TypeId=System.ComponentModel.DesignerCategoryAttributeCode)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.ControlDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
public class CheckBoxList : ValidatedControl

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

CheckBoxList Members | ShowX.Web.WebControls Namespace


CheckBoxList Members

CheckBoxList overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

CheckBoxList Constructor Constructor.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
CollectionMap | Collection mapping associated to this control.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Items | Expose by delegation the Items collection of the contained CheckBoxList control.
Message (inherited from ValidatedControl) | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated (inherited from ValidatedControl) | Reflex the state of the control, according to validation
Validators (inherited from ValidatedControl) | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Merge current styles with a new one.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle (inherited from ValidatedControl) | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the selection over the list box match restrictions.

Public Instance Events

DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.

Protected Instance Fields

cblist | CheckBoxList control contained by this control.
messageL (inherited from ValidatedControl) | Message to show when text don't validate
propertyInfo | Property info instance associated to collection property.
validators (inherited from ValidatedControl) | Validators associated to this control

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls | Create child controls for this control.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Fields

_page (inherited from Control)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList Constructor

Constructor.

public CheckBoxList(
PropertyInfo propertyInfo
);

Parameters

propertyInfo
Property info instance associated to collection property.

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList Fields

The fields of the CheckBoxList class are listed below. For a complete list of CheckBoxList class members, see the CheckBoxList Members topic.

Protected Instance Fields

cblist | CheckBoxList control contained by this control.
messageL (inherited from ValidatedControl) | Message to show when text don't validate
propertyInfo | Property info instance associated to collection property.
validators (inherited from ValidatedControl) | Validators associated to this control

Internal Instance Fields

_page (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList.cblist Field

CheckBoxList control contained by this control.

protected CheckBoxList cblist;

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList.propertyInfo Field

Property info instance associated to collection property.

protected PropertyInfo propertyInfo;

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList Properties

The properties of the CheckBoxList class are listed below. For a complete list of CheckBoxList class members, see the CheckBoxList Members topic.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
CollectionMap | Collection mapping associated to this control.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Items | Expose by delegation the Items collection of the contained CheckBoxList control.
Message (inherited from ValidatedControl) | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated (inherited from ValidatedControl) | Reflex the state of the control, according to validation
Validators (inherited from ValidatedControl) | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList.CollectionMap Property

Collection mapping associated to this control.

public ShowX.Model.ICollectionMap CollectionMap {get;}

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList.Items Property

Expose by delegation the Items collection of the contained CheckBoxList control.

public System.Web.UI.WebControls.ListItemCollection Items {get;}

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList Methods

The methods of the CheckBoxList class are listed below. For a complete list of CheckBoxList class members, see the CheckBoxList Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Merge current styles with a new one.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle (inherited from ValidatedControl) | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the selection over the list box match restrictions.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls | Create child controls for this control.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList.CreateChildControls Method

Create child controls for this control.

protected override void CreateChildControls();

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList.MergeControlStyle Method

Merge current styles with a new one.

public override void MergeControlStyle(
Style style
);

Parameters

style
New style to merge.

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList.Render Method

Method Render is in charge of render the control to html code

protected override void Render(
HtmlTextWriter writer
);

Parameters

writer
Writer to output html code

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CheckBoxList.Validate Method

Allow to check whether the selection over the list box match restrictions.

public override bool Validate(
object context
);

Return Value

True if the selection match restrictions, false otherwise.

See Also

CheckBoxList Class | ShowX.Web.WebControls Namespace


CmpByProperty Class

This class is in charge of compare two types of elements, for sorting over DataGrid

For a list of all members of this type, see CmpByProperty Members.

System.Object
ShowX.Web.WebControls.CmpByProperty

public class CmpByProperty : IComparer

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

CmpByProperty Members | ShowX.Web.WebControls Namespace


CmpByProperty Members

CmpByProperty overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

CmpByProperty Constructor Construcotr

Public Instance Methods

Compare | Compare two objects, with the sematic of the Compare method from IComparer interface. The comparison will not work if the type of the objects (the PropertyType of the propertyInfo associated to this class) is not a basic one or not implements the IComparable interface.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Private Instance Fields

invertSort | Keep track whether a normal or an invert comparison should be made
propertyInfo | Property to use on comparing

See Also

CmpByProperty Class | ShowX.Web.WebControls Namespace


CmpByProperty Constructor

Construcotr

public CmpByProperty(
PropertyInfo propertyInfo,
bool invertSort
);

Parameters

propertyInfo
Property to use on comparing
invertSort
Keep track whether a normal or an invert comparison should be made

See Also

CmpByProperty Class | ShowX.Web.WebControls Namespace


CmpByProperty Fields

The fields of the CmpByProperty class are listed below. For a complete list of CmpByProperty class members, see the CmpByProperty Members topic.

Private Instance Fields

invertSort | Keep track whether a normal or an invert comparison should be made
propertyInfo | Property to use on comparing

See Also

CmpByProperty Class | ShowX.Web.WebControls Namespace


CmpByProperty.invertSort Field

Keep track whether a normal or an invert comparison should be made

private bool invertSort;

See Also

CmpByProperty Class | ShowX.Web.WebControls Namespace


CmpByProperty.propertyInfo Field

Property to use on comparing

private PropertyInfo propertyInfo;

See Also

CmpByProperty Class | ShowX.Web.WebControls Namespace


CmpByProperty Methods

The methods of the CmpByProperty class are listed below. For a complete list of CmpByProperty class members, see the CmpByProperty Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

Compare | Compare two objects, with the sematic of the Compare method from IComparer interface. The comparison will not work if the type of the objects (the PropertyType of the propertyInfo associated to this class) is not a basic one or not implements the IComparable interface.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

CmpByProperty Class | ShowX.Web.WebControls Namespace


CmpByProperty.Compare Method

Compare two objects, with the sematic of the Compare method from IComparer interface. The comparison will not work if the type of the objects (the PropertyType of the propertyInfo associated to this class) is not a basic one or not implements the IComparable interface.

public int Compare(
object o1,
object o2
);

Parameters

o1
Object to compare
o2
Object to compare

Return Value

1 if o1 is greater than o2, -1 if o1 is less than o2, and 0 if o1 and o2 are equal

Implements

IComparer.Compare

See Also

CmpByProperty Class | ShowX.Web.WebControls Namespace


DataGrid Class

DataGrid control inherit from System.Web.UI.WebControls.DataGrid and builds himself from an ShowX type. The paging, sorting, editing and update of the elements are automatically done.

For a list of all members of this type, see DataGrid Members.

System.Object
System.Web.UI.Control
System.Web.UI.WebControls.WebControl
System.Web.UI.WebControls.BaseDataList
System.Web.UI.WebControls.DataGrid
ShowX.Web.WebControls.DataGrid

[DefaultProperty(Name="Text", TypeId=System.ComponentModel.DefaultPropertyAttribute)]
[ToolboxData(Data="<{0}:DataGrid runat=server></{0}:DataGrid>", TypeId=System.Web.UI.ToolboxDataAttribute)]
[Editor(EditorBaseTypeName="System.ComponentModel.ComponentEditor, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089", EditorTypeName="System.Web.UI.Design.WebControls.DataGridComponentEditor, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.EditorAttributeSystem.ComponentModel.ComponentEditor)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.WebControls.DataGridDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
[DefaultEvent(Name="SelectedIndexChanged", TypeId=System.ComponentModel.DefaultEventAttribute)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.WebControls.BaseDataListDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
[PersistChildren(Persist=False, TypeId=System.Web.UI.PersistChildrenAttribute)]
[ParseChildren(ChildrenAsProperties=True, TypeId=System.Web.UI.ParseChildrenAttribute)]
[ToolboxItem(ToolboxItemType=System.Web.UI.Design.WebControlToolboxItem, ToolboxItemTypeName="System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.ToolboxItemAttribute)]
[DesignerSerializer(SerializerTypeName="Microsoft.VSDesigner.WebForms.ControlCodeDomSerializer, Microsoft.VSDesigner, Version=7.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", SerializerBaseTypeName="System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.Design.Serialization.DesignerSerializerAttributeSystem.ComponentModel.Design.Serialization.CodeDomSerializer)]
[ToolboxItemFilter(FilterString="System.Web.UI", FilterType=ToolboxItemFilterType.Require, TypeId=System.ComponentModel.ToolboxItemFilterAttributeSystem.Web.UI)]
[DesignerCategory(Category="Code", TypeId=System.ComponentModel.DesignerCategoryAttributeCode)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.ControlDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
public class DataGrid : DataGrid

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

DataGrid Members | ShowX.Web.WebControls Namespace


DataGrid Members

DataGrid overview

Public Static Fields

CancelCommandName (inherited from DataGrid) | Represents the Cancel command name. This field is read-only.
DeleteCommandName (inherited from DataGrid) | Represents the Delete command name. This field is read-only.
EditCommandName (inherited from DataGrid) | Represents the Edit command name. This field is read-only.
NextPageCommandArgument (inherited from DataGrid) | Represents the Next command argument. This field is read-only.
PageCommandName (inherited from DataGrid) | Represents the Pagecommand name. This field is read-only.
PrevPageCommandArgument (inherited from DataGrid) | Represents the Prev command argument. This field is read-only.
SelectCommandName (inherited from DataGrid) | Represents the Selectcommand name. This field is read-only.
SortCommandName (inherited from DataGrid) | Represents the Sort command name. This field is read-only.
UpdateCommandName (inherited from DataGrid) | Represents the Update command name. This field is read-only.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
IsBindableType (inherited from BaseDataList) | Determines whether the specified data type is bindable to a list control that derives from the BaseDataList class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

DataGrid Constructor Constructor

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
ActiveView | Reflex the ShowX type view assigned to this DataGrid
AllowCustomPaging (inherited from DataGrid) | Gets or sets a value that indicates whether custom paging is enabled.
AllowPaging (inherited from DataGrid) | Gets or sets a value that indicates whether paging is enabled.
AllowSorting (inherited from DataGrid) | Gets or sets a value that indicates whether sorting is enabled.
AlternatingItemStyle (inherited from DataGrid) | Gets the style properties for alternating items in the DataGrid control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
AutoGenerateColumns (inherited from DataGrid) | Gets or sets a value that indicates whether BoundColumn objects are automatically created and displayed in the DataGrid control for each field in the data source.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BackImageUrl (inherited from DataGrid) | Gets or sets the URL of an image to display in the background of the DataGrid control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
CellPadding (inherited from BaseDataList) | Gets or sets the amount of space between the contents of a cell and the cell's border.
CellSpacing (inherited from BaseDataList) | Gets or sets the amount of space between cells.
ChildControlStyle | Define the child controls style.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Columns (inherited from DataGrid) | Gets a collection of objects that represent the columns of the DataGrid control.
Controls (inherited from BaseDataList) | Gets a ControlCollection that contains a collection of child controls in a data listing control.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
CurrentPageIndex (inherited from DataGrid) | Gets or sets the index of the currently displayed page.
DataGridOps | Reflex whether the datagrid is read only or not
DataKeyField (inherited from BaseDataList) | Gets or sets the key field in the data source specified by the DataSource property.
DataKeys (inherited from BaseDataList) | Gets a DataKeyCollection that stores the key values of each record (displayed as a row) in a data listing control.
DataMember (inherited from BaseDataList) | Gets or sets the specific data member in a multimember data source to bind to a data listing control.
DataSource (inherited from BaseDataList) | Gets or sets the source containing a list of values used to populate the items within the control.
DateTimeFormat | Specify DateTime format to output DateTime fields on DataGrid.
EditItemIndex (inherited from DataGrid) | Gets or sets the index of an item in the DataGrid control to edit.
EditItemStyle (inherited from DataGrid) | Gets the style properties of the item selected for editing in the DataGrid control.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
FooterStyle (inherited from DataGrid) | Gets the style properties of the footer section in the DataGrid control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
GridLines (inherited from BaseDataList) | Gets or sets a value that specifies whether the border between the cells of a data listing control is displayed.
HeaderStyle (inherited from DataGrid) | Gets the style properties of the heading section in the DataGrid control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
HorizontalAlign (inherited from BaseDataList) | Gets or sets the horizontal alignment of a data listing control within its container.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
InvertSort | Keeps track whether we have to do a invert sort or not (when we use two consecutive times the same sort expression, the order of elements should switch).
Items (inherited from DataGrid) | Gets a collection of DataGridItem objects that represent the individual items in the DataGrid control.
ItemStyle (inherited from DataGrid) | Gets the style properties of the items in the DataGrid control.
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
PageCount (inherited from DataGrid) | Gets the total number of pages required to display the items in the DataGrid control.
PagerStyle (inherited from DataGrid) | Gets the style properties of the paging section of the DataGrid control.
PageSize (inherited from DataGrid) | Gets or sets the number of items to display on a single page of the DataGrid control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
SelectedIndex (inherited from DataGrid) | Gets or sets the index of the selected item in the DataGrid control.
SelectedItem (inherited from DataGrid) | Gets a DataGridItem object that represents the selected item in the DataGrid control.
SelectedItemStyle (inherited from DataGrid) | Gets the style properties of the currently selected item in the DataGrid control.
ShowFooter (inherited from DataGrid) | Gets or sets a value that indicates whether the footer is displayed in the DataGrid control.
ShowHeader (inherited from DataGrid) | Gets or sets a value that indicates whether the header is displayed in the DataGrid control.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
SortExpression | Reflex the SortExpression last used to sort DataGrid
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
VirtualItemCount (inherited from DataGrid) | Gets or sets the virtual number of items in the DataGrid control when custom paging is used.
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.
XContext | Reflex whether the context in wich occurs the operations over this control.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
BuildDataGrid | Overloaded. BuildDataGrid allow to atomify the action of setting the type and the context (optional) to a ShowX DataGrid. This is necesary because the two approaches present a crossroad: when do you know that you have all the information you need to build the DataGrid? When the type is assigned, or when the context? But what if you don't need a context? The solution proposed is a single method overloaded, that recieves one or two parameters (the type and, optionally, the context), gatering all the needed information at once.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind | Override DataGrid Databind. Provides sorting over data.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.

Public Instance Events

CancelCommand (inherited from DataGrid) | Occurs when the Cancel button is clicked for an item in the DataGrid control.
DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
DeleteCommand (inherited from DataGrid) | Occurs when the Delete button is clicked for an item in the DataGrid control.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
EditCommand (inherited from DataGrid) | Occurs when the Edit button is clicked for an item in the DataGrid control.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
ItemCommand (inherited from DataGrid) | Occurs when any button is clicked in the DataGrid control.
ItemCreated (inherited from DataGrid) | Occurs on the server when an item in the DataGrid control is created.
ItemDataBound (inherited from DataGrid) | Occurs after an item is data bound to the DataGrid control.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
OnDeleteElem | Event to to raise when queried results are obtained.
PageIndexChanged (inherited from DataGrid) | Occurs when one of the page selection elements is clicked.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
SelectedIndexChanged (inherited from BaseDataList) | Occurs when a different item is selected in a data listing control between posts to the server.
SortCommand (inherited from DataGrid) | Occurs when a column is sorted.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.
UpdateCommand (inherited from DataGrid) | Occurs when the Update button is clicked for an item in the DataGrid control.

Protected Instance Fields

context | Keeps track of the context in which this DataGrid operates.
dataSource | Temporal Data source.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
DataKeysArray (inherited from BaseDataList) |
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
Type | Reflex the ShowX type assigned to this DataGrid
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from BaseDataList)
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls | CreateChildControls create the columns of the DataGrid.
CreateColumnSet (inherited from DataGrid)
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlHierarchy (inherited from DataGrid)
CreateControlStyle (inherited from DataGrid)
CreateItem (inherited from DataGrid)
dgSort | Do sort over a certain column of the data grid. the sort is made by reflexion, over the type of the property associated to the column. If the type is not a basic one, it has to implement the IComparable interfaz, otherwise sorting will not work
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
InitializeItem (inherited from DataGrid)
InitializePager (inherited from DataGrid)
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from DataGrid)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from DataGrid)
OnCancelCommand (inherited from DataGrid) | Raises the CancelCommand event. This allows you to provide a custom handler for the event.
OnDataBinding (inherited from BaseDataList)
OnDeleteCommand (inherited from DataGrid) | Raises the DeleteCommand event. This allows you to provide a custom handler for the event.
OnEditCommand (inherited from DataGrid) | Raises the EditCommand event. This allows you to provide a custom handler for the event.
OnInit (inherited from Control) | Raises the Init event.
OnItemCommand (inherited from DataGrid) | Raises the ItemCommand event. This allows you to provide a custom handler for the event. This allows you to provide a custom handler for the event.
OnItemCreated (inherited from DataGrid) | Raises the ItemCreated event. This allows you to provide a custom handler for the event.
OnItemDataBound (inherited from DataGrid) | Raises the ItemDataBound event. This allows you to provide a custom handler for the event.
OnLoad (inherited from Control) | Raises the Load event.
OnPageIndexChanged (inherited from DataGrid) | Raises the PageIndexChanged event. This allows you to provide a custom handler for the event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnSelectedIndexChanged (inherited from BaseDataList) | Raises the SelectedIndexChanged event of a BaseDataList. This allows you to create a custom handler for the event.
OnSortCommand (inherited from DataGrid) | Raises the SortCommand event. This allows you to provide a custom handler for the event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
OnUpdateCommand (inherited from DataGrid) | Raises the UpdateCommand event. This allows you to provide a custom handler for the event.
PrepareControlHierarchy (inherited from DataGrid)
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render (inherited from BaseDataList)
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from DataGrid)
TrackViewState (inherited from DataGrid)

Internal Instance Fields

_page (inherited from Control)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Private Instance Fields

childControlStyle

Private Instance Methods

dg_CancelCommand
dg_DeleteCommand
dg_EditCommand
dg_ItemCreated
dg_PageIndexChanged
dg_SortCommand
dg_UpdateCommand

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid Constructor

Constructor

public DataGrid();

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid Fields

The fields of the DataGrid class are listed below. For a complete list of DataGrid class members, see the DataGrid Members topic.

Public Static Fields

CancelCommandName (inherited from DataGrid) | Represents the Cancel command name. This field is read-only.
DeleteCommandName (inherited from DataGrid) | Represents the Delete command name. This field is read-only.
EditCommandName (inherited from DataGrid) | Represents the Edit command name. This field is read-only.
NextPageCommandArgument (inherited from DataGrid) | Represents the Next command argument. This field is read-only.
PageCommandName (inherited from DataGrid) | Represents the Pagecommand name. This field is read-only.
PrevPageCommandArgument (inherited from DataGrid) | Represents the Prev command argument. This field is read-only.
SelectCommandName (inherited from DataGrid) | Represents the Selectcommand name. This field is read-only.
SortCommandName (inherited from DataGrid) | Represents the Sort command name. This field is read-only.
UpdateCommandName (inherited from DataGrid) | Represents the Update command name. This field is read-only.

Protected Instance Fields

context | Keeps track of the context in which this DataGrid operates.
dataSource | Temporal Data source.

Internal Instance Fields

_page (inherited from Control)

Private Instance Fields

childControlStyle

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.ChildControlStyle Property

Define the child controls style.

[TemplateContainer(ContainerType=ShowX.Web.WebControls.AdminElement, TypeId=System.Web.UI.TemplateContainerAttribute)]
[Bindable(Bindable=True, TypeId=System.ComponentModel.BindableAttribute)]
[Browsable(Browsable=True, TypeId=System.ComponentModel.BrowsableAttribute)]
[PersistenceMode(Mode=PersistenceMode.InnerProperty, TypeId=System.Web.UI.PersistenceModeAttribute)]
[Category(Category="Style", TypeId=System.ComponentModel.CategoryAttribute)]
public System.Web.UI.WebControls.TableItemStyle ChildControlStyle {get; set;}

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.context Field

Keeps track of the context in which this DataGrid operates.

protected object context;

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dataSource Field

Temporal Data source.

protected ArrayList dataSource;

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid Properties

The properties of the DataGrid class are listed below. For a complete list of DataGrid class members, see the DataGrid Members topic.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
ActiveView | Reflex the ShowX type view assigned to this DataGrid
AllowCustomPaging (inherited from DataGrid) | Gets or sets a value that indicates whether custom paging is enabled.
AllowPaging (inherited from DataGrid) | Gets or sets a value that indicates whether paging is enabled.
AllowSorting (inherited from DataGrid) | Gets or sets a value that indicates whether sorting is enabled.
AlternatingItemStyle (inherited from DataGrid) | Gets the style properties for alternating items in the DataGrid control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
AutoGenerateColumns (inherited from DataGrid) | Gets or sets a value that indicates whether BoundColumn objects are automatically created and displayed in the DataGrid control for each field in the data source.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BackImageUrl (inherited from DataGrid) | Gets or sets the URL of an image to display in the background of the DataGrid control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
CellPadding (inherited from BaseDataList) | Gets or sets the amount of space between the contents of a cell and the cell's border.
CellSpacing (inherited from BaseDataList) | Gets or sets the amount of space between cells.
ChildControlStyle | Define the child controls style.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Columns (inherited from DataGrid) | Gets a collection of objects that represent the columns of the DataGrid control.
Controls (inherited from BaseDataList) | Gets a ControlCollection that contains a collection of child controls in a data listing control.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
CurrentPageIndex (inherited from DataGrid) | Gets or sets the index of the currently displayed page.
DataGridOps | Reflex whether the datagrid is read only or not
DataKeyField (inherited from BaseDataList) | Gets or sets the key field in the data source specified by the DataSource property.
DataKeys (inherited from BaseDataList) | Gets a DataKeyCollection that stores the key values of each record (displayed as a row) in a data listing control.
DataMember (inherited from BaseDataList) | Gets or sets the specific data member in a multimember data source to bind to a data listing control.
DataSource (inherited from BaseDataList) | Gets or sets the source containing a list of values used to populate the items within the control.
DateTimeFormat | Specify DateTime format to output DateTime fields on DataGrid.
EditItemIndex (inherited from DataGrid) | Gets or sets the index of an item in the DataGrid control to edit.
EditItemStyle (inherited from DataGrid) | Gets the style properties of the item selected for editing in the DataGrid control.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
FooterStyle (inherited from DataGrid) | Gets the style properties of the footer section in the DataGrid control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
GridLines (inherited from BaseDataList) | Gets or sets a value that specifies whether the border between the cells of a data listing control is displayed.
HeaderStyle (inherited from DataGrid) | Gets the style properties of the heading section in the DataGrid control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
HorizontalAlign (inherited from BaseDataList) | Gets or sets the horizontal alignment of a data listing control within its container.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
InvertSort | Keeps track whether we have to do a invert sort or not (when we use two consecutive times the same sort expression, the order of elements should switch).
Items (inherited from DataGrid) | Gets a collection of DataGridItem objects that represent the individual items in the DataGrid control.
ItemStyle (inherited from DataGrid) | Gets the style properties of the items in the DataGrid control.
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
PageCount (inherited from DataGrid) | Gets the total number of pages required to display the items in the DataGrid control.
PagerStyle (inherited from DataGrid) | Gets the style properties of the paging section of the DataGrid control.
PageSize (inherited from DataGrid) | Gets or sets the number of items to display on a single page of the DataGrid control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
SelectedIndex (inherited from DataGrid) | Gets or sets the index of the selected item in the DataGrid control.
SelectedItem (inherited from DataGrid) | Gets a DataGridItem object that represents the selected item in the DataGrid control.
SelectedItemStyle (inherited from DataGrid) | Gets the style properties of the currently selected item in the DataGrid control.
ShowFooter (inherited from DataGrid) | Gets or sets a value that indicates whether the footer is displayed in the DataGrid control.
ShowHeader (inherited from DataGrid) | Gets or sets a value that indicates whether the header is displayed in the DataGrid control.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
SortExpression | Reflex the SortExpression last used to sort DataGrid
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
VirtualItemCount (inherited from DataGrid) | Gets or sets the virtual number of items in the DataGrid control when custom paging is used.
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.
XContext | Reflex whether the context in wich occurs the operations over this control.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
DataKeysArray (inherited from BaseDataList) |
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
Type | Reflex the ShowX type assigned to this DataGrid
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.ActiveView Property

Reflex the ShowX type view assigned to this DataGrid

[Bindable(Bindable=True, TypeId=System.ComponentModel.BindableAttribute)]
[Category(Category="Business", TypeId=System.ComponentModel.CategoryAttribute)]
[DefaultValue(TypeId=System.ComponentModel.DefaultValueAttribute)]
public string ActiveView {get; set;}

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.DataGridOps Property

Reflex whether the datagrid is read only or not

[DefaultValue(Value=DataGridOps.All, TypeId=System.ComponentModel.DefaultValueAttribute)]
[Bindable(Bindable=True, TypeId=System.ComponentModel.BindableAttribute)]
[Category(Category="Business", TypeId=System.ComponentModel.CategoryAttribute)]
public DataGridOps DataGridOps {get; set;}

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.DateTimeFormat Property

Specify DateTime format to output DateTime fields on DataGrid.

[Bindable(Bindable=True, TypeId=System.ComponentModel.BindableAttribute)]
[DefaultValue(TypeId=System.ComponentModel.DefaultValueAttribute)]
[Category(Category="Business", TypeId=System.ComponentModel.CategoryAttribute)]
public string DateTimeFormat {get; set;}

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.InvertSort Property

Keeps track whether we have to do a invert sort or not (when we use two consecutive times the same sort expression, the order of elements should switch).

public bool InvertSort {get; set;}

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.SortExpression Property

Reflex the SortExpression last used to sort DataGrid

public string SortExpression {get; set;}

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.Type Property

Reflex the ShowX type assigned to this DataGrid

[Category(Category="Business", TypeId=System.ComponentModel.CategoryAttribute)]
[DefaultValue(TypeId=System.ComponentModel.DefaultValueAttribute)]
[Bindable(Bindable=True, TypeId=System.ComponentModel.BindableAttribute)]
protected System.Type Type {get; set;}

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.XContext Property

Reflex whether the context in wich occurs the operations over this control.

public object XContext {get;}

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid Methods

The methods of the DataGrid class are listed below. For a complete list of DataGrid class members, see the DataGrid Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
IsBindableType (inherited from BaseDataList) | Determines whether the specified data type is bindable to a list control that derives from the BaseDataList class.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
BuildDataGrid | Overloaded. BuildDataGrid allow to atomify the action of setting the type and the context (optional) to a ShowX DataGrid. This is necesary because the two approaches present a crossroad: when do you know that you have all the information you need to build the DataGrid? When the type is assigned, or when the context? But what if you don't need a context? The solution proposed is a single method overloaded, that recieves one or two parameters (the type and, optionally, the context), gatering all the needed information at once.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind | Override DataGrid Databind. Provides sorting over data.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from BaseDataList)
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls | CreateChildControls create the columns of the DataGrid.
CreateColumnSet (inherited from DataGrid)
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlHierarchy (inherited from DataGrid)
CreateControlStyle (inherited from DataGrid)
CreateItem (inherited from DataGrid)
dgSort | Do sort over a certain column of the data grid. the sort is made by reflexion, over the type of the property associated to the column. If the type is not a basic one, it has to implement the IComparable interfaz, otherwise sorting will not work
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
InitializeItem (inherited from DataGrid)
InitializePager (inherited from DataGrid)
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from DataGrid)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from DataGrid)
OnCancelCommand (inherited from DataGrid) | Raises the CancelCommand event. This allows you to provide a custom handler for the event.
OnDataBinding (inherited from BaseDataList)
OnDeleteCommand (inherited from DataGrid) | Raises the DeleteCommand event. This allows you to provide a custom handler for the event.
OnEditCommand (inherited from DataGrid) | Raises the EditCommand event. This allows you to provide a custom handler for the event.
OnInit (inherited from Control) | Raises the Init event.
OnItemCommand (inherited from DataGrid) | Raises the ItemCommand event. This allows you to provide a custom handler for the event. This allows you to provide a custom handler for the event.
OnItemCreated (inherited from DataGrid) | Raises the ItemCreated event. This allows you to provide a custom handler for the event.
OnItemDataBound (inherited from DataGrid) | Raises the ItemDataBound event. This allows you to provide a custom handler for the event.
OnLoad (inherited from Control) | Raises the Load event.
OnPageIndexChanged (inherited from DataGrid) | Raises the PageIndexChanged event. This allows you to provide a custom handler for the event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnSelectedIndexChanged (inherited from BaseDataList) | Raises the SelectedIndexChanged event of a BaseDataList. This allows you to create a custom handler for the event.
OnSortCommand (inherited from DataGrid) | Raises the SortCommand event. This allows you to provide a custom handler for the event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
OnUpdateCommand (inherited from DataGrid) | Raises the UpdateCommand event. This allows you to provide a custom handler for the event.
PrepareControlHierarchy (inherited from DataGrid)
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render (inherited from BaseDataList)
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from DataGrid)
TrackViewState (inherited from DataGrid)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Private Instance Methods

dg_CancelCommand
dg_DeleteCommand
dg_EditCommand
dg_ItemCreated
dg_PageIndexChanged
dg_SortCommand
dg_UpdateCommand

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


BuildDataGrid Method

ShowX Class Library Documentation

DataGrid.BuildDataGrid Method

BuildDataGrid allow to atomify the action of setting the type and the context (optional) to a ShowX DataGrid. This is necesary because the two approaches present a crossroad: when do you know that you have all the information you need to build the DataGrid? When the type is assigned, or when the context? But what if you don't need a context?

The solution proposed is a single method overloaded, that recieves one or two parameters (the type and, optionally, the context), gatering all the needed information at once.

Overload List

BuildDataGrid allow to atomify the action of setting the type and the context (optional) to a ShowX DataGrid. This is necesary because the two approaches present a crossroad: when do you know that you have all the information you need to build the DataGrid? When the type is assigned, or when the context? But what if you don't need a context? The solution proposed is a single method overloaded, that recieves one or two parameters (the type and, optionally, the context), gatering all the needed information at once.

public void BuildDataGrid(Type);

See the comments of BuildDataGrid(Type).

public void BuildDataGrid(Type,object);

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.BuildDataGrid Method (Type)

BuildDataGrid allow to atomify the action of setting the type and the context (optional) to a ShowX DataGrid. This is necesary because the two approaches present a crossroad: when do you know that you have all the information you need to build the DataGrid? When the type is assigned, or when the context? But what if you don't need a context?

The solution proposed is a single method overloaded, that recieves one or two parameters (the type and, optionally, the context), gatering all the needed information at once.

public void BuildDataGrid(
Type type
);

Parameters

type
Type to associate to this DataGrid.

See Also

DataGrid Class | ShowX.Web.WebControls Namespace | DataGrid.BuildDataGrid Overload List


DataGrid.BuildDataGrid Method (Type, Object)

See the comments of BuildDataGrid(Type).

public void BuildDataGrid(
Type type,
object context
);

Parameters

type
Type to associate to this DataGrid.
context
Context to associate to this DataGrid.

See Also

DataGrid Class | ShowX.Web.WebControls Namespace | DataGrid.BuildDataGrid Overload List


DataGrid.CreateChildControls Method

CreateChildControls create the columns of the DataGrid.

protected override void CreateChildControls();

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.DataBind Method

Override DataGrid Databind. Provides sorting over data.

public override void DataBind();

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dg_CancelCommand Method

private void dg_CancelCommand(
object source,
DataGridCommandEventArgs e
);

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dg_DeleteCommand Method

private void dg_DeleteCommand(
object source,
DataGridCommandEventArgs e
);

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dg_EditCommand Method

private void dg_EditCommand(
object sender,
DataGridCommandEventArgs e
);

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dg_ItemCreated Method

private void dg_ItemCreated(
object sender,
DataGridItemEventArgs e
);

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dg_PageIndexChanged Method

private void dg_PageIndexChanged(
object source,
DataGridPageChangedEventArgs e
);

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dg_SortCommand Method

private void dg_SortCommand(
object source,
DataGridSortCommandEventArgs e
);

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dg_UpdateCommand Method

private void dg_UpdateCommand(
object source,
DataGridCommandEventArgs e
);

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.dgSort Method

Do sort over a certain column of the data grid. the sort is made by reflexion, over the type of the property associated to the column. If the type is not a basic one, it has to implement the IComparable interfaz, otherwise sorting will not work

protected void dgSort(
string SortExpression
);

Parameters

SortExpression
Expression to sort with. In columns generated with DataGridBuilder class, this expression is the name of the ShowX property associated to this column.

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid Events

The events of the DataGrid class are listed below. For a complete list of DataGrid class members, see the DataGrid Members topic.

Public Instance Events

CancelCommand (inherited from DataGrid) | Occurs when the Cancel button is clicked for an item in the DataGrid control.
DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
DeleteCommand (inherited from DataGrid) | Occurs when the Delete button is clicked for an item in the DataGrid control.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
EditCommand (inherited from DataGrid) | Occurs when the Edit button is clicked for an item in the DataGrid control.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
ItemCommand (inherited from DataGrid) | Occurs when any button is clicked in the DataGrid control.
ItemCreated (inherited from DataGrid) | Occurs on the server when an item in the DataGrid control is created.
ItemDataBound (inherited from DataGrid) | Occurs after an item is data bound to the DataGrid control.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
OnDeleteElem | Event to to raise when queried results are obtained.
PageIndexChanged (inherited from DataGrid) | Occurs when one of the page selection elements is clicked.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
SelectedIndexChanged (inherited from BaseDataList) | Occurs when a different item is selected in a data listing control between posts to the server.
SortCommand (inherited from DataGrid) | Occurs when a column is sorted.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.
UpdateCommand (inherited from DataGrid) | Occurs when the Update button is clicked for an item in the DataGrid control.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGrid.OnDeleteElem Event

Event to to raise when queried results are obtained.

public event OnDeleteElemEventHandler OnDeleteElem;

See Also

DataGrid Class | ShowX.Web.WebControls Namespace


DataGridOps Enumeration

Enumerates the valid operations to enable on an ShowX DataGrid.

This enumeration has a FlagsAttribute attribute that allows a bitwise combination of its member values.

[Flags(TypeId=System.FlagsAttribute)]
public enum DataGridOps

Members

Member Name | Description | Value
None | Zero operations can be done over the DataGrid. | 0
InplaceEditing | The DataGrid supports inplace editing, but doesn't support deletion. | 2
Deletion | The DataGrid supports deletion, but doesn't support inplace editing. | 4
All | The DataGrid supports all the operations (inplace editing and deletion). | 8

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Web.WebControls Namespace


ElemOps Enumeration

Represent the operations available to do with an adminElement control.

public enum ElemOps

Members

Member Name | Description
Add | Add element operation.
Query | Query element operation.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Web.WebControls Namespace


OnAddElemEventHandler Delegate

Delegate to represent event to raise when a new element is added via the AdminElement control.

public delegate void OnAddElemEventHandler(
object sender,
AdminElementEventArgs e
);

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Web.WebControls Namespace


OnDeleteElemEventHandler Delegate

Delegate to represent event to raise when queried results are obtained.

public delegate void OnDeleteElemEventHandler(
object elem
);

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Web.WebControls Namespace


OnQueryResultEventHandler Delegate

Delegate to represent event to raise when queried results are obtained.

public delegate void OnQueryResultEventHandler(
ArrayList elems
);

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

ShowX.Web.WebControls Namespace


ProgressBar Class

ProgressBar show result as a percent of the total.

For a list of all members of this type, see ProgressBar Members.

System.Object
System.Web.UI.Control
System.Web.UI.WebControls.WebControl
ShowX.Web.WebControls.ProgressBar

[DefaultProperty(Name="Text", TypeId=System.ComponentModel.DefaultPropertyAttribute)]
[ToolboxData(Data="<{0}:ProgressBar runat=server></{0}:ProgressBar>", TypeId=System.Web.UI.ToolboxDataAttribute)]
[PersistChildren(Persist=False, TypeId=System.Web.UI.PersistChildrenAttribute)]
[ParseChildren(ChildrenAsProperties=True, TypeId=System.Web.UI.ParseChildrenAttribute)]
[ToolboxItem(ToolboxItemType=System.Web.UI.Design.WebControlToolboxItem, ToolboxItemTypeName="System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.ToolboxItemAttribute)]
[DesignerSerializer(SerializerTypeName="Microsoft.VSDesigner.WebForms.ControlCodeDomSerializer, Microsoft.VSDesigner, Version=7.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", SerializerBaseTypeName="System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.Design.Serialization.DesignerSerializerAttributeSystem.ComponentModel.Design.Serialization.CodeDomSerializer)]
[ToolboxItemFilter(FilterString="System.Web.UI", FilterType=ToolboxItemFilterType.Require, TypeId=System.ComponentModel.ToolboxItemFilterAttributeSystem.Web.UI)]
[DesignerCategory(Category="Code", TypeId=System.ComponentModel.DesignerCategoryAttributeCode)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.ControlDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
public class ProgressBar : WebControl, INamingContainer

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

ProgressBar Members | ShowX.Web.WebControls Namespace


ProgressBar Members

ProgressBar overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Protected Static Fields

blackDotEmbeddedPath | Name of the embedded resource that represents blackdot image.
blackDotFileName | Name of file where to write blackdot image
blueDotEmbeddedPath | Name of the embedded resource that represents bluedot image.
blueDotFileName | Name of file where to write bluedot image

Private Static Constructor

ProgressBar Constructor Initializes the static fields of the ProgressBar class.

Public Instance Constructors

ProgressBar Constructor Constructor

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
ShowName | Reflex the showName attribute, in a read-only way
ShowPercent | Reflex the showPercent attribute, in a read-only way
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
TextStyle | Allow to change style to the texts shown on the control (Property name and percent)
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.
XInstance | Reflex the xinstance attribute, in a read-only way

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.

Public Instance Events

DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.

Protected Instance Fields

maxProperty | Max value of this progressbar
percentTextL | Control to show percent name
propertyInfo | Property to show result
propertyNameL | Control to show the property name
showName | Keep track whether we want to show the property name on the control
showPercent | Keep track whether we want to show the used percent on the control
xInstance | Instance of an ShowX type to represent value

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls (inherited from Control) | Notifies server controls that use composition-based implementation to create any child controls they contain in preparation for posting back or rendering.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Fields

_page (inherited from Control)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar Constructor

Constructor

public ProgressBar(
string maxProperty,
PropertyInfo propertyInfo
);

Parameters

maxProperty
Max value of this progressbar
propertyInfo
Property to show result

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar Static Constructor

Initializes the static fields of the ProgressBar class.

static ProgressBar();

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar Fields

The fields of the ProgressBar class are listed below. For a complete list of ProgressBar class members, see the ProgressBar Members topic.

Protected Static Fields

blackDotEmbeddedPath | Name of the embedded resource that represents blackdot image.
blackDotFileName | Name of file where to write blackdot image
blueDotEmbeddedPath | Name of the embedded resource that represents bluedot image.
blueDotFileName | Name of file where to write bluedot image

Protected Instance Fields

maxProperty | Max value of this progressbar
percentTextL | Control to show percent name
propertyInfo | Property to show result
propertyNameL | Control to show the property name
showName | Keep track whether we want to show the property name on the control
showPercent | Keep track whether we want to show the used percent on the control
xInstance | Instance of an ShowX type to represent value

Internal Instance Fields

_page (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.blackDotEmbeddedPath Field

Name of the embedded resource that represents blackdot image.

protected static string blackDotEmbeddedPath;

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.blackDotFileName Field

Name of file where to write blackdot image

protected static string blackDotFileName;

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.blueDotEmbeddedPath Field

Name of the embedded resource that represents bluedot image.

protected static string blueDotEmbeddedPath;

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.blueDotFileName Field

Name of file where to write bluedot image

protected static string blueDotFileName;

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.maxProperty Field

Max value of this progressbar

protected string maxProperty;

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.percentTextL Field

Control to show percent name

protected Label percentTextL;

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.propertyInfo Field

Property to show result

protected PropertyInfo propertyInfo;

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.propertyNameL Field

Control to show the property name

protected Label propertyNameL;

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.ShowName Property

Reflex the showName attribute, in a read-only way

public bool ShowName {get; set;}

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.ShowPercent Property

Reflex the showPercent attribute, in a read-only way

public bool ShowPercent {get; set;}

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.XInstance Property

Reflex the xinstance attribute, in a read-only way

public object XInstance {set;}

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar Properties

The properties of the ProgressBar class are listed below. For a complete list of ProgressBar class members, see the ProgressBar Members topic.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
ShowName | Reflex the showName attribute, in a read-only way
ShowPercent | Reflex the showPercent attribute, in a read-only way
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
TextStyle | Allow to change style to the texts shown on the control (Property name and percent)
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.
XInstance | Reflex the xinstance attribute, in a read-only way

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.TextStyle Property

Allow to change style to the texts shown on the control (Property name and percent)

public System.Web.UI.WebControls.TableItemStyle TextStyle {set;}

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar Methods

The methods of the ProgressBar class are listed below. For a complete list of ProgressBar class members, see the ProgressBar Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls (inherited from Control) | Notifies server controls that use composition-based implementation to create any child controls they contain in preparation for posting back or rendering.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


ProgressBar.Render Method

Method Render is in charge of render the control to html code

protected override void Render(
HtmlTextWriter writer
);

Parameters

writer
Writer to output html code

See Also

ProgressBar Class | ShowX.Web.WebControls Namespace


TextField Class

ChangePassword control defines a box useful to update a user password, with equality checking.

For a list of all members of this type, see TextField Members.

System.Object
System.Web.UI.Control
System.Web.UI.WebControls.WebControl
ShowX.Web.WebControls.ValidatedControl
ShowX.Web.WebControls.TextField

[ToolboxData(Data="<{0}:TextField runat=server></{0}:TextField>", TypeId=System.Web.UI.ToolboxDataAttribute)]
[DefaultProperty(Name="Text", TypeId=System.ComponentModel.DefaultPropertyAttribute)]
[PersistChildren(Persist=False, TypeId=System.Web.UI.PersistChildrenAttribute)]
[ParseChildren(ChildrenAsProperties=True, TypeId=System.Web.UI.ParseChildrenAttribute)]
[ToolboxItem(ToolboxItemType=System.Web.UI.Design.WebControlToolboxItem, ToolboxItemTypeName="System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.ToolboxItemAttribute)]
[DesignerSerializer(SerializerTypeName="Microsoft.VSDesigner.WebForms.ControlCodeDomSerializer, Microsoft.VSDesigner, Version=7.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", SerializerBaseTypeName="System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.Design.Serialization.DesignerSerializerAttributeSystem.ComponentModel.Design.Serialization.CodeDomSerializer)]
[ToolboxItemFilter(FilterString="System.Web.UI", FilterType=ToolboxItemFilterType.Require, TypeId=System.ComponentModel.ToolboxItemFilterAttributeSystem.Web.UI)]
[DesignerCategory(Category="Code", TypeId=System.ComponentModel.DesignerCategoryAttributeCode)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.ControlDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
public class TextField : ValidatedControl

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

TextField Members | ShowX.Web.WebControls Namespace


TextField Members

TextField overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

TextField Constructor Constructor

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height | Height of the TextField (delegates over the internal TextBox height.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
InputText | Reflex the text show on control.
Message (inherited from ValidatedControl) | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
TextMode | TextMode of the TextField (delegates over the internal TextBox TextMode.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated (inherited from ValidatedControl) | Reflex the state of the control, according to validation
Validators (inherited from ValidatedControl) | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width | Width of the TextField (delegates over the internal TextBox width.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Merge current styles with a new one.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle (inherited from ValidatedControl) | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the password entered are valid

Public Instance Events

DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.

Protected Instance Fields

messageL (inherited from ValidatedControl) | Message to show when text don't validate
textBox | Textbox to store text
validators (inherited from ValidatedControl) | Validators associated to this control

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls (inherited from Control) | Notifies server controls that use composition-based implementation to create any child controls they contain in preparation for posting back or rendering.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Fields

_page (inherited from Control)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField Constructor

Constructor

public TextField();

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField Fields

The fields of the TextField class are listed below. For a complete list of TextField class members, see the TextField Members topic.

Protected Instance Fields

messageL (inherited from ValidatedControl) | Message to show when text don't validate
textBox | Textbox to store text
validators (inherited from ValidatedControl) | Validators associated to this control

Internal Instance Fields

_page (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField.textBox Field

Textbox to store text

protected TextBox textBox;

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField Properties

The properties of the TextField class are listed below. For a complete list of TextField class members, see the TextField Members topic.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height | Height of the TextField (delegates over the internal TextBox height.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
InputText | Reflex the text show on control.
Message (inherited from ValidatedControl) | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
TextMode | TextMode of the TextField (delegates over the internal TextBox TextMode.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated (inherited from ValidatedControl) | Reflex the state of the control, according to validation
Validators (inherited from ValidatedControl) | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width | Width of the TextField (delegates over the internal TextBox width.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField.Height Property

Height of the TextField (delegates over the internal TextBox height.

public override System.Web.UI.WebControls.Unit Height {get; set;}

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField.InputText Property

Reflex the text show on control.

public string InputText {get; set;}

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField.TextMode Property

TextMode of the TextField (delegates over the internal TextBox TextMode.

public System.Web.UI.WebControls.TextBoxMode TextMode {get; set;}

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField.Width Property

Width of the TextField (delegates over the internal TextBox width.

public override System.Web.UI.WebControls.Unit Width {get; set;}

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField Methods

The methods of the TextField class are listed below. For a complete list of TextField class members, see the TextField Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Merge current styles with a new one.
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle (inherited from ValidatedControl) | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the password entered are valid

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls (inherited from Control) | Notifies server controls that use composition-based implementation to create any child controls they contain in preparation for posting back or rendering.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render | Method Render is in charge of render the control to html code
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField.MergeControlStyle Method

Merge current styles with a new one.

public override void MergeControlStyle(
Style style
);

Parameters

style
New style to merge.

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField.Render Method

Method Render is in charge of render the control to html code

protected override void Render(
HtmlTextWriter writer
);

Parameters

writer
Writer to output html code

See Also

TextField Class | ShowX.Web.WebControls Namespace


TextField.Validate Method

Allow to check whether the password entered are valid

public override bool Validate(
object context
);

Return Value

True if the input value is te same, false otherwise

See Also

TextField Class | ShowX.Web.WebControls Namespace


ValidatedControl Class

Base class for ShowX web controls that includes custom validation.

For a list of all members of this type, see ValidatedControl Members.

System.Object
System.Web.UI.Control
System.Web.UI.WebControls.WebControl
ShowX.Web.WebControls.ValidatedControl
ShowX.Web.WebControls.Calendar
ShowX.Web.WebControls.ChangePassword
ShowX.Web.WebControls.CheckBoxList
ShowX.Web.WebControls.TextField

[PersistChildren(Persist=False, TypeId=System.Web.UI.PersistChildrenAttribute)]
[ParseChildren(ChildrenAsProperties=True, TypeId=System.Web.UI.ParseChildrenAttribute)]
[ToolboxItem(ToolboxItemType=System.Web.UI.Design.WebControlToolboxItem, ToolboxItemTypeName="System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.ToolboxItemAttribute)]
[DesignerSerializer(SerializerTypeName="Microsoft.VSDesigner.WebForms.ControlCodeDomSerializer, Microsoft.VSDesigner, Version=7.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", SerializerBaseTypeName="System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.Design.Serialization.DesignerSerializerAttributeSystem.ComponentModel.Design.Serialization.CodeDomSerializer)]
[ToolboxItemFilter(FilterString="System.Web.UI", FilterType=ToolboxItemFilterType.Require, TypeId=System.ComponentModel.ToolboxItemFilterAttributeSystem.Web.UI)]
[DefaultProperty(Name="ID", TypeId=System.ComponentModel.DefaultPropertyAttribute)]
[DesignerCategory(Category="Code", TypeId=System.ComponentModel.DesignerCategoryAttributeCode)]
[Designer(DesignerBaseTypeName="System.ComponentModel.Design.IDesigner", DesignerTypeName="System.Web.UI.Design.ControlDesigner, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", TypeId=System.ComponentModel.DesignerAttributeSystem.ComponentModel.Design.IDesigner)]
public abstract class ValidatedControl : WebControl, INamingContainer

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: ShowX.Web.WebControls

Assembly: ShowX (in ShowX.dll)

See Also

ValidatedControl Members | ShowX.Web.WebControls Namespace


ValidatedControl Members

ValidatedControl overview

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Constructors

ValidatedControl Constructor Constructor

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Message | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated | Reflex the state of the control, according to validation
Validators | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Set the style to childs
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the values entered are valid

Public Instance Events

DataBinding (inherited from Control) | Occurs when the server control binds to a data source.
Disposed (inherited from Control) | Occurs when a server control is released from memory, which is the last stage of the server control lifecycle when an ASP.NET page is requested.
Init (inherited from Control) | Occurs when the server control is initialized, which is the first step in the its lifecycle.
Load (inherited from Control) | Occurs when the server control is loaded into the Page object.
PreRender (inherited from Control) | Occurs when the server control is about to render to its containing Page object.
Unload (inherited from Control) | Occurs when the server control is unloaded from memory.

Protected Instance Fields

messageL | Message to show when text don't validate
validators | Validators associated to this control

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls (inherited from Control) | Notifies server controls that use composition-based implementation to create any child controls they contain in preparation for posting back or rendering.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render (inherited from WebControl)
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Fields

_page (inherited from Control)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl Constructor

Constructor

public ValidatedControl();

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl Fields

The fields of the ValidatedControl class are listed below. For a complete list of ValidatedControl class members, see the ValidatedControl Members topic.

Protected Instance Fields

messageL | Message to show when text don't validate
validators | Validators associated to this control

Internal Instance Fields

_page (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl.messageL Field

Message to show when text don't validate

protected Label messageL;

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl.Validators Property

Reflex the validator attribute

public System.Collections.ArrayList Validators {get;}

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl Properties

The properties of the ValidatedControl class are listed below. For a complete list of ValidatedControl class members, see the ValidatedControl Members topic.

Public Instance Properties

AccessKey (inherited from WebControl) | Gets or sets the access key (underlined letter) that allows you to quickly navigate to the Web server control.
Attributes (inherited from WebControl) | Gets the collection of arbitrary attributes (for rendering only) that do not correspond to properties on the control.
BackColor (inherited from WebControl) | Gets or sets the background color of the Web server control.
BindingContainer (inherited from Control) |
BorderColor (inherited from WebControl) | Gets or sets the border color of the Web control.
BorderStyle (inherited from WebControl) | Gets or sets the border style of the Web server control.
BorderWidth (inherited from WebControl) | Gets or sets the border width of the Web server control.
ClientID (inherited from Control) | Gets the server control identifier generated by ASP.NET.
Controls (inherited from Control) | Gets a ControlCollection object that represents the child controls for a specified server control in the UI hierarchy.
ControlStyle (inherited from WebControl) | Gets the style of the Web server control. This property is used primarily by control developers.
ControlStyleCreated (inherited from WebControl) | Gets a value indicating whether a Style object has been created for the ControlStyle property. This property is primarily used by control developers.
CssClass (inherited from WebControl) | Gets or sets the Cascading Style Sheet (CSS) class rendered by the Web server control on the client.
Enabled (inherited from WebControl) | Gets or sets a value indicating whether the Web server control is enabled.
EnableViewState (inherited from Control) | Gets or sets a value indicating whether the server control persists its view state, and the view state of any child controls it contains, to the requesting client.
Font (inherited from WebControl) | Gets the font properties associated with the Web server control.
ForeColor (inherited from WebControl) | Gets or sets the foreground color (typically the color of the text) of the Web server control.
Height (inherited from WebControl) | Gets or sets the height of the Web server control.
ID (inherited from Control) | Gets or sets the programmatic identifier assigned to the server control.
Message | Reflex the message value
NamingContainer (inherited from Control) | Gets a reference to the server control's naming container, which creates a unique namespace for differentiating between server controls with the same ID property value.
Page (inherited from Control) | Gets a reference to the Page instance that contains the server control.
Parent (inherited from Control) | Gets a reference to the server control's parent control in the page control hierarchy.
Site (inherited from Control) | Gets information about the Web site to which the server control belongs.
Style (inherited from WebControl) | Gets a collection of text attributes that will be rendered as a style attribute on the outer tag of the Web server control.
TabIndex (inherited from WebControl) | Gets or sets the tab index of the Web server control.
TemplateSourceDirectory (inherited from Control) | Gets the virtual directory of the Page or UserControl that contains the current server control.
ToolTip (inherited from WebControl) | Gets or sets the text displayed when the mouse pointer hovers over the Web server control.
UniqueID (inherited from Control) | Gets the unique, hierarchically-qualified identifier for the server control.
Validated | Reflex the state of the control, according to validation
Validators | Reflex the validator attribute
Visible (inherited from Control) | Gets or sets a value that indicates whether a server control is rendered as UI on the page.
Width (inherited from WebControl) | Gets or sets the width of the Web server control.

Protected Instance Properties

ChildControlsCreated (inherited from Control) | Gets a value that indicates whether the server control's child controls have been created.
Context (inherited from Control) | Gets the HttpContext object associated with the server control for the current Web request.
Events (inherited from Control) | Gets a list of event handler delegates for the control. This property is read-only.
HasChildViewState (inherited from Control) | Gets a value indicating whether the current server control's child controls have any saved view-state settings.
IsTrackingViewState (inherited from Control) | Gets a value that indicates whether the server control is saving changes to its view state.
TagKey (inherited from WebControl) | Gets the HtmlTextWriterTag value that corresponds to this Web server control. This property is used primarily by control developers.
TagName (inherited from WebControl) | Gets the name of the control tag. This property is used primarily by control developers.
ViewState (inherited from Control) | Gets a dictionary of state information that allows you to save and restore the view state of a server control across multiple requests for the same page.
ViewStateIgnoresCase (inherited from Control) | Gets a value that indicates whether the StateBag object is case-insensitive.

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl.Message Property

Reflex the message value

public System.Web.UI.WebControls.Label Message {get;}

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl.Validated Property

Reflex the state of the control, according to validation

public bool Validated {get; set;}

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl Methods

The methods of the ValidatedControl class are listed below. For a complete list of ValidatedControl class members, see the ValidatedControl Members topic.

Public Static Methods

Equals (inherited from Object) | Determines whether the specified Object instances are considered equal.
ReferenceEquals (inherited from Object) | Determines whether the specified Object instances are the same instance.

Public Instance Methods

ApplyStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, overwriting any existing style elements of the control. This method is primarily used by control developers.
CopyBaseAttributes (inherited from WebControl) | Copies the properties not encapsulated by the Style object from the specified Web server control to the Web server control that this method is called from. This method is used primarily by control developers.
DataBind (inherited from Control) | Binds a data source to the invoked server control and all its child controls.
Dispose (inherited from Control) | Enables a server control to perform final clean up before it is released from memory.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
FindControl (inherited from Control) | Overloaded. Searches the current naming container for a server control with the specified id parameter.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
HasControls (inherited from Control) | Determines if the server control contains any child controls.
MergeControlStyle | Set the style to childs
MergeStyle (inherited from WebControl) | Copies any nonblank elements of the specified style to the Web control, but will not overwrite any existing style elements of the control. This method is used primarily by control developers.
MergeTextStyle | Set the style to childs
RenderBeginTag (inherited from WebControl) | Renders the HTML opening tag of the control into the specified writer. This method is used primarily by control developers.
RenderControl (inherited from Control) | Outputs server control content to a provided HtmlTextWriter object and stores tracing information about the control if tracing is enabled.
RenderEndTag (inherited from WebControl) | Renders the HTML closing tag of the control into the specified writer. This method is used primarily by control developers.
ResolveUrl (inherited from Control) | Converts a URL into one that is usable on the requesting client.
SetRenderMethodDelegate (inherited from Control) |
ToString (inherited from Object) | Returns a String that represents the current Object.
Validate | Allow to check whether the values entered are valid

Protected Instance Methods

AddAttributesToRender (inherited from WebControl) | Adds HTML attributes and styles that need to be rendered to the specified HtmlTextWriter. This method is used primarily by control developers.
AddedControl (inherited from Control) | Called after a control is added to the Controls collection of another control.
AddParsedSubObject (inherited from Control) | Notifies the server control that an element, either XML or HTML, was parsed, and adds the element to the server control's ControlCollection object.
BuildProfileTree (inherited from Control)
ClearChildViewState (inherited from Control) | Deletes the view-state information for all the server control's child controls.
CreateChildControls (inherited from Control) | Notifies server controls that use composition-based implementation to create any child controls they contain in preparation for posting back or rendering.
CreateControlCollection (inherited from Control) | Creates a new ControlCollection object to hold the child controls (both literal and server) of the server control.
CreateControlStyle (inherited from WebControl) | Creates the style object that is used internally by the WebControl class to implement all style related properties. This method is used primarily by control developers.
EnsureChildControls (inherited from Control) | Determines whether the server control contains child controls. If it does not, it creates child controls.
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
FindControl (inherited from Control) | Overloaded.
IsLiteralContent (inherited from Control) | Determines if the server control holds only literal content.
LoadViewState (inherited from WebControl)
MapPathSecure (inherited from Control) | Retrieves the physical path that a virtual path, either absolute or relative, maps to.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnBubbleEvent (inherited from Control) | Determines whether the event for the server control is passed up the page's UI server control hierarchy.
OnDataBinding (inherited from Control) | Raises the DataBinding event.
OnInit (inherited from Control) | Raises the Init event.
OnLoad (inherited from Control) | Raises the Load event.
OnPreRender (inherited from Control) | Raises the PreRender event.
OnUnload (inherited from Control) Raises the Unload event.
Note Server controls should perform any final cleanup, such as closing files, closing database connections, and discarding objects, during this stage of the server control lifecycle.
RaiseBubbleEvent (inherited from Control) | Assigns any sources of the event and its information to the control's parent.
RemovedControl (inherited from Control) | Called after a control is removed from the Controls collection of another control.
Render (inherited from WebControl)
RenderChildren (inherited from Control) | Outputs the content of a server control's children to a provided HtmlTextWriter object, which writes the content to be rendered on the client.
RenderContents (inherited from WebControl) | Renders the contents of the control into the specified writer. This method is used primarily by control developers.
SaveViewState (inherited from WebControl)
TrackViewState (inherited from WebControl)

Internal Instance Methods

GetUniqueIDPrefix (inherited from Control)

Explicit Interface Implementations

IAttributeAccessor.GetAttribute (inherited from WebControl)
IAttributeAccessor.SetAttribute (inherited from WebControl)
IParserAccessor.AddParsedSubObject (inherited from Control)

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl.MergeControlStyle Method

Set the style to childs

public virtual void MergeControlStyle(
Style style
);

Parameters

style
Style to apply

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl.MergeTextStyle Method

Set the style to childs

public virtual void MergeTextStyle(
Style style
);

Parameters

style
Style to apply

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ValidatedControl.Validate Method

Allow to check whether the values entered are valid

public abstract bool Validate(
object context
);

Return Value

True if the input value is te same, false otherwise

See Also

ValidatedControl Class | ShowX.Web.WebControls Namespace


ShowX.ConfigHierarchy

ShowX Class Library Documentation

ShowX.Config Hierarchy

System.Object
ShowX.Config.Configuration
ShowX.Config.ConfigurationSectionHandler ---- System.Configuration.IConfigurationSectionHandler
ShowX.Config.ConfigurationSectionInfo
ShowX.Config.XmlConfigurationConst
ShowX.Config.XmlConfigurationReader
System.Exception ---- System.Runtime.Serialization.ISerializable
ShowX.Config.ConfigurationException
System.ValueType
System.Enum ---- System.IComparable, System.IConvertible, System.IFormattable
ShowX.Config.MappingModel

See Also

ShowX.Config Namespace


ShowX.HelperHierarchy

ShowX Class Library Documentation

ShowX.Helper Hierarchy

System.Object
ShowX.Helper.ResourceHelper

See Also

ShowX.Helper Namespace


ShowX.Model.AttributeModelHierarchy

ShowX Class Library Documentation

ShowX.Model.AttributeModel Hierarchy

System.Object
ShowX.Model.AttributeModel.AttributeMappingHandler ---- ShowX.Model.IMappingHandler
System.Attribute
ShowX.Model.AttributeModel.AttributeObjectHandlerInfo ---- ShowX.Model.IObjectHandlerInfo
ShowX.Model.AttributeModel.XAttr ---- ShowX.Model.IPropertyMap
ShowX.Model.AttributeModel.XFK ---- ShowX.Model.IForeignIdentifierMap
ShowX.Model.AttributeModel.XPK ---- ShowX.Model.IIdentifierMap
ShowX.Model.AttributeModel.XPercent ---- ShowX.Model.IPropertyMap, ShowX.Model.IXPercentMap
ShowX.Model.AttributeModel.XValidate ---- ShowX.Model.IValidationMap

See Also

ShowX.Model.AttributeModel Namespace


ShowX.Model.XmlModelHierarchy

ShowX Class Library Documentation

ShowX.Model.XmlModel Hierarchy

System.Object
ShowX.Model.ObjectHandlerMethodCaller ---- ShowX.Model.IObjectHandlerMethodCaller
ShowX.Model.XmlModel.XmlObjectHandlerMethodCaller
ShowX.Model.XmlModel.IXmlFileValidator
ShowX.Model.XmlModel.XmlClassMap
ShowX.Model.XmlModel.XmlFileValidator ---- ShowX.Model.XmlModel.IXmlFileValidator
ShowX.Model.XmlModel.XmlMappingFileConst
ShowX.Model.XmlModel.XmlMappingHandler ---- ShowX.Model.IMappingHandler
ShowX.Model.XmlModel.XmlPropertyMap ---- ShowX.Model.IPropertyMap
ShowX.Model.XmlModel.XmlCollectionMap ---- ShowX.Model.ICollectionMap
ShowX.Model.XmlModel.XmlForeignIdentifierMap ---- ShowX.Model.IForeignIdentifierMap
ShowX.Model.XmlModel.XmlIdentifierMap ---- ShowX.Model.IIdentifierMap
ShowX.Model.XmlModel.XmlXPercentMap ---- ShowX.Model.IXPercentMap
ShowX.Model.XmlModel.XmlValidateMap ---- ShowX.Model.IValidationMap
ShowX.Model.XmlModel.XmlView ---- ShowX.Model.IView
ShowX.Model.XmlModel.XmlViewCollection ---- ShowX.Model.IViewCollection

See Also

ShowX.Model.XmlModel Namespace


ShowX.ModelHierarchy

ShowX Class Library Documentation

ShowX.Model Hierarchy

System.Object
ShowX.Model.ICollectionMap ---- ShowX.Model.IPropertyMap
ShowX.Model.IForeignIdentifierMap ---- ShowX.Model.IPropertyMap
ShowX.Model.IIdentifierMap ---- ShowX.Model.IPropertyMap
ShowX.Model.IMappingHandler
ShowX.Model.InternalPropertyValidator
ShowX.Model.IObjectHandler
ShowX.Model.IObjectHandlerInfo
ShowX.Model.IObjectHandlerMethodCaller
ShowX.Model.IPropertyMap
ShowX.Model.ITranslator
ShowX.Model.IValidationMap
ShowX.Model.IView
ShowX.Model.IViewCollection
ShowX.Model.IXPercentMap ---- ShowX.Model.IPropertyMap
ShowX.Model.ObjectHandlerMethodCaller ---- ShowX.Model.IObjectHandlerMethodCaller
ShowX.Model.AttributeObjectHandlerMethodCaller
System.Exception ---- System.Runtime.Serialization.ISerializable
ShowX.Model.ModelException
System.ValueType
System.Enum ---- System.IComparable, System.IConvertible, System.IFormattable
ShowX.Model.ItemStyle
ShowX.Model.ValidateFor

See Also

ShowX.Model Namespace


ShowX.SessionHierarchy

ShowX Class Library Documentation

ShowX.Session Hierarchy

System.Object
ShowX.Session.AttributeSession ---- ShowX.Session.ISession
ShowX.Session.ISession
ShowX.Session.XmlSession ---- ShowX.Session.ISession
System.Exception ---- System.Runtime.Serialization.ISerializable
ShowX.Session.SessionException

See Also

ShowX.Session Namespace


ShowX.Web.ScriptsHierarchy

ShowX Class Library Documentation

ShowX.Web.Scripts Hierarchy

System.Object
ShowX.Web.Scripts.ScriptBaseClass
ShowX.Web.Scripts.IncludeJSCalendarScriptBlock
ShowX.Web.Scripts.JSCalendarSetupScriptBlock

See Also

ShowX.Web.Scripts Namespace


ShowX.Web.WebBuilders.ItemTemplatesHierarchy

ShowX Class Library Documentation

ShowX.Web.WebBuilders.ItemTemplates Hierarchy

System.Object
ShowX.Web.WebBuilders.ItemTemplates.CollectionEditItemTemplate ---- System.Web.UI.ITemplate
ShowX.Web.WebBuilders.ItemTemplates.CollectionItemTemplate ---- System.Web.UI.ITemplate
ShowX.Web.WebBuilders.ItemTemplates.EditItemTemplate ---- System.Web.UI.ITemplate
ShowX.Web.WebBuilders.ItemTemplates.ElemTemplate ---- System.Web.UI.ITemplate
ShowX.Web.WebBuilders.ItemTemplates.AddItemTemplate
ShowX.Web.WebBuilders.ItemTemplates.SearchItemTemplate
ShowX.Web.WebBuilders.ItemTemplates.FKEditTemplate ---- System.Web.UI.ITemplate
ShowX.Web.WebBuilders.ItemTemplates.ItemTemplate ---- System.Web.UI.ITemplate
ShowX.Web.WebBuilders.ItemTemplates.PercentItemTemplate ---- System.Web.UI.ITemplate
ShowX.Web.WebBuilders.ItemTemplates.TextTemplate ---- System.Web.UI.ITemplate

See Also

ShowX.Web.WebBuilders.ItemTemplates Namespace


ShowX.Web.WebBuildersHierarchy

ShowX Class Library Documentation

ShowX.Web.WebBuilders Hierarchy

System.Object
ShowX.Web.WebBuilders.DataGridBuilder

See Also

ShowX.Web.WebBuilders Namespace


ShowX.Web.WebControlsHierarchy

ShowX Class Library Documentation

ShowX.Web.WebControls Hierarchy

System.Object
ShowX.Web.WebControls.CmpByProperty ---- System.Collections.IComparer
System.Delegate ---- System.ICloneable, System.Runtime.Serialization.ISerializable
System.MulticastDelegate
ShowX.Web.WebControls.OnAddElemEventHandler
ShowX.Web.WebControls.OnDeleteElemEventHandler
ShowX.Web.WebControls.OnQueryResultEventHandler
System.EventArgs
ShowX.Web.WebControls.AdminElementEventArgs
System.ValueType
System.Enum ---- System.IComparable, System.IConvertible, System.IFormattable
ShowX.Web.WebControls.DataGridOps
ShowX.Web.WebControls.ElemOps
System.Web.UI.Control ---- System.ComponentModel.IComponent, System.IDisposable, System.Web.UI.IDataBindingsAccessor, System.Web.UI.IParserAccessor
System.Web.UI.WebControls.WebControl ---- System.Web.UI.IAttributeAccessor
ShowX.Web.WebControls.ProgressBar ---- System.Web.UI.INamingContainer
ShowX.Web.WebControls.ValidatedControl ---- System.Web.UI.INamingContainer
ShowX.Web.WebControls.Calendar
ShowX.Web.WebControls.ChangePassword
ShowX.Web.WebControls.CheckBoxList
ShowX.Web.WebControls.TextField
System.Web.UI.WebControls.BaseDataList
System.Web.UI.WebControls.DataGrid ---- System.Web.UI.INamingContainer
ShowX.Web.WebControls.DataGrid
System.Web.UI.WebControls.DataList ---- System.Web.UI.INamingContainer, System.Web.UI.WebControls.IRepeatInfoUser
ShowX.Web.WebControls.AdminElement

See Also

ShowX.Web.WebControls Namespace